require "util/util"

Colours =
{
    LightPink = THexColour(0xFFB6C1FF),
    Pink = THexColour(0xFFC0CBFF),
    Crimson = THexColour(0xDC143CFF),
    LavenderBlush = THexColour(0xFFF0F5FF),
    PaleVioletRed = THexColour(0xDB7093FF),
    HotPink = THexColour(0xFF69B4FF),
    DeepPink = THexColour(0xFF1493FF),
    MediumVioletRed = THexColour(0xC71585FF),
    Orchid = THexColour(0xDA70D6FF),
    Thistle = THexColour(0xD8BFD8FF),
    Plum = THexColour(0xDDA0DDFF),
    Violet = THexColour(0xEE82EEFF),
    Magenta = THexColour(0xFF00FFFF),
    Fuchsia = THexColour(0xFF00FFFF),
    DarkMagenta = THexColour(0x8B008BFF),
    Purple = THexColour(0x800080FF),
    MediumOrchid = THexColour(0xBA55D3FF),
    DarkViolet = THexColour(0x9400D3FF),
    DarkOrchid = THexColour(0x9932CCFF),
    Indigo = THexColour(0x4B0082FF),
    BlueViolet = THexColour(0x8A2BE2FF),
    MediumPurple = THexColour(0x9370DBFF),
    MediumSlateBlue = THexColour(0x7B68EEFF),
    SlateBlue = THexColour(0x6A5ACDFF),
    DarkSlateBlue = THexColour(0x483D8BFF),
    Lavender = THexColour(0xE6E6FAFF),
    GhostWhite = THexColour(0xF8F8FFFF),
    Blue = THexColour(0x0000FFFF),
    MediumBlue = THexColour(0x0000CDFF),
    MidnightBlue = THexColour(0x191970FF),
    DarkBlue = THexColour(0x00008BFF),
    Navy = THexColour(0x000080FF),
    RoyalBlue = THexColour(0x4169E1FF),
    CornflowerBlue = THexColour(0x6495EDFF),
    LightSteelBlue = THexColour(0xB0C4DEFF),
    LightSlateGray = THexColour(0x778899FF),
    SlateGray = THexColour(0x708090FF),
    DodgerBlue = THexColour(0x1E90FFFF),
    AliceBlue = THexColour(0xF0F8FFFF),
    SteelBlue = THexColour(0x4682B4FF),
    LightSkyBlue = THexColour(0x87CEFAFF),
    SkyBlue = THexColour(0x87CEEBFF),
    DeepSkyBlue = THexColour(0x00BFFFFF),
    LightBlue = THexColour(0xADD8E6FF),
    PowderBlue = THexColour(0xB0E0E6FF),
    CadetBlue = THexColour(0x5F9EA0FF),
    Azure = THexColour(0xF0FFFFFF),
    LightCyan = THexColour(0xE0FFFFFF),
    PaleTurquoise = THexColour(0xAFEEEEFF),
    Cyan = THexColour(0x00FFFFFF),
    Aqua = THexColour(0x00FFFFFF),
    DarkTurquoise = THexColour(0x00CED1FF),
    DarkSlateGray = THexColour(0x2F4F4FFF),
    DarkCyan = THexColour(0x008B8BFF),
    Teal = THexColour(0x008080FF),
    MediumTurquoise = THexColour(0x48D1CCFF),
    LightSeaGreen = THexColour(0x20B2AAFF),
    Turquoise = THexColour(0x40E0D0FF),
    Aquamarine = THexColour(0x7FFFD4FF),
    MediumAquamarine = THexColour(0x66CDAAFF),
    MediumSpringGreen = THexColour(0x00FA9AFF),
    MintCream = THexColour(0xF5FFFAFF),
    SpringGreen = THexColour(0x00FF7FFF),
    MediumSeaGreen = THexColour(0x3CB371FF),
    SeaGreen = THexColour(0x2E8B57FF),
    Honeydew = THexColour(0xF0FFF0FF),
    LightGreen = THexColour(0x90EE90FF),
    PaleGreen = THexColour(0x98FB98FF),
    DarkSeaGreen = THexColour(0x8FBC8FFF),
    LimeGreen = THexColour(0x32CD32FF),
    Lime = THexColour(0x00FF00FF),
    ForestGreen = THexColour(0x228B22FF),
    Green = THexColour(0x008000FF),
    DarkGreen = THexColour(0x006400FF),
    Chartreuse = THexColour(0x7FFF00FF),
    LawnGreen = THexColour(0x7CFC00FF),
    GreenYellow = THexColour(0xADFF2FFF),
    DarkOliveGreen = THexColour(0x556B2FFF),
    YellowGreen = THexColour(0x9ACD32FF),
    OliveDrab = THexColour(0x6B8E23FF),
    Beige = THexColour(0xF5F5DCFF),
    LightGoldenrodYellow = THexColour(0xFAFAD2FF),
    Ivory = THexColour(0xFFFFF0FF),
    LightYellow = THexColour(0xFFFFE0FF),
    Yellow = THexColour(0xFFFF00FF),
    Olive = THexColour(0x808000FF),
    DarkKhaki = THexColour(0xBDB76BFF),
    LemonChiffon = THexColour(0xFFFACDFF),
    PaleGoldenrod = THexColour(0xEEE8AAFF),
    Khaki = THexColour(0xF0E68CFF),
    Gold = THexColour(0xFFD700FF),
    Cornsilk = THexColour(0xFFF8DCFF),
    Goldenrod = THexColour(0xDAA520FF),
    DarkGoldenrod = THexColour(0xB8860BFF),
    FloralWhite = THexColour(0xFFFAF0FF),
    OldLace = THexColour(0xFDF5E6FF),
    Wheat = THexColour(0xF5DEB3FF),
    Moccasin = THexColour(0xFFE4B5FF),
    Orange = THexColour(0xFFA500FF),
    PapayaWhip = THexColour(0xFFEFD5FF),
    BlanchedAlmond = THexColour(0xFFEBCDFF),
    NavajoWhite = THexColour(0xFFDEADFF),
    AntiqueWhite = THexColour(0xFAEBD7FF),
    Tan = THexColour(0xD2B48CFF),
    BurlyWood = THexColour(0xDEB887FF),
    Bisque = THexColour(0xFFE4C4FF),
    DarkOrange = THexColour(0xFF8C00FF),
    Linen = THexColour(0xFAF0E6FF),
    Peru = THexColour(0xCD853FFF),
    PeachPuff = THexColour(0xFFDAB9FF),
    SandyBrown = THexColour(0xF4A460FF),
    Chocolate = THexColour(0xD2691EFF),
    SaddleBrown = THexColour(0x8B4513FF),
    Seashell = THexColour(0xFFF5EEFF),
    Sienna = THexColour(0xA0522DFF),
    LightSalmon = THexColour(0xFFA07AFF),
    Coral = THexColour(0xFF7F50FF),
    OrangeRed = THexColour(0xFF4500FF),
    DarkSalmon = THexColour(0xE9967AFF),
    Tomato = THexColour(0xFF6347FF),
    MistyRose = THexColour(0xFFE4E1FF),
    Salmon = THexColour(0xFA8072FF),
    Snow = THexColour(0xFFFAFAFF),
    LightCoral = THexColour(0xF08080FF),
    RosyBrown = THexColour(0xBC8F8FFF),
    IndianRed = THexColour(0xCD5C5CFF),
    Red = THexColour(0xFF0000FF),
    Brown = THexColour(0xA52A2AFF),
    FireBrick = THexColour(0xB22222FF),
    DarkRed = THexColour(0x8B0000FF),
    Maroon = THexColour(0x800000FF),
    White = THexColour(0xFFFFFFFF),
    WhiteSmoke = THexColour(0xF5F5F5FF),
    Gainsboro = THexColour(0xDCDCDCFF),
    LightGrey = THexColour(0xD3D3D3FF),
    Silver = THexColour(0xC0C0C0FF),
    DarkGray = THexColour(0xA9A9A9FF),
    Gray = THexColour(0x808080FF),
    DimGray = THexColour(0x696969FF),
    Black = THexColour(0x000000FF),
}
