require "content/player_outfits"

local OUTFITS = 
{
    PlayerOutfit{
        unlocked = true,
        id = "rook_base",
        character = "ROOK",
        build = "rook",
        
        name = "Aerostat Uniform",
        desc = "Rook's old uniform",
        icon = engine.asset.Texture( "battle/decks/outfit_rook_aerostat_uniform.tex" ),
    },

    PlayerOutfit{
        id = "rook_outfit_01",
        character = "ROOK",
        build = "rook_outfit_01",
        
        name = "Saboteur",
        desc = "Rook's Saboteur outfit",
        icon = engine.asset.Texture( "battle/decks/outfit_rook_saboteur.tex" ),
    },

    PlayerOutfit{
        id = "rook_outfit_02",
        character = "ROOK",
        build = "rook_outfit_02",
        
        name = "Shadow",
        desc = "Rook's Shadow outfit",
        icon = engine.asset.Texture( "battle/decks/outfit_rook_shadow.tex" ),
    },

    PlayerOutfit{
        id = "rook_outfit_03",
        character = "ROOK",
        build = "rook_outfit_03_build",
        
        name = "Bog Trooper",
        desc = "Rook's Bog Trooper outfit",
        icon = engine.asset.Texture( "battle/decks/outfit_rook_bog_trooper.tex" ),
    },

}

for k,v in ipairs(OUTFITS) do
    Content.AddOutfit(v)
end