require "content/worldregion"

local grout_bog =
{
    name = "Grout Bog",
    plax = "REGION_GROUT_BOG",
    desc = [[Grout bog is boggy]],
    outdoor_locations = 
    {
        "GROUT_BOG_ROAD",
        "GROUT_BOG_FOREST",
    },
    home_generator = function(agent) 

        if agent:HasTag("wealthy") then
            return "FANCY_BOG_RES"
        end

        if agent:GetFactionID() == "SPARK_BARONS" then
            return "SPARK_BARON_RESIDENCE"
        end

        if agent:GetFactionID() == "RISE" or agent:GetFactionID() == "BOGGERS" then
            return "BOG_CAMPSITE"
        end
        
        return "WORKERS_QUARTERS"
    end,

    locations = {
        "GB_COMPANY_STORE",
        "GB_CAFFY",
        "GB_REC_CENTER",
        "RISE_TINKER_SHOP",
        "GB_DEAD_DROP_SPOT",
        "GB_BLACK_MARKET",
        "GB_WORKSITE_1",
        "GB_WORKSITE_2",
        "GB_NEUTRAL_BAR",
        "GB_LABOUR_OFFICE",
        "GB_RISE_HQ",
        "GB_AUTOMECH_FACTORY",
        "GB_BARON_HQ",
        "GB_GATE",
        "GB_METTLE_SHOP",
    },

    population = {
        "RISE_REBEL",
        "RISE_RADICAL",
        "RISE_PAMPHLETEER",
        
        "SPARK_BARON_PROFESSIONAL",
        "SPARK_BARON_TASKMASTER",
        "SPARK_BARON_GOON",
        
        "BARTENDER",
        "LABORER",
        "HEAVY_LABORER",
    },
}

Content.AddWorldRegion( WorldRegion.Create("grout_bog", grout_bog ) )


