require "content/player_outfits"

local OUTFITS = 
{
    PlayerOutfit{
        unlocked = true,
        id = "smith_base",
        character = "SMITH",
        build = "smith",
        
        name = "Smith's Jacket",
        desc = "A one of a kind coat with a lot of smells and history",
        icon = engine.asset.Texture( "battle/decks/outfit_smith_smiths_jacket.tex" ),
    },

    PlayerOutfit{
        id = "smith_outfit_01",
        build = "smith_outfit_01_build",
        character = "SMITH",

        name = "The Gambler",
        desc = "A suit so slick that it should be outlawed",
        icon = engine.asset.Texture( "battle/decks/outfit_smith_gambler.tex" ),
    },

    PlayerOutfit{
        id = "smith_outfit_02",
        build = "smith_outfit_02_build",
        character = "SMITH",
        name = "The Outdoorsmith",
        desc = "A rugged and warm jacket paired with dazzling pants",
        icon = engine.asset.Texture( "battle/decks/outfit_smith_outdoorsmith.tex" ),
    },

    PlayerOutfit{
        id = "smith_outfit_03",
        build = "smith_outfit_03_build",
        character = "SMITH",
        
        name = "The Sneaksmith",
        desc = "Smith's sneakiest outfit",
        icon = engine.asset.Texture( "battle/decks/outfit_smith_sneaksmith.tex" ),
    },

    PlayerOutfit{
        id = "smith_hesh_disguise",
        build = "smith_outfit_04_build",
        character = "SMITH",
        
        name = "Heshian Disguise",
        desc = "Piety you can wear",
        icon = engine.asset.Texture( "battle/decks/outfit_smith_hesh_disguise.tex" ),
    }
}

for k,v in ipairs(OUTFITS) do
    Content.AddOutfit(v)
end
