require "content/worldregion"

local pearl_on_foam =
{
    name = "Pearl-on-the-Foam",
    plax = "REGION_PEARL_ON_FOAM",
    --desc = [[Grout bog is boggy]],
    default_outdoor_location = "PEARL_STREET",
    outdoor_locations = 
    {
        "PEARL_STREET",
    },
    home_generator = function(agent) 

        if agent:HasTag("wealthy") then
            return "PEARL_RICH_HOUSE"
        end
        
        return "PEARL_POOR_HOUSE"

    end,

    locations = {
        "MOREEF_BAR",
        "SMITH_HOME",
        "TEI_SHRINE",
        "CONTRACT_CHAPEL",
        "PEARL_HAT_SHOP",
        "PEARL_PARTY_STORE",
        "PEARL_OSHNUDROME",
        "PEARL_LUMIN_TANK",
        "PEARL_FANCY_EATS",
        "PEARL_ADMIRALTY_STATION",
        "PEARL_PARK",
        "PEARL_JAIL",
        "PEARL_CULT_COMPOUND",
        "PEARL_CULT_TRAINING",
        "PEARL_METTLE_SHOP",
    },

    population = {
        "BARTENDER",
        "LABORER",
        "HEAVY_LABORER",
    },
}

Content.AddWorldRegion( WorldRegion.Create("pearl_on_foam", pearl_on_foam ) )


