CARD_SHOP_DEFS.SMITH_PARTY_STORE_STOCK = function(stock)
    local cards = {}
    table.arrayadd( cards, NegotiationCardCollection.AllRewardableCards(function(cd) return cd.rarity == CARD_RARITY.UNCOMMON end):Pick(2) )
    table.arrayadd( cards, NegotiationCardCollection.AllRewardableCards(function(cd) return cd.rarity == CARD_RARITY.RARE end):Pick(1) )
    table.arrayadd( cards, BattleCardCollection.AllRewardableCards(function(cd) return cd.rarity == CARD_RARITY.UNCOMMON end):Pick(2) )
    table.arrayadd( cards, BattleCardCollection.AllRewardableCards(function(cd) return cd.rarity == CARD_RARITY.RARE end):Pick(1) )
    for i, card in ipairs(cards) do
        AddCardToShop(stock, card.id)
    end
end
