

return 
{
    sit_at_bar =
    {
        anim = "idle_neutral_bar",
        blink = "blink_neutral_back",
        --talk = "dial_neutral_back",
        funny_time = {10, 20},
        funny =
        {
            {
                weight=1,
                anims=
                {   
                    --{ anim="neutral_bar_drink_pre" },
                    { anim="neutral_bar_drink" },
                    --{ anim="neutral_bar_drink_pst" },
                }
            },
        },   
    },

    noodles_at_bar =
    {
        anim = "idle_neutral_bar_noodles",
        blink = "blink_neutral_back",
        --talk = "dial_neutral_back",
        funny_time = {10, 20},
        funny =
        {
            {
                weight=1,
                anims=
                {   
                    --{ anim="neutral_bar_drink_pre" },
                    { anim="neutral_bar_noodles_eat" },
                    --{ anim="neutral_bar_drink_pst" },
                }
            },
        },   
    },

    guarding =
    {

        anim = function(agent) 
            return agent.def.idle_anims and agent.def.idle_anims.guarding or "idle_neutral_guarding"
        end,
        blink = "blink_angry",
        
        shadow = 
        {
            x =  0,
            y = -20,
            w = 800,
            h = 200,
        }

    },
    --drunk =
    --{
        --anim = "idle_drunk",
        
        
        --shadow = 
        --{
            --x =  0,
            --y = -20,
            --w = 800,
            --h = 200,
        --}

    --},
    
    sit_at_table =
    {
        anim = "idle_neutral_table",
        shadow = 
        {
            x = 20,
            y = -35,
            w = 750,
            h = 100,
        }
    },

    lean =
    {
        anim = "idle_neutral_lean",
        blink = "blink_neutral",
        funny_time = {10, 20},
        funny =
        {
            {
                weight=1,
                anims=
                {   
                    { anim="idle_neutral_lean_scratch" },
                  
                }
            },
        },
        shadow = 
        {
            x = 100,
            y = -20,
            w = 800,
            h = 200,
        }   
    },
    sit_at_table_back =
    {
        anim = "idle_neutral_table_back",
        shadow = 
        {
            x = 20,
            y = 10,
            w = 750,
            h = 150,
        }
    },

    sit_at_table_lean =
    {
        anim = "idle_neutral_table_lean",
        blink = "blink_neutral",
        shadow = 
        {
            x = 50,
            y = -20,
            w = 750,
            h = 100,
        }
    },
    standing_ease =
    {
        anim = "idle_neutral_stand_ease",
        blink = "blink_neutral",
        shadow = 
        {
            x = 110,
            y = -40,
            w = 800,
            h = 200,
        }
    },
    sit_on_log =
    {
        anim = "idle_neutral_sit",
        blink = "blink_neutral",
        shadow = 
        {
            x = 110,
            y = -40,
            w = 800,
            h = 200,
        }
    },
    captive =
    {
        anim = "idle_scared_captive",
        funny_time = {10, 20},
        funny =
        {
            {
                weight=1,
                anims=
                {   
                    { anim="idle_scared_captive_bummed" },
                    
                }
            },
        },   
        shadow = 
        {
            x = -20,
            y = 0,
            w = 800,
            h = 200,
        }

    },
    standing =
    {
        anim = "idle_neutral_plax",
        blink = "blink_neutral",
        talk = "dial_neutral",
        funny_time = {10, 20},
        funny =
        {
            {
                weight=1,
                anims=
                {   
                    { anim="idle_neutral_spit" },
             
                }
            },
            {
                weight=1,
                anims=
                {   
                    { anim="idle_neutral_thought" },
             
                }
            },
            {
                weight=1,
                anims=
                {   
                    { anim="idle_neutral_crossed" },
                    
                }
            }
        },
        shadow = 
        {
            x = -20,
            y = -30,
            w = 800,
            h = 200,
        }
    },

    bar_tending =
    {
        anim = "idle_neutral_bartender",
        blink = "blink_neutral",
        talk = "dial_neutral",
        
        funny_time = {10, 20},
        funny =
        {
            {
                weight=1,
                anims=
                {   
                    { anim="idle_neutral_bartender_clean" },
             
                }
            }
        },
        shadow = 
        {
            x = -20,
            y = -30,
            w = 800,
            h = 200,
        }
    },
    
    conversation =
    {
        anim = function( agent ) return agent:HasAspect( "drunk" ) and "idle_drunk" or "idle_neutral" end,
        blink = "blink_neutral",
        convo = true,
    },
}


        
        
