Convo("HIRED_LEAVE_CHAT")
    :ConfrontState("STATE_CONFRONT",
    	function(cxt)
            if cxt.player.graft_owner:GetGraft( "loyalty" ) then
                return false
            end

    		local agent = cxt:GetAgent()
    		return agent and agent:IsInPlayerParty() and agent.party_member:IsDeparting()
		end)
        :Loc{
            DIALOG_LEAVE = [[
                player: 
                    !left
                agent:
                    !right
                * {agent} looks to the horizon, gauging the time by the skies. 
                agent:
                    {disliked?
                        !angry
                        I reckon you've spent exactly as much of my time as you've earned.
                        Do me a favor and don't hire me again. It wasn't exactly a profitable opportunity.
                    player:
                        Hey, nobody forced you to come along. 
                    }
                    {not disliked?
                        Well, {player}, this has been an... experience.
                        But your time is up. Maybe we'll do this again sometime, hm?
                    player:
                        You never know.
                    }
                    !exit
                * {agent} leaves, whistling a shanty as {agent.heshe} goes.
            ]]
        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_LEAVE")
            cxt:GetAgent():Dismiss()
            cxt:GetAgent():MoveToLimbo()

            -- if cxt.location:HasTag("in_transit") then
            --     cxt:Travel()
            -- else
                cxt:End()
            -- end
        end)
