Convo("PARTNER_IN_CRIME_CHAT")
    :Priority(CONVO_PRIORITY_HIGH)
    :Loc{
        OPT_HIRE = "Hire {agent} to help you out",
        DIALOG_HIRE = [[
            player:
                You think you could help me out with a thing or two?
            agent:
                !happy
                Anything for you, {player}!
        ]],
        REQ_BUSY = "{agent} is too busy to help you right now.",
    }
    :Hub(function(cxt)
        if cxt:GetAgent() then
            local rel = cxt:GetAgent():GetRelationship()
            local graft = TheGame:GetGameState():GetPlayerAgent().graft_owner:GetGraft("partner_in_crime")       
            if graft and graft.userdata.active and rel == RELATIONSHIP.LOVED then
                local busy = AgentUtil.HasPlotArmour(cxt:GetAgent()) or cxt:GetAgent():HasQuestMembership() or cxt:GetAgent():GetBrain():IsOnDuty()

                cxt:Opt("OPT_HIRE")
                    :ReqCondition(not busy, "REQ_BUSY")                    
                    :PreIcon( global_images.hire )
                    :Dialog("DIALOG_HIRE")
                    :Fn(function(cxt)
                        cxt:GetAgent():Recruit( PARTY_MEMBER_TYPE.HIRED )
                        graft.userdata.active = false
                    end)
            end
        end
    end)
