local PlayerOutfit = class("PlayerOutfit" )

function PlayerOutfit:init(args)
    for k,v in pairs(args) do
        self[k] = v
    end

    self.name_id = "OUTFIT." .. self.id .. ".NAME"
    self.desc_id = "OUTFIT." .. self.id .. ".DESC"
end

function PlayerOutfit:SetModID( mod_id )
    self.mod_id = mod_id
end

function PlayerOutfit:GetModID()
    return self.mod_id
end

function PlayerOutfit:GetName()
    return LOC(self.name_id)
end

function PlayerOutfit:GetDesc()
    return LOC(self.desc_id)
end

function PlayerOutfit:GetIcon()
    return self.icon or global_images.black
end

function PlayerOutfit:HarvestStrings(t)
    t[self.name_id] = self.name
    t[self.desc_id] = self.desc
end

