local QDEF = QuestDef.Define
{
    qtype = QTYPE.WANDERING_SHOP, 
    title= "Roadside Market",
    icon = engine.asset.Texture("icons/quests/battle_card_merchant.tex"),
    events = 
    {
        phase_change = function(quest, new_phase)
            quest:Complete()
        end,

        -- caravan_member_event = function(quest, event, agent, old_loc, new_loc)
        --     if event == "agent_location_changed" and agent == TheGame:GetGameState():GetPlayerAgent() and old_loc == quest:GetCastMember("location") and new_loc ~= quest:GetCastMember('location') then
        --         quest:Complete()
        --     end
        -- end,
    },
}

:AddObjective{
    id = "visit_shop",
    state = QSTATUS.ACTIVE,
    mark = {"location"},
    title = "Visit the Market",
    desc = "Merchants have gathered at the {location}.",
    hide_in_overlay = true,
}

:AddLocationCast{
    cast_id = "location",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("MARKET_STALL"))
    end,
    --no_validation = true,
}