
local QDEF = QuestDef.Define{
        title = "Placeholder Smith job",
        qtype = QTYPE.STORY,
        rank = {1, 5},
        desc = [[This is a placeholder for a bucket quest for when we haven't filled the bucket yet.]],
        icon = engine.asset.Texture("icons/quests/side_smith_snail_racing.tex"),
        focus = QUEST_FOCUS.BALANCED,
        --tags = {"MOREEF_INTRO_JOB"},
        act_filter = "SMITH",
    }

    :AddCast{
        cast_id = "giver",
        no_validation = true,
    }


    :AddObjective{
        id = "starting",
        title = "Talk to {giver}",
        desc = "",
        mark = {"giver"}
        --state = QSTATUS.ACTIVE,
    }


QDEF:AddIntro(
    --attract spiel
    [[
        agent:
            This quest isn't written yet, but we need to test the structure of the day before writing it.
    ]],
    
    --on accept
    [[
        agent:
            Just talk to me again, and we'll count that as done.
    ]],
    "starting"
    )


QDEF:AddConvo("starting", "giver")
    :Loc{
        OPT_FINISH_QUEST = "Finish the quest",
        DIALOG_FINISH_QUEST = [[
            * It's over!
        ]]
    }

    :Hub(function(cxt) 


            cxt:Opt("OPT_FINISH_QUEST")
                :SetQuestMark()
                :Dialog("DIALOG_FINISH_QUEST")
                :CompleteQuest()
                :Fn(function()  ConvoUtil.GiveQuestRewards(cxt) end)
    end)
