local WorldRegion = class("WorldRegion")

function WorldRegion.Create(id, raw_data)
    local def = WorldRegion(id)
    def.id = id
    for k, v in pairs(raw_data) do
        def[k] = v
    end
    return def
end

function WorldRegion:init( content_id )
    self.id = content_id
end

function WorldRegion:HarvestStrings(t)
    local prefix = "WORLDREGION." .. string.upper(self.id)

    if self.name then
        t[prefix .. ".NAME"] = self.name
    end

    if self.desc then
        t[prefix .. ".DESC"] = self.desc
    end

end