local DebugUtil = require "debug/debug_util"
local debug_menus = require "debug/debug_menus"
require "debug/inspectors/debug_ui"

--------------------------------------------------------------------
-- A debug source for the main map simulation

local DebugCompendium = class( "DebugCompendium", DebugWidget )
DebugCompendium.REGISTERED_CLASS = Screen.Compendium

function DebugCompendium:init( screen )
    DebugCompendium._base.init( self, screen )
    self.screen = screen
end

function DebugCompendium:RenderPanel( ui, panel )

    if ui:Button( "Show all unlocks" ) then
        self.screen:ToggleShowingAllUnlocks()
    end

    ui:Separator()

    panel:AppendKeyValues( ui, self.widget )
end

