local DebugUtil = require "debug/debug_util"

-------------------------------------------------------------------------------------
-- Helper panel for debugging widgets and the FE.

local DebugRendering = class( "DebugRendering", DebugNode )
DebugRendering.MENU_BINDINGS =
{
	{
		name = "Render",
		{
			Text = "Wireframe",
			Checked = function() return engine.inst:IsWireframe() end,
			Do = function() engine.inst:SetWireframe( not engine.inst:IsWireframe() ) end
		},
	}
}
