local debug_menus = require "debug/debug_menus"
require "debug/inspectors/debug_ui"

local DebugTravelScreen = class( "DebugTravelScreen", DebugWidget )
DebugTravelScreen.REGISTERED_CLASS = Screen.TravelScreen

function DebugTravelScreen:init( screen )
    DebugTravelScreen._base.init( self, screen )
    self.screen = screen
end

function DebugTravelScreen:RenderContextMenu( ui, panel )
    if ui:BeginMenu( "Debug Flags" ) then
        panel:AddDebugMenu( ui, debug_menus.DEBUG_TOGGLES )
        ui:EndMenu()
    end

    panel:AddDebugMenu( ui, debug_menus.DEBUG_CONTEXT_MENU )
end

