local Prefab = class("Prefab")

-- optionally just pass 'def' as only param
function Prefab:init(name, fn, def) 

	-- when called as Prefab(def)
	if type(name) == "table" then
		assert(fn == nil)
		assert(def == nil)
		def = name
		name = def.name
		fn = def.create
	end

	self.name = name
	self.fn = fn
	self.def = def
end
