require "prefab"
require "components/transform"
require "components/planerenderer"

local assets =
{
    circle = engine.asset.Texture('images/blob.tex'),
}

local function fn( ent, isload )

    ent:AddComponent(Transform())
    ent:AddComponent(PlaneRenderer())

    ent.cmp.PlaneRenderer.model:SetTextureSampler(0, "linear","linear","linear","wrap", "wrap", false)
    ent.cmp.PlaneRenderer:SetTexture(assets.circle, 0)
    ent.cmp.PlaneRenderer:SetUVOffset(.5 ,.5)
    ent.cmp.PlaneRenderer:SetSize( 1*0.5,.66*0.5)
    ent.cmp.PlaneRenderer.model:SetOffset(0,0,0)
    ent.cmp.PlaneRenderer:TintColour( 0, 0, 0, 0.4 )

    ent.cmp.PlaneRenderer.model:SetLayer(RENDER_LAYER_SHADOW)
    ent.cmp.PlaneRenderer.model:SetDepthState(DEPTH_TEST.LESSEQUAL, false, -0.02)
    ent:AddTag( "nodebug" )
end

return {Prefab("dropshadow", fn)}
