require "prefab"
require "components/transform"
require "components/camera"


local function fn( ent )
    ent:AddComponent(Transform())
    ent:AddComponent(Camera())

    ent.cmp.Camera:SetPerspective()
    ent.cmp.Camera:ResetToDefaults( FIGHT_CAM_ORTHO_DEFAULTS )

end

return {Prefab("fight_camera", fn)}