require "prefab"
require "components/transform"
require "components/animcontroller"
require "components/animfighter"
require "components/projectile"

local function fn( ent, spawn_data )
    ent:AddComponent(Transform())
    ent:AddComponent(AnimController())
    ent:AddComponent(Projectile())
    ent.cmp.Transform:SetLocalScale(1,1,1)
    ent.cmp.AnimController.animmodel:SetDepthState(DEPTH_TEST.ALWAYS, true)
    ent.cmp.AnimController.animmodel:SetEffect( global_shaders.UI_ANIM )    
end


return {Prefab("fight_projectile", fn)}
