require "prefab"
require "components/transform"
require "components/planerenderer"

local assets =
{
    shield = engine.asset.Texture('images/shield.tex'),
}

local function fn( ent, isload )

    ent:AddComponent(Transform())
    ent:AddComponent(PlaneRenderer())

    ent.cmp.PlaneRenderer.model:SetTextureSampler(0, "linear","linear","linear","wrap", "wrap", false)
    ent.cmp.PlaneRenderer:SetTexture(assets.shield, 0)
    ent.cmp.PlaneRenderer:SetUVOffset(.5 ,.5)
    ent.cmp.PlaneRenderer:SetSize( 1*0.3,.66*0.3)
    ent.cmp.PlaneRenderer.model:SetOffset(0,0,0)
    ent.cmp.PlaneRenderer:TintColour( 232/255, 181/255, 88/255, 0.6 )

    ent.cmp.PlaneRenderer.model:SetLayer(RENDER_LAYER_SHADOW)
    ent.cmp.PlaneRenderer.model:SetDepthState(DEPTH_TEST.LESSEQUAL, false, -0.02)
    ent.cmp.PlaneRenderer.model:SetBloom(0.2)
    ent:AddTag( "nodebug" )
end

return {Prefab("groundprotect", fn)}