local sound_events =
{
    access_pack = "event:/ui/main/fld/access_pack",
    access_party = "event:/ui/main/fld/access_party",
    area_mouseover = "event:/ui/main/fld/area_mouseover",
    area_new = "event:/ui/main/fld/new_area",

    battle_attack_defended = "event:/sfx/battle/gen/successful_defend",

    battle_attack_knife_hiltbash = "event:/sfx/battle/atk_anim/knife/hiltbash",

	battle_impact_dull_cloth = "event:/sfx/battle/impact/dull/cloth",
	battle_impact_dull_fur = "event:/sfx/battle/impact/dull/fur",
	battle_impact_dull_leather = "event:/sfx/battle/impact/dull/leather",
	battle_impact_dull_metal = "event:/sfx/battle/impact/dull/metal",
	battle_impact_dull_plastic = "event:/sfx/battle/impact/dull/plastic",
	battle_impact_dull_robot = "event:/sfx/battle/impact/dull/robot",
	battle_impact_sharp_cloth = "event:/sfx/battle/impact/sharp/cloth",
	battle_impact_sharp_fur = "event:/sfx/battle/impact/sharp/fur",
	battle_impact_sharp_leather = "event:/sfx/battle/impact/sharp/leather",
	battle_impact_sharp_metal = "event:/sfx/battle/impact/sharp/metal",
	battle_impact_sharp_plastic = "event:/sfx/battle/impact/sharp/plastic",
	battle_impact_sharp_robot = "event:/sfx/battle/impact/sharp/robot",

    battle_impact_projectile_explo_acid = "event:/sfx/battle/impact/projectile/explosion_acid",
    battle_impact_projectile_explo_fire = "event:/sfx/battle/impact/projectile/explosion_fire",
    battle_impact_projectile_spit_acid = "event:/sfx/battle/impact/projectile/spit_acid",
    battle_impact_projectile_explo_lumin = "event:/sfx/battle/impact/projectile/explosion_lumin",
    battle_impact_projectile_explo_spark = "event:/sfx/battle/impact/projectile/explosion_spark",
    battle_impact_projectile_impact_burn = "event:/sfx/battle/impact/projectile/impact_burn",

    battle_event_armour_shatter = "event:/sfx/battle/gen/armour_shatter",
    battle_event_dodge = "event:/sfx/battle/gen/dodge",

	battle_move_bodyfall_armour_ground = "event:/sfx/battle/move/bodyfall_armour_ground",
	battle_move_bodyfall_armour_knees = "event:/sfx/battle/move/bodyfall_armour_knees",
	battle_move_bodyfall_crayote = "event:/sfx/battle/move/bodyfall_crayote",
	battle_move_bodyfall_noarmour_ground = "event:/sfx/battle/move/bodyfall_noarmour_ground",
	battle_move_bodyfall_noarmour_knees = "event:/sfx/battle/move/bodyfall_noarmour_knees",
	battle_move_foot_crayote = "event:/sfx/battle/move/foot_crayote",
	battle_move_foot_metal = "event:/sfx/battle/move/foot_metal",
	battle_move_foot_shoe = "event:/sfx/battle/move/foot_shoe",
	battle_move_shuffle_back_noarmour = "event:/sfx/battle/move/shuffle_back_noarmour",
	battle_move_shuffle_forward_noarmour = "event:/sfx/battle/move/shuffle_forward_noarmour",
    battle_move_shuffle_back_SML_noarmour = "event:/sfx/battle/move/shuffle_back_SML_noarmour",
    battle_move_shuffle_forward_SML_noarmour = "event:/sfx/battle/move/shuffle_forward_SML_noarmour",
	battle_move_scuff_pre = "event:/sfx/battle/move/scuff_pre",
	battle_move_scuff_post = "event:/sfx/battle/move/scuff_post",

    battle_item_potion_heal = "event:/sfx/battle/skill/quaff_potion",

	battle_wep_dagger_ambush = "event:/sfx/battle/wep/dagger/ambush",
	battle_wep_dagger_bloodlet = "event:/sfx/battle/wep/dagger/bloodlet",
	battle_wep_dagger_cheapshot = "event:/sfx/battle/wep/dagger/cheapshot",
	battle_wep_dagger_heavy_strike = "event:/sfx/battle/wep/dagger/heavy_strike",
	battle_wep_dagger_mutilate = "event:/sfx/battle/wep/dagger/mutilate",
	battle_wep_dagger_shoot = "event:/sfx/battle/wep/dagger/shoot",
	battle_wep_dagger_slash = "event:/sfx/battle/wep/dagger/slash",
	battle_wep_dagger_stab = "event:/sfx/battle/wep/dagger/stab",
    battle_wep_dagger_throw = "event:/sfx/battle/wep/dagger/throw",

    battle_wep_crossbow_club = "event:/sfx/battle/wep/crossbow/club",
    battle_wep_crossbow_snap_shot = "event:/sfx/battle/wep/crossbow/snap_shot",
    battle_wep_crossbow_shrapnel = "event:/sfx/battle/wep/crossbow/shrapnel",
    battle_wep_crossbow_pinning_shot = "event:/sfx/battle/wep/crossbow/pinning_shot",
    battle_wep_crossbow_warding_shot = "event:/sfx/battle/wep/crossbow/warding_shot",
    battle_wep_crossbow_aimed_shot = "event:/sfx/battle/wep/crossbow/aimed_shot",
    battle_wep_crossbow_puncture = "event:/sfx/battle/wep/crossbow/puncture",
    battle_wep_crossbow_heavy_shot = "event:/sfx/battle/wep/crossbow/heavy_shot",
    battle_wep_crossbow_reload = "event:/sfx/battle/wep/crossbow/reload",
    battle_wep_crossbow_defend = "event:/sfx/battle/atk_anim/crossbow/defend",

    battle_wep_sword_quick_strike = "event:/sfx/battle/wep/sword/quick_strike",
    battle_wep_sword_overhand_sword = "event:/sfx/battle/wep/sword/overhand_sword",
    battle_wep_sword_flat_footed = "event:/sfx/battle/wep/sword/flat_footed",
    battle_wep_sword_bloodthirst = "event:/sfx/battle/wep/sword/bloodthirst",
    battle_wep_sword_serrated_edge = "event:/sfx/battle/wep/sword/serrated_edge",
    battle_wep_sword_flurry_of_blows = "event:/sfx/battle/wep/sword/flurry_of_blows",
    battle_wep_sword_berserk = "event:/sfx/battle/wep/sword/berserk",
    battle_wep_sword_lumin_slash = "event:/sfx/battle/wep/sword/lumin_slash",
    
    battle_wep_spear_thrust = "event:/sfx/battle/wep/spear/thrust",
    battle_wep_spear_sweep = "event:/sfx/battle/wep/spear/sweep",
    battle_wep_spear_disembowel = "event:/sfx/battle/wep/spear/disembowel",
    battle_wep_spear_heavy_thrust = "event:/sfx/battle/wep/spear/heavy_thrust",
    battle_wep_spear_lunge = "event:/sfx/battle/wep/spear/lunge",

    battle_wep_unarmed_punch = "event:/sfx/battle/wep/unarmed/jab",
    battle_wep_unarmed_shove = "event:/sfx/battle/wep/unarmed/shove",
    battle_wep_unarmed_kick = "event:/sfx/battle/wep/unarmed/kick",
    battle_wep_unarmed_headbutt = "event:/sfx/battle/wep/unarmed/headbutt",

    battle_wep_blaster_whip = "event:/sfx/battle/wep/blaster/pistol_whip",
    battle_wep_blaster_draw = "event:/sfx/battle/wep/blaster/blaster_draw",
    battle_wep_blaster_charge = "event:/sfx/battle/wep/blaster/blaster_charge",
    battle_wep_blaster_headshot = "event:/sfx/battle/wep/blaster/headshot",
    battle_wep_blaster_spray = "event:/sfx/battle/wep/blaster/spray",

    battle_wep_hammer_smash = "event:/sfx/battle/wep/hammer/smash",
    battle_wep_hammer_break = "event:/sfx/battle/wep/hammer/break",
    battle_wep_hammer_crush = "event:/sfx/battle/wep/hammer/crush",
    battle_wep_hammer_kneecap = "event:/sfx/battle/wep/hammer/kneecap",
    battle_wep_hammer_push = "event:/sfx/battle/wep/hammer/push",
    battle_wep_hammer_fracture = "event:/sfx/battle/wep/hammer/fracture",
    battle_wep_hammer_stun = "event:/sfx/battle/wep/hammer/stun",
    battle_wep_hammer_thump = "event:/sfx/battle/wep/hammer/thump",
    battle_wep_hammer_sparkscream = "event:/sfx/battle/wep/hammer/sparkscream",

	battle_wep_club_reg_impact = "event:/sfx/battle/wep/club/regular_impact",
	battle_wep_club_reg_whoosh = "event:/sfx/battle/wep/club/regular_whoosh",
	battle_wep_crayotebite_reg_impact = "event:/sfx/battle/wep/crayote_bite/regular_impact",
	battle_wep_crayotespit_reg_impact = "event:/sfx/battle/wep/crayote_spit/regular_impact",
	battle_wep_crossbow_reg_impact = "event:/sfx/battle/wep/crossbow/regular_impact",
	battle_wep_crossbow_reg_whoosh = "event:/sfx/battle/wep/crossbow/regular_whoosh",
	battle_wep_dagger_reg_impact = "event:/sfx/battle/wep/dagger/regular_impact",
	battle_wep_dagger_reg_whoosh = "event:/sfx/battle/wep/dagger/regular_whoosh",
	battle_wep_dagger_twirl = "event:/sfx/battle/wep/dagger/twirl",
	battle_wep_gun_reg_impact = "event:/sfx/battle/wep/gun/regular_impact",
	battle_wep_gun_reg_whoosh = "event:/sfx/battle/wep/gun/regular_whoosh",
	battle_wep_gun_twirl = "event:/sfx/battle/wep/gun/twirl",
	battle_wep_spearrifle_reg_impact = "event:/sfx/battle/wep/spear_rifle/regular_impact",
	battle_wep_spearrifle_reg_whoosh = "event:/sfx/battle/wep/spear_rifle/regular_whoosh",
	battle_wep_spearrifle_twirl = "event:/sfx/battle/wep/spear_rifle/twirl",
	battle_wep_spear_twirl = "event:/sfx/battle/wep/spear/twirl",
	battle_wep_sword_reg_impact = "event:/sfx/battle/wep/sword/regular_impact",
	battle_wep_sword_reg_whoosh = "event:/sfx/battle/wep/sword/regular_whoosh",

	battle_enemy_crayote_vo_crit = "event:/sfx/enemy/crayote/vo_crit",
	battle_enemy_crayote_vo_death = "event:/sfx/enemy/crayote/vo_death",
	battle_enemy_crayote_vo_hurt = "event:/sfx/enemy/crayote/vo_hurt",
	battle_enemy_crayote_vo_taunt = "event:/sfx/enemy/crayote/vo_taunt",
	battle_enemy_crayote_vo_victory = "event:/sfx/enemy/crayote/vo_victory",
    battle_enemy_crayote_attack_spit = "event:/sfx/enemy/spitter_crayote/spit",
    battle_enemy_crayote_attack_bite = "event:/sfx/enemy/crayote/bite",
    battle_enemy_crayote_attack_fester = "event:/sfx/enemy/crayote/fester",
    battle_enemy_crayote_attack_savage_bite = "event:/sfx/enemy/crayote_alpha/savage_bite",
    battle_enemy_crayote_attack_claw = "event:/sfx/enemy/crayote_alpha/claw",
    battle_enemy_crayote_attack_tear_flesh = "event:/sfx/enemy/crayote_alpha/tear_flesh",
    battle_enemy_crayote_upgrade_taunt = "event:/sfx/enemy/crayote/battle/promoted_taunt",

    battle_enemy_vroc_attack_bite_old = "event:/sfx/enemy/vroc/battle/old/bite",
    battle_enemy_vroc_attack_claw_old = "event:/sfx/enemy/vroc/battle/old/claw",
    battle_enemy_vroc_attack1 = "event:/sfx/enemy/vroc/battle/attack1",
    battle_enemy_vroc_attack3 = "event:/sfx/enemy/vroc/battle/attack3",
    battle_enemy_vroc_bite = "event:/sfx/enemy/vroc/battle/bite",
    battle_enemy_vroc_defend = "event:/sfx/enemy/vroc/battle/defend",
    battle_enemy_vroc_taunt = "event:/sfx/enemy/vroc/battle/taunt",
    battle_enemy_vroc_savagebite = "event:/sfx/enemy/vroc/battle/savagebite",
    battle_enemy_vroc_flee = "event:/sfx/enemy/vroc/battle/flee",
    battle_enemy_vroc_death_foley = "event:/sfx/enemy/vroc/battle/death_foley",
    battle_enemy_vroc_death_vo = "event:/sfx/enemy/vroc/battle/death_vo",
    battle_enemy_vroc_hurt_vo = "event:/sfx/enemy/vroc/battle/hurt_vo",

    vroc_cnv_affirmative_yap = "event:/sfx/enemy/vroc/conversation/affirmative_yap",
    vroc_cnv_angry_growl = "event:/sfx/enemy/vroc/conversation/angry_growl",
    vroc_cnv_excited_bork = "event:/sfx/enemy/vroc/conversation/excited_bork",
    vroc_cnv_pant_fast = "event:/sfx/enemy/vroc/conversation/pant_fast",
    vroc_cnv_pant_slow = "event:/sfx/enemy/vroc/conversation/pant_slow",
    vroc_cnv_scared_yelp = "event:/sfx/enemy/vroc/conversation/scared_yelp",
    vroc_cnv_threaten = "event:/sfx/enemy/vroc/conversation/threaten",
    vroc_cnv_whimper = "event:/sfx/enemy/vroc/conversation/whimper",
    
    battle_enemy_oshnu_attack_bite = "event:/sfx/enemy/oshnu/bite",
    battle_enemy_oshnu_vo_hurt = "event:/sfx/enemy/oshnu/vo_hurt",

    button_click = "event:/ui/main/gen/button_click",
    button_invalid = "event:/ui/main/gen/button_invalid",
    daybreak = "event:/sfx/general/field/daybreak",
    dialogue_advance = "event:/ui/main/cnv/dia_advance",
    dialogue_mouseover = "event:/ui/main/cnv/mouseover",
    dialogue_open = "event:/ui/main/cnv/dia_open",
    dismiss_merc = "event:/ui/main/fld/dismiss_merc",

    equip_bow = "event:/ui/char/wep/equip_bow",
    equip_cloth = "event:/ui/char/arm/equip_cloth",
    equip_crossbow = "event:/ui/char/wep/equip_crossbow",
    equip_gun = "event:/ui/char/wep/equip_gun_1",
    equip_leather = "event:/ui/char/arm/equip_leather",
    equip_metal_heavy = "event:/ui/char/arm/equip_metal_heavy",
    equip_metal_light = "event:/ui/char/arm/equip_metal_light",
    equip_sidearm_dagger = "event:/ui/char/wep/equip_dagger",
    equip_sidearm_gun = "event:/ui/char/wep/equip_gun_2",
    equip_spear = "event:/ui/char/wep/equip_staff",
    equip_sword = "event:/ui/char/wep/equip_sword",
    unequip = "event:/ui/char/gen/unequip",
    
    item_use = "event:/ui/char/gen/item_use",
    item_breakdown = "event:/ui/char/gen/item_breakdown",
    item_trash = "event:/ui/char/gen/item_trash",

    opinion_lower = "event:/ui/main/cnv/opinion_lower",
    opinion_raise = "event:/ui/main/cnv/opinion_raise",
    -- (map opening is missing...this one's a bug I think, because it's kind of in code, and map_close seems to be working')

    fx_spark_small = "event:/sfx/general/character_fx/sparks/spark_small",
    fx_spark_large = "event:/sfx/general/character_fx/sparks/spark_large",
    
    
    map_open = "event:/ui/main/fld/map_open",
    journal_open = "event:/ui/main/fld/journal_open",
    inv_open = "event:/ui/main/fld/inv_open",
    people_open = "event:/ui/main/fld/people_open",
    codex_open = "event:/ui/main/fld/codex_open",
    crafting_open = "event:/ui/main/fld/crafting_open",

    map_close = "event:/ui/main/fld/map_close",
    journal_close = "event:/ui/main/fld/journal_close",
    menu_close = "event:/ui/main/fld/menu_close",

    npc_mouseover_on = "event:/ui/main/gen/npc_mouseover/on",
    npc_mouseover_loop = "event:/ui/main/gen/npc_mouseover/loop",
    npc_mouseover_off = "event:/ui/main/gen/npc_mouseover/off",

    mouseover = "event:/ui/main/gen/mouseover",
    mucus_buy = "event:/ui/town/snail/mucus_buy",
    mucus_fill = "event:/ui/town/snail/mucus_fill",
    nightfall = "event:/sfx/general/field/nightfall",
    page_turn = "event:/ui/main/gen/page_turn",
    cutscene_end = "event:/ui/main/gen/cutscene_end",
    party_notif = "event:/ui/main/fld/notifparty",
    pay_merc = "event:/ui/main/fld/pay_merc",
    pay_merc_all = "event:/ui/main/fld/pay_merc_all",
    leave_location = "event:/ui/main/gen/leave_gen",
    leave_conversation = "event:/ui/main/cnv/exit_conversation",
    quit_game = "event:/ui/main/gen/quit_game",
    repair_buy = "event:/ui/town/snail/repair_buy",
    repair_use = "event:/ui/town/snail/repair_use",
    buy = "event:/ui/town/market/buy",
    buy_deselect = "event:/ui/town/market/buy_deselect",
    buy_select = "event:/ui/town/market/buy_select",
    sell = "event:/ui/town/market/sell",
    sell_deselect = "event:/ui/town/market/sell_deselect",
    sell_select = "event:/ui/town/market/sell_select",
    invalid = "event:/ui/town/market/invalid",
    start_game = "event:/ui/main/gen/start_game",
    switch = "event:/ui/main/cnv/switch",
    tab_left = "event:/ui/main/gen/tab_left",
    tab_right = "event:/ui/main/gen/tab_right",
    throw_meat = "event:/sfx/general/conversation/throw_meat",
    tut_popout = "event:/ui/main/gen/tut_popout",
    tut_popup = "event:/ui/main/gen/tut_popup",
    unpause = "event:/ui/main/gen/unpause",
    click_link = "event:/ui/codex/link_select",
    hover_link = "event:/ui/main/cnv/mouseover_codexlink",
    play_footstep = "event:/sfx/general/field/footstep",
	kradeshi_blood = "event:/sfx/battle/status/kradeshi_blood",
    wait_an_hour = "event:/ui/main/gen/wait_an_hour",
    lootscreen_close = "event:/ui/main/fld/loot_menu_close",

    todolist_flash = "event:/ui/main/gen/active_contracts_flourish",
	
	
	--Battle Status Events
	
	battle_status_ambush = "event:/sfx/battle/status/ambush",
	battle_status_bandage = "event:/sfx/battle/status/bandage",
	battle_status_bleed = "event:/sfx/battle/status/bleed",
	battle_status_finisher = "event:/sfx/battle/status/finisher",
	battle_status_heal = "event:/sfx/battle/status/heal",
	battle_status_menace = "event:/sfx/battle/status/menace",
	battle_status_panic = "event:/sfx/battle/status/panic",
	battle_status_piercing = "event:/sfx/battle/status/piercing",
	battle_status_power = "event:/sfx/battle/status/power",
	battle_status_protect = "event:/sfx/battle/status/protect",
	battle_status_rallied = "event:/sfx/battle/status/rallied",
	battle_status_riposte = "event:/sfx/battle/status/riposte",
	battle_status_stagger = "event:/sfx/battle/status/stagger",
	battle_status_stun = "event:/sfx/battle/status/stun",
	battle_status_wavering = "event:/sfx/battle/status/wavering",
	battle_status_wound = "event:/sfx/battle/status/wound",
	battle_status_bulwark = "event:/sfx/battle/status/bulwark",
	battle_status_combatdraw = "event:/sfx/battle/status/combat_draw",
	battle_status_combo = "event:/sfx/battle/status/combo",
	battle_status_defend = "event:/sfx/battle/status/defend",
	battle_status_evasion = "event:/sfx/battle/status/evasion",
	battle_status_exposed = "event:/sfx/battle/status/exposed",
	battle_status_focus = "event:/sfx/battle/status/focus",
	battle_status_hemophage = "event:/sfx/battle/status/hemophage",
	battle_status_nextturnaction = "event:/sfx/battle/status/next_turn_action",
	
	
	--Notification Events
	
	notification_aspect_gained = "event:/ui/notification/aspect_gained",
	notification_aspect_lost = "event:/ui/notification/aspect_lost",
	notification_card_added = "event:/ui/notification/card_added",
	notification_card_removed = "event:/ui/notification/card_removed",
	notification_card_upgraded = "event:/ui/notification/card_upgraded",
	notification_card_xpgained = "event:/ui/notification/card_xp_gained",
	notification_graft_installed = "event:/ui/notification/graft_installed",
	notification_graft_removed = "event:/ui/notification/graft_removed",
	notification_job_failure = "event:/ui/notification/job_failure",
	notification_job_success = "event:/ui/notification/job_success",
	notification_job_new = "event:/ui/notification/new_job",
	notification_money_gained = "event:/ui/notification/money_gained",
	notification_money_lost = "event:/ui/notification/money_lost",
	notification_relationship_new = "event:/ui/notification/new_relationship",
    notification_relationship_friendship_up = "event:/ui/notification/friendship_up",
    notification_relationship_friendship_down = "event:/ui/notification/friendship_down",
    notification_relationship_hated = "event:/ui/notification/hated",
    notification_relationship_loved = "event:/ui/notification/loved",
	notification_partymember_taken = "event:/ui/notification/party_member_taken",
	notification_partymember_added = "event:/ui/notification/party_member_added",
	notification_partymember_removed = "event:/ui/notification/party_member_removed",
	notification_negotiation_fail ="event:/ui/notification/negotiation_failure",
	notification_negotiation_success ="event:/ui/notification/negotiation_success",
	notification_battle_failure = "event:/ui/notification/battle_failure",
	notification_battle_success = "event:/ui/notification/battle_success",
	notification_relationship_negativegain = "event:/ui/notification/relationship_negativegain",
	notification_relationship_positivegain = "event:/ui/notification/relationship_positivegain",
	notification_slide_out = "event:/ui/notification/gen_slide_out", 


	--EVENTS FOR KEVIN TO LOOK AT:

	-- (these two were actually hooked up as opinion_raise and opinion_lower in code i parleypanel.lua, 
	-- but were commented out. I've since changed them to be correct if you want to take a look.)

    ---Actually, that was commented out because it was double playing. We'll leave it out for now.
    conversation_start = "event:/ui/main/gen/objective_complete",
	conversation_success = "event:/ui/main/gen/level_up",
	conversation_failure = "event:/sfx/battle/gen/battle_lost",



	-- (for fading to black from the field view. eg, this would play before door open's when entering a building from the field)
    field_fadeout = "event:/sfx/general/field/fadeout",
    field_fadein = "event:/sfx/general/field/enter",

	-- (eg, when losing/gaining an item to/from bandits in conversation)
	conversation_item_lost = "event:/sfx/general/conversation/item_lost",
	conversation_item_gained = "event:/sfx/general/conversation/item_gained",

	-- (ui alerts and such)
	conversation_accept_key = "event:/sfx/general/conversation/accept_key",
	conversation_accept_money = "event:/sfx/general/conversation/accept_money",
	conversation_accept_quest = "event:/sfx/general/conversation/accept_quest",
	level_up = "event:/ui/main/gen/level_up",
	objective_complete = "event:/ui/main/gen/objective_complete",

	-- (misc battle stuff!)
	battle_gen_click_invalid = "event:/sfx/battle/gen/click_invalid",
	battle_gen_click_skill = "event:/sfx/battle/gen/click_skill",
	battle_gen_skip_turn = "event:/sfx/battle/gen/skip_turn",
	battle_gen_surrender = "event:/sfx/battle/gen/surrender",
	battle_gen_mouseover_skill = "event:/sfx/battle/gen/mouseover_skill",
	battle_gen_select_action = "event:/sfx/battle/gen/select_action",

	-- (for mousing over elements on the field of battle)
	battle_gen_mouseover_battleview = "event:/sfx/battle/gen/mouseover_battleview",

	-- (this is a loop, and should play until the player chooses a target for their selected skill)
	battle_gen_select_character = "event:/sfx/battle/gen/select_character",

	-- (picking stuff up in the field view)
	pickup_general = "event:/sfx/general/field/pickup_general",
    pickup_shills = "event:/ui/char/gen/pickup_shills",
    pickup_plonk = "event:/ui/char/gen/pickup_plonk",
	pickup_all = "event:/sfx/general/field/pickup_all",

    putdown_shills = "event:/ui/char/gen/putdown_shills",
    putdown_plonk = "event:/ui/char/gen/putdown_plonk",

	-- (inspecting stuff in the field view, though this may change now that you zoom in to some elements upon interaction)
	inspect_corpse = "event:/sfx/general/field/inspect_corpse",
	inspect_herb = "event:/sfx/general/field/inspect_herb",
	inspect_woodenbox = "event:/sfx/general/field/inspect_woodenbox",

    map_speech_neutral = "event:/ui/main/fld/neutral_speech_popup",
    map_speech_enemy = "event:/ui/main/fld/enemy_speech_popup",

	-- (camping start/finish)
	camp_start = "event:/sfx/general/camp/camp_start",
    camp_finish = "event:/sfx/general/camp/camp_finish",
    campfire_loop = "event:/sfx/general/camp/campfire_loop",
    camp_time_counter_tick = "event:/sfx/general/camp/time_counter_tick",
    camp_xp_counter_tick = "event:/sfx/general/camp/xpcountertick",
    camp_fish = "event:/sfx/general/camp/fish",
    camp_eat_rations = "event:/sfx/general/camp/eat_rations",
	camp_level_up = "event:/sfx/general/camp/level_up",
    camp_sleep = "event:/sfx/general/camp/sleep",

	-- (very similar to map_open above, maybe the same issue. Pause isn't playing)
    pause = "event:/ui/main/gen/pause",

	--	NEW FOR KEVIN, 170223:
	
	armour_break = "event:/sfx/battle/status/armour_break",
	health_down = "event:/sfx/battle/status/health_down",


    battle_start = "event:/sfx/battle/gen/start",
    battle_surrender = "event:/sfx/battle/gen/surrender",
    battle_skill_special_mouseover = "event:/sfx/battle/gen/mouseover_skill_special",
    battle_won = "event:/sfx/battle/gen/battle_won",
    battle_lost = "event:/sfx/battle/gen/battle_lost",
    battle_crit_hit = "event:/sfx/battle/gen/crit_hit",
    battle_action_special = "event:/sfx/battle/gen/select_action_special", 


    card_draw_hand = "event:/sfx/battle/cards/gen/draw_full_hand", -- bn
    card_mouseover = "event:/sfx/battle/cards/gen/mouseover_card", -- bn
    card_mouseoff = "event:/sfx/battle/cards/gen/mouseoff_card", -- bn
    card_end_turn = "event:/sfx/battle/cards/gen/end_turn", -- bn
    card_discard = "event:/sfx/battle/cards/gen/slide_to_discard", -- bn
    card_add_to_deck = "event:/sfx/battle/cards/gen/slide_to_deck", -- bn
    card_discard_reshuffle = "event:/sfx/battle/cards/gen/discard_reshuffled", -- bn
    card_expend = "event:/sfx/battle/cards/neg/card_expend", --TODO: replace
    card_draw_single = "event:/sfx/battle/cards/gen/draw_single_card",
    card_out_of_actions = "event:/sfx/battle/cards/gen/out_of_actions",
    card_xp_increase = "event:/ui/card_upgrade/card_xp_increase",

    battle_select = "event:/sfx/battle/gen/choose_atk_option", -- b
    battle_commit = "event:/sfx/battle/gen/commit_to_fight", -- b
    battle_accept_surrender = "event:/sfx/battle/gen/accept_surrender", -- b
    battle_death = "event:/sfx/battle/gen/character_death", -- b
    battle_player_death = "event:/sfx/battle/gen/player_death", -- b

    battle_results_slide_in = "event:/sfx/battle/cards/battle/results_slide_in", -- b
    battle_card_select = "event:/sfx/battle/cards/battle/card_select", -- b
    battle_card_commit = "event:/sfx/battle/cards/battle/card_commit", -- b
    battle_card_deselect = "event:/sfx/battle/cards/battle/card_deselect",

    battle_health_change_friendly = "event:/sfx/battle/gen/health_change_friendly",
    battle_health_change_enemy = "event:/sfx/battle/gen/health_change_enemy",

    negotiation_card_select = "event:/sfx/battle/cards/neg/card_select",
    negotiation_card_deselect = "event:/sfx/battle/cards/neg/card_deselect",
    negotiation_deck_appear = "event:/sfx/battle/cards/gen/deck_appears", -- n


    negotiation_morale_number_flyin_enemy = "event:/sfx/battle/cards/gen/number_flyin_enemy",
    negotiation_morale_number_flyin_player = "event:/sfx/battle/cards/gen/number_flyin_player",

    negotiation_cardplayed_enemy_01 = "event:/sfx/battle/cards/neg/cardplayed_enemy_01", -- n
    negotiation_cardplayed_enemy_02 = "event:/sfx/battle/cards/neg/cardplayed_enemy_02", -- n
    negotiation_cardplayed_enemy_03 = "event:/sfx/battle/cards/neg/cardplayed_enemy_03", -- n
    negotiation_cardplayed_player = "event:/sfx/battle/cards/neg/cardplayed_player", -- n

    negotiation_argument_expired = "event:/sfx/battle/cards/neg/argument_expired",
    negotiation_argument_tick_up = "event:/sfx/battle/cards/neg/argument_tick_up",
    negotiation_argument_tick_down = "event:/sfx/battle/cards/neg/argument_tick_down",
    negotiation_argument_destroyed = "event:/sfx/battle/cards/neg/argument_destroyed",
    negotiation_argument_converted = "event:/sfx/battle/cards/neg/argument_converted",

    battle_deck_card_mouseover = "event:/ui/battle_deck/mouseover_card",
    battle_deck_card_mouseoff = "event:/ui/battle_deck/mouseoff_card",

    battle_play_attack_card = "event:/sfx/battle/cards/battle/play/attack_card",
    battle_play_maneuver_card = "event:/sfx/battle/cards/battle/play/maneuver_card",

    negotiation_deck_card_mouseover = "event:/ui/negotiation_deck/mouseover_card",
    negotiation_deck_card_mouseoff = "event:/ui/negotiation_deck/mouseoff_card",

    negotiation_concede = "event:/sfx/battle/cards/neg/concede",

    negotiation_intimidate = "event:/sfx/battle/cards/neg/ab/intimidate",
    negotiation_bribe = "event:/sfx/battle/cards/neg/ab/bribe",
    negotiation_delay = "event:/sfx/battle/cards/neg/ab/delay",
    negotiation_observe = "event:/sfx/battle/cards/neg/ab/observe",
    negotiation_fast_talk = "event:/sfx/battle/cards/neg/ab/fast_talk",

    negotiation_hostility_change = "event:/sfx/battle/cards/neg/hostility_change_enemy",

    clock_time_pass = "event:/ui/overworld/time_passes_small",
    clock_phase_pass = "event:/ui/overworld/next_phase",
    clock_start_day = "event:/ui/overworld/phase_set/day",
    clock_start_dusk = "event:/ui/overworld/phase_set/dusk",
    clock_start_night = "event:/ui/overworld/phase_set/night",

    map_zoom_in_small = "event:/ui/overworld/zoom_in_small",
    map_zoom_out_small = "event:/ui/overworld/zoom_out_small",
    map_zoom_out_large = "event:/ui/overworld/zoom_out_large",
    map_zoom_in_large = "event:/ui/overworld/zoom_in_location",
    

    map_select_city = "event:/ui/overworld/select_city",
    map_deselect_city = "event:/ui/overworld/deselect_city",

    battle_collection_open = "event:/ui/main/fld/battle_collection_open",
    negotiation_collection_open = "event:/ui/main/fld/negotiation_collection_open",

    card_select_screen_open = "event:/ui/select_cards/open",
    card_select_screen_close = "event:/ui/select_cards/close",

    card_not_enough_actions = "event:/sfx/battle/cards/gen/not_enough_actions",
    card_invalid = "event:/sfx/battle/cards/neg/character/sal/unselectable_card_sal",
    
    card_tooltip = "event:/ui/select_cards/info_popup",

    new_game = "event:/ui/main/gen/new_game",

    upgrade_card_popup = "event:/ui/card_upgrade/open",
    upgrade_card_confirm = "event:/ui/card_upgrade/confirm",

    battle_morale_broken = "event:/sfx/battle/gen/morale_broken",

    -- New Events for various Battle Animations (added by Cole)

    -- Knife/Daggers
    knife_daggerthrow = "event:/sfx/battle/atk_anim/knife/daggerthrow",
    knife_hemmorage = "event:/sfx/battle/atk_anim/knife/hemmorage",
    knife_gash = "event:/sfx/battle/atk_anim/knife/gash",
    knife_slash = "event:/sfx/battle/atk_anim/knife/slash",
    knife_stab = "event:/sfx/battle/atk_anim/knife/stab",
    knife_targetpractice = "event:/sfx/battle/atk_anim/knife/targetpractice",
    knife_wildlunge = "event:/sfx/battle/atk_anim/knife/wildlunge",
    knife_lacerate = "event:/sfx/battle/atk_anim/knife/lacerate",
    knife_fightdirty = "event:/sfx/battle/atk_anim/knife/fightdirty",
    knife_backstab = "event:/sfx/battle/atk_anim/knife/backstab",
    knife_bladefury = "event:/sfx/battle/atk_anim/knife/bladefury",
    knife_uppercut = "event:/sfx/battle/atk_anim/knife/uppercut",
    knife_quickdraw = "event:/sfx/battle/atk_anim/knife/quickdraw",
    knife_silentshiv = "event:/sfx/battle/atk_anim/knife/silentshiv",

    -- Crossbow
    crossbow_pierce = "event:/sfx/battle/atk_anim/crossbow/pierce",
    crossbow_openwounds = "event:/sfx/battle/atk_anim/crossbow/openwounds",
    crossbow_taunt = "event:/sfx/battle/atk_anim/crossbow/taunt",

    -- Blaster
    blaster_spray = "event:/sfx/battle/atk_anim/blaster/spray",
    blaster_blast = "event:/sfx/battle/atk_anim/blaster/blast",

    -- Club
    club_smack = "event:/sfx/battle/atk_anim/club/smack",
    club_gutsmash = "event:/sfx/battle/atk_anim/club/gutsmash",
    club_taunt = "event:/sfx/battle/atk_anim/club/taunt",
    club_defend = "event:/sfx/battle/atk_anim/club/defend",

    -- Brut
    brut_attack2 = "event:/sfx/battle/atk_anim/brut/attack2",
    brut_swing = "event:/sfx/battle/atk_anim/brut/swing",
    brut_taunt = "event:/sfx/battle/atk_anim/brut/taunt",
    brut_defend = "event:/sfx/battle/atk_anim/brut/defend",

    -- Blunt Knuckles
    bluntknuckles_taunt = "event:/sfx/battle/atk_anim/bluntknuckles/taunt",
    bluntknuckles_defend = "event:/sfx/battle/atk_anim/bluntknuckles/defend",
    bluntknuckles_smash = "event:/sfx/battle/atk_anim/bluntknuckles/smash",
    bluntknuckles_smack = "event:/sfx/battle/atk_anim/bluntknuckles/smack",

    -- Hook
    hook_taunt = "event:/sfx/battle/atk_anim/hook/taunt",
    hook_raid = "event:/sfx/battle/atk_anim/hook/raid",
    hook_kneecap = "event:/sfx/battle/atk_anim/hook/kneecap",
    hook_defend = "event:/sfx/battle/atk_anim/hook/defend",

    -- Sawblade Knuckles
    sawbladeknuckles_taunt = "event:/sfx/battle/atk_anim/sawbladeknuckles/taunt",
    sawbladeknuckles_thousandcuts = "event:/sfx/battle/atk_anim/sawbladeknuckles/thousand_cuts",
    sawbladeknuckles_cut = "event:/sfx/battle/atk_anim/sawbladeknuckles/cut",
    sawbladeknuckles_idle = "event:/sfx/battle/atk_anim/sawbladeknuckles/idle",
    sawbladeknuckles_defend = "event:/sfx/battle/atk_anim/sawbladeknuckles/defend",

    -- Bandit Goon Promoted
    bandit_goon_promoted_cut = "event:/sfx/battle/atk_anim/banditgoon_promoted/cut",
    bandit_goon_promoted_defend = "event:/sfx/battle/atk_anim/banditgoon_promoted/defend",
    bandit_goon_promoted_attack = "event:/sfx/battle/atk_anim/banditgoon_promoted/promoted_attack",
    bandit_goon_promoted_taunt = "event:/sfx/battle/atk_anim/banditgoon_promoted/taunt",

    -- Sickle
    sickle_taunt = "event:/sfx/battle/atk_anim/sickle/taunt",
    sickle_idle = "event:/sfx/battle/atk_anim/sickle/idle",
    sickle_crush = "event:/sfx/battle/atk_anim/sickle/crush",
    sickle_thump = "event:/sfx/battle/atk_anim/sickle/thump",
    sickle_defend = "event:/sfx/battle/atk_anim/sickle/defend",

    -- Staff
    staff_taunt = "event:/sfx/battle/atk_anim/staff/taunt",
    staff_poke = "event:/sfx/battle/atk_anim/staff/poke",
    staff_defend = "event:/sfx/battle/atk_anim/staff/defend",

    -- Laborer Promoted
    laborer_promoted_taunt = "event:/sfx/battle/atk_anim/laborer_promoted/taunt",
    laborer_promoted_smack = "event:/sfx/battle/atk_anim/laborer_promoted/smack",
    laborer_promoted_smash = "event:/sfx/battle/atk_anim/laborer_promoted/smash",
    laborer_promoted_defend = "event:/sfx/battle/atk_anim/laborer_promoted/defend",

    -- Rifle
    rifle_taunt = "event:/sfx/battle/atk_anim/rifle/taunt",
    rifle_blast = "event:/sfx/battle/atk_anim/rifle/blast",
    rifle_headshot = "event:/sfx/battle/atk_anim/rifle/headshot",
    rifle_defend = "event:/sfx/battle/atk_anim/rifle/defend",
    rifle_blast_pre = "event:/sfx/battle/atk_anim/rifle/blast_pre",
    rifle_blast_post = "event:/sfx/battle/atk_anim/rifle/blast_post",

    -- sniper
    sniper_taunt = "event:/sfx/battle/atk_anim/sniperrifle/taunt",
    sniper_blast = "event:/sfx/battle/atk_anim/sniperrifle/blast",
    sniper_eject = "event:/sfx/battle/atk_anim/sniperrifle/eject",
    sniper_defend = "event:/sfx/battle/atk_anim/sniperrifle/defend",
    sniper_gunrattle = "event:/sfx/battle/atk_anim/sniperrifle/gunrattle",
    sniper_gunrattle_short = "event:/sfx/battle/atk_anim/sniperrifle/gunrattle_short",
    sniper_reload = "event:/sfx/battle/atk_anim/sniperrifle/reload",


    -- Medium Combat Knife
    med_combatknife_taunt = "event:/sfx/battle/atk_anim/med_combatknife/taunt",
    med_combatknife_slice = "event:/sfx/battle/atk_anim/med_combatknife/slice",
    med_combatknife_defend = "event:/sfx/battle/atk_anim/med_combatknife/defend",

    -- Dual Clubs
    dual_clubs_defend = "event:/sfx/battle/atk_anim/dual_clubs/defend",
    dual_clubs_crush = "event:/sfx/battle/atk_anim/dual_clubs/crush",
    dual_clubs_taunt = "event:/sfx/battle/atk_anim/dual_clubs/taunt",
    dual_clubs_thump = "event:/sfx/battle/atk_anim/dual_clubs/thump",

    -- Scythe
    scythe_slice = "event:/sfx/battle/atk_anim/scythe/slice",
    scythe_defend = "event:/sfx/battle/atk_anim/scythe/defend",
    scythe_swing = "event:/sfx/battle/atk_anim/scythe/swing",
    scythe_taunt = "event:/sfx/battle/atk_anim/scythe/taunt",
    
    -- Foreman Blaster
    foremanblaster_defend = "event:/sfx/battle/atk_anim/foreman_blaster/defend",
    foremanblaster_taunt = "event:/sfx/battle/atk_anim/foreman_blaster/taunt",
    foremanblaster_spray = "event:/sfx/battle/atk_anim/foreman_blaster/spray",
    foremanblaster_blast = "event:/sfx/battle/atk_anim/foreman_blaster/blast",

    -- Wealthy Merchant
    wealthymerchant_taunt = "event:/sfx/battle/atk_anim/wealthy_merchant/taunt",
    wealthymerchant_defend = "event:/sfx/battle/atk_anim/wealthy_merchant/defend",
    wealthymerchant_sparkcannister = "event:/sfx/battle/atk_anim/wealthy_merchant/spark_cannister",
    wealthymerchant_gunshapowder = "event:/sfx/battle/atk_anim/wealthy_merchant/gunsha_powder",

    -- Wealthy Merchant Promoted
    wealthymerchantpromoted_taunt = "event:/sfx/battle/atk_anim/wealthy_merchant_promoted/taunt",
    wealthymerchantpromoted_defend = "event:/sfx/battle/atk_anim/wealthy_merchant_promoted/defend",
    wealthymerchantpromoted_shoot = "event:/sfx/battle/atk_anim/wealthy_merchant_promoted/shoot",
    wealthymerchantpromoted_shootmulti = "event:/sfx/battle/atk_anim/wealthy_merchant_promoted/shoot_multi",


    -- Admiralty Patrol Leader - Spear
    spear_defend = "event:/sfx/battle/atk_anim/spear/defend",
    spear_hamstring = "event:/sfx/battle/atk_anim/spear/hamstring",
    spear_mightythrust = "event:/sfx/battle/atk_anim/spear/mightythrust",
    spear_taunt = "event:/sfx/battle/atk_anim/spear/taunt",

    -- Admiralty Goon - Sword
    sword_swing = "event:/sfx/battle/atk_anim/sword/swing",
    sword_disembowel = "event:/sfx/battle/atk_anim/sword/disembowel", 
    sword_taunt = "event:/sfx/battle/atk_anim/sword/taunt",
    sword_defend = "event:/sfx/battle/atk_anim/sword/defend",
    sword_special = "event:/sfx/battle/atk_anim/sword/special_attack",

    -- Admiralty Goon Promoted - Sword
    promoted_sword_swing = "event:/sfx/battle/atk_anim/admiralty_goon_promoted/swing",
    promoted_sword_disembowel = "event:/sfx/battle/atk_anim/admiralty_goon_promoted/disembowel", 
    promoted_sword_taunt = "event:/sfx/battle/atk_anim/admiralty_goon_promoted/taunt",
    promoted_sword_defend = "event:/sfx/battle/atk_anim/admiralty_goon_promoted/defend",
    promoted_sword_taunt_rally = "event:/sfx/battle/atk_anim/admiralty_goon_promoted/taunt_rally",
    promoted_sword_elite_attack = "event:/sfx/battle/atk_anim/admiralty_goon_promoted/elite_attack",

    -- Admiralty Guard - Hammer
    hammer_defend = "event:/sfx/battle/atk_anim/admiralty_guard/defend",
    hammer_smash = "event:/sfx/battle/atk_anim/admiralty_guard/smash",
    hammer_taunt = "event:/sfx/battle/atk_anim/admiralty_guard/taunt",
    hammer_gutsmash = "event:/sfx/battle/atk_anim/admiralty_guard/gutsmash",

    -- Jakes Smuggler - Blaster
    jakes_smuggler_taunt = "event:/sfx/battle/atk_anim/jakes_smuggler/taunt",



    -- Combat Drone battle anims
    combatdrone_shoot = "event:/sfx/enemy/combat_drone/battle/shoot",
    combatdrone_attack2 = "event:/sfx/enemy/combat_drone/battle/attack2",
    combatdrone_taunt = "event:/sfx/enemy/combat_drone/battle/taunt",
    combatdrone_death_foley = "event:/sfx/enemy/combat_drone/battle/death_foley",
    combatdrone_death_vo = "event:/sfx/enemy/combat_drone/battle/death_vo",
    combatdrone_death_long_foley = "event:/sfx/enemy/combat_drone/battle/deathlong_foley",
    combatdrone_death_long_vo = "event:/sfx/enemy/combat_drone/battle/deathlong_vo",
    combatdrone_hurt_foley = "event:/sfx/enemy/combat_drone/battle/hurt_foley",
    combatdrone_hurt_vo = "event:/sfx/enemy/combat_drone/battle/hurt_vo",
    combatdrone_defend = "event:/sfx/enemy/combat_drone/battle/defend",
    
    -- Combat Drone Movement
    combatdrone_returnfromstun = "event:/sfx/enemy/combat_drone/battle/movement/rtrn_from_stun",
    combatdrone_step_back = "event:/sfx/enemy/combat_drone/battle/movement/step_back",
    combatdrone_step_forward = "event:/sfx/enemy/combat_drone/battle/movement/step_forward",
    combatdrone_turn = "event:/sfx/enemy/combat_drone/battle/movement/turn",
    combatdrone_surrender = "event:/sfx/enemy/combat_drone/battle/movement/surrender",
   

    -- Jakes Assasin - Katana
    katana_bloodbind = "event:/sfx/battle/atk_anim/jakes_assasin/bloodbind",
    katan_taunt = "event:/sfx/battle/atk_anim/jakes_assasin/taunt",
    katana_debilitate = "event:/sfx/battle/atk_anim/jakes_assasin/debilitate",
    katana_defend = "event:/sfx/battle/atk_anim/jakes_assasin/defend",
    katana_slash = "event:/sfx/battle/atk_anim/jakes_assasin/slash",
    katana_attack3 = "event:/sfx/battle/atk_anim/jakes_assasin/attack3",
    katana_twirl = "event:/sfx/battle/atk_anim/jakes_assasin/twirl",
    


    -- Jakes Assasin 02
    jakes_assasin2_attack1 = "event:/sfx/battle/atk_anim/jakes_assasin2/attack1",
    jakes_assasin2_attack2 = "event:/sfx/battle/atk_anim/jakes_assasin2/attack2",
    jakes_assasin2_attack3 = "event:/sfx/battle/atk_anim/jakes_assasin2/attack3",
    jakes_assasin2_defend = "event:/sfx/battle/atk_anim/jakes_assasin2/defend",
    jakes_assasin2_taunt = "event:/sfx/battle/atk_anim/jakes_assasin2/taunt",
    jakes_assasin2_death_foley = "event:/sfx/battle/atk_anim/jakes_assasin2/death_foley",

    --Jakes Lifter
    jakes_lifter_attack1 = "event:/sfx/battle/atk_anim/jakes_lifter/attack1",
    jakes_lifter_attack2 = "event:/sfx/battle/atk_anim/jakes_lifter/attack2",
    jakes_lifter_taunt = "event:/sfx/battle/atk_anim/jakes_lifter/taunt",
    jakes_lifter_defend = "event:/sfx/battle/atk_anim/jakes_lifter/defend",

    --Jakes Runner Promoted
    jakes_promoted_shoot = "event:/sfx/battle/atk_anim/jakes_runner_promoted/shoot",
    jakes_promoted_shootAOE = "event:/sfx/battle/atk_anim/jakes_runner_promoted/shoot_aoe",
    jakes_promoted_taunt = "event:/sfx/battle/atk_anim/jakes_runner_promoted/taunt",
    jakes_promoted_defend = "event:/sfx/battle/atk_anim/jakes_runner_promoted/defend",

    --Luminitiate
    luminitiate_taunt = "event:/sfx/battle/atk_anim/luminitiate/taunt",
    luminitiate_defend = "event:/sfx/battle/atk_anim/luminitiate/defend",
    luminitiate_slash = "event:/sfx/battle/atk_anim/luminitiate/slash",
    luminitiate_stab = "event:/sfx/battle/atk_anim/luminitiate/stab",
    luminitiate_doublestab = "event:/sfx/battle/atk_anim/luminitiate/doublestab",

    --Luminitiate Promoted
    luminitiate_promoted_taunt = "event:/sfx/battle/atk_anim/luminitiate_promoted/cane_taunt",
    luminitiate_promoted_defend = "event:/sfx/battle/atk_anim/luminitiate_promoted/defend",
    luminitiate_promoted_attack1 = "event:/sfx/battle/atk_anim/luminitiate_promoted/attack1",
    luminitiate_promoted_shoot = "event:/sfx/battle/atk_anim/luminitiate_promoted/cane_shoot",
    luminitiate_promoted_slam = "event:/sfx/battle/atk_anim/luminitiate_promoted/cane_slam",

    --Priest Promoted
    priest_promoted_defend = "event:/sfx/battle/atk_anim/priest_promoted/defend",
    priest_promoted_attack1 = "event:/sfx/battle/atk_anim/priest_promoted/attack1",
    priest_promoted_attack2 = "event:/sfx/battle/atk_anim/priest_promoted/attack2",
    priest_promoted_taunt = "event:/sfx/battle/atk_anim/priest_promoted/taunt",


    -- Kashio
    kashio_crack = "event:/sfx/battle/atk_anim/kashio/crack",
    kashio_taunt = "event:/sfx/battle/atk_anim/kashio/taunt",
    kashio_defend = "event:/sfx/battle/atk_anim/kashio/defend",
    kashio_defendglaive = "event:/sfx/battle/atk_anim/kashio/defend glaive",
    kashio_smash = "event:/sfx/battle/atk_anim/kashio/smash",
    kashio_glaive_spin = "event:/sfx/battle/atk_anim/kashio/glaive_spin",
    kashio_glaive_slashup = "event:/sfx/battle/atk_anim/kashio/glaive_slashup",
    kashio_glaive_swapto = "event:/sfx/battle/atk_anim/kashio/glaive_swapto",
    kashio_hit_grenade = "event:/sfx/battle/atk_anim/kashio/grenade_baseballhit",
    kashio_throw_grenade = "event:/sfx/battle/atk_anim/kashio/grenade_throw",
    kashio_holobeltON = "event:/sfx/battle/atk_anim/kashio/turn_holobeltON",
    kashio_hologram_on = "event:/sfx/battle/atk_anim/kashio/hologram_on",
    kashio_hologram_off = "event:/sfx/battle/atk_anim/kashio/hologram_off",
    kashio_shoot = "event:/sfx/battle/atk_anim/kashio/shoot",
    kashio_shoot2 = "event:/sfx/battle/atk_anim/kashio/shoot2",
    
    -- Rise Radical
    riseradical_attack1 = "event:/sfx/battle/atk_anim/rise_radical/attack1",
    riseradical_defend = "event:/sfx/battle/atk_anim/rise_radical/defend",
    riseradical_taunt = "event:/sfx/battle/atk_anim/rise_radical/taunt",
    riseradical_swing = "event:/sfx/battle/atk_anim/rise_radical/swing",
    riseradical_swing2 = "event:/sfx/battle/atk_anim/rise_radical/swing2",

    -- Rise Rebel
    riserebel_attack1 = "event:/sfx/battle/atk_anim/rise_rebel/attack1",
    riserebel_defend = "event:/sfx/battle/atk_anim/rise_rebel/defend",
    riserebel_taunt = "event:/sfx/battle/atk_anim/rise_rebel/taunt",
    riserebel_swing = "event:/sfx/battle/atk_anim/rise_rebel/swing",

    -- Rise Rebel Promoted
    riserebel_promoted_defend = "event:/sfx/battle/atk_anim/rise_rebel_promoted/defend",
    riserebel_promoted_taunt = "event:/sfx/battle/atk_anim/rise_rebel_promoted/taunt",
    riserebel_promoted_throw = "event:/sfx/battle/atk_anim/rise_rebel_promoted/throw",
    riserebel_promoted_throw2 = "event:/sfx/battle/atk_anim/rise_rebel_promoted/throw_2",

    -- Rise Turncoat Boss
    rise_turncoat_boss_defend = "event:/sfx/battle/atk_anim/rise_turncoat_boss/defend",
    rise_turncoat_boss_taunt = "event:/sfx/battle/atk_anim/rise_turncoat_boss/taunt",
    rise_turncoat_boss_lasereye = "event:/sfx/battle/atk_anim/rise_turncoat_boss/lasereye",
    rise_turncoat_boss_smash = "event:/sfx/battle/atk_anim/rise_turncoat_boss/smash",
    rise_turncoat_boss_idletwirl = "event:/sfx/battle/atk_anim/rise_turncoat_boss/idle_twirl",
    rise_turncoat_boss_idlespark = "event:/sfx/battle/atk_anim/rise_turncoat_boss/idle_spark",
    rise_turncoat_boss_staffhitground = "event:/sfx/battle/atk_anim/rise_turncoat_boss/staff_groundhit",

    -- Spark Baron Goon
    sparkbarongoon_attack1 = "event:/sfx/battle/atk_anim/sparkbaron_goon/attack1",
    sparkbarongoon_defend = "event:/sfx/battle/atk_anim/sparkbaron_goon/defend",
    sparkbarongoon_taunt = "event:/sfx/battle/atk_anim/sparkbaron_goon/taunt",
    sparkbarongoon_smack = "event:/sfx/battle/atk_anim/sparkbaron_goon/smack",

    -- Spark Baron Goon Promoted
    sparkbarongoon_promoted_attack1 = "event:/sfx/battle/atk_anim/sparkbaron_goon_promoted/attack1",
    sparkbarongoon_promoted_defend = "event:/sfx/battle/atk_anim/sparkbaron_goon_promoted/defend",
    sparkbarongoon_promoted_taunt = "event:/sfx/battle/atk_anim/sparkbaron_goon_promoted/taunt",
    sparkbarongoon_promoted_laserblast = "event:/sfx/battle/atk_anim/sparkbaron_goon_promoted/laserblast",

    -- Spark Baron Pro
    sparkbaronpro_blast = "event:/sfx/battle/atk_anim/sparkbaron_pro/blast",
    sparkbaronpro_whack = "event:/sfx/battle/atk_anim/sparkbaron_pro/whack",
    sparkbaronpro_defend = "event:/sfx/battle/atk_anim/sparkbaron_pro/defend",
    sparkbaronpro_taunt = "event:/sfx/battle/atk_anim/sparkbaron_pro/taunt",

    -- Spark Baron Taskmaster
    sparkbarontaskmaster_executiveorder = "event:/sfx/battle/atk_anim/sparkbaron_taskmaster/executive_order",
    sparkbarontaskmaster_defend = "event:/sfx/battle/atk_anim/sparkbaron_taskmaster/defend",
    sparkbarontaskmaster_taunt = "event:/sfx/battle/atk_anim/sparkbaron_taskmaster/taunt",
    sparkbarontaskmaster_masterblaster = "event:/sfx/battle/atk_anim/sparkbaron_taskmaster/masterblaster",

    -- rook
    rook_blast = "event:/sfx/battle/atk_anim/rook/blast",
    rook_blast_short = "event:/sfx/battle/atk_anim/rook/blastshort",
    rook_blast_pre = "event:/sfx/battle/atk_anim/rook/blast_pre",
    rook_blast_post = "event:/sfx/battle/atk_anim/rook/blast_post",
    rook_defend = "event:/sfx/battle/atk_anim/rook/defend",
    rook_taunt = "event:/sfx/battle/atk_anim/rook/taunt",
    rook_whip = "event:/sfx/battle/atk_anim/rook/whip",
    rook_attack2 = "event:/sfx/battle/atk_anim/rook/attack2",
    rook_attack3 = "event:/sfx/battle/atk_anim/rook/attack3",
    rook_attack4 = "event:/sfx/battle/atk_anim/rook/attack4",
    rook_attack5 = "event:/sfx/battle/atk_anim/rook/attack5",
    rook_reload = "event:/sfx/battle/atk_anim/rook/reload",
    rook_reload_short = "event:/sfx/battle/atk_anim/rook/reload_short",
    rook_reload_double = "event:/sfx/battle/atk_anim/rook/reload_double",
    rook_bloated = "event:/sfx/battle/atk_anim/rook/bloated",
    rook_burner = "event:/sfx/battle/atk_anim/rook/burner",
    rook_crackle = "event:/sfx/battle/atk_anim/rook/crackle",
    rook_double = "event:/sfx/battle/atk_anim/rook/double",
    rook_double_pre = "event:/sfx/battle/atk_anim/rook/double_pre",
    rook_double_post = "event:/sfx/battle/atk_anim/rook/double_post",
    burn_condition = "event:/sfx/general/character_fx/burn/burnFX",

    rook_drink = "event:/sfx/battle/atk_anim/rook/drink",
    rook_dynamo_pre = "event:/sfx/battle/atk_anim/rook/dynamo_pre",
    rook_dynamo = "event:/sfx/battle/atk_anim/rook/dynamo",
    rook_dynamo_post = "event:/sfx/battle/atk_anim/rook/dynamo_post",
    rook_execute = "event:/sfx/battle/atk_anim/rook/execute",
    rook_hammer_pre = "event:/sfx/battle/atk_anim/rook/hammer_pre",
    rook_hammer = "event:/sfx/battle/atk_anim/rook/hammer",
    rook_hammer_post = "event:/sfx/battle/atk_anim/rook/hammer_post",
    rook_kick01 = "event:/sfx/battle/atk_anim/rook/kick_01",
    rook_kick02 = "event:/sfx/battle/atk_anim/rook/kick_02",
    rook_mark = "event:/sfx/battle/atk_anim/rook/mark",
    rook_psionic = "event:/sfx/battle/atk_anim/rook/psionic",
    rook_punch = "event:/sfx/battle/atk_anim/rook/punch",
    rook_reload1 = "event:/sfx/battle/atk_anim/rook/reload1",
    rook_reload2 = "event:/sfx/battle/atk_anim/rook/reload2",
    rook_return_frm_stun = "event:/sfx/battle/atk_anim/rook/return_frm_stun",
    rook_shoot = "event:/sfx/battle/atk_anim/rook/shoot",
    rook_suppressing = "event:/sfx/battle/atk_anim/rook/suppressing",
    rook_surge_pre = "event:/sfx/battle/atk_anim/rook/surge_pre",
    rook_surge = "event:/sfx/battle/atk_anim/rook/surge",
    rook_surge_post = "event:/sfx/battle/atk_anim/rook/surge_post",
    rook_throw = "event:/sfx/battle/atk_anim/rook/throw",
    rook_tipsy = "event:/sfx/battle/atk_anim/rook/tipsy",
    rook_punch = "event:/sfx/battle/atk_anim/rook/punch",
    rook_anchor = "event:/sfx/battle/atk_anim/rook/anchor",


    -- Spark Baron Boss
    sparkbaronboss_defend = "event:/sfx/battle/atk_anim/sparkbaron_boss/defend",
    sparkbaronboss_shoot = "event:/sfx/battle/atk_anim/sparkbaron_boss/shoot",
    sparkbaronboss_shoot_pre = "event:/sfx/battle/atk_anim/sparkbaron_boss/shoot_pre",
    sparkbaronboss_taunt = "event:/sfx/battle/atk_anim/sparkbaron_boss/taunt",
    sparkbaronboss_taunt_charge = "event:/sfx/battle/atk_anim/sparkbaron_boss/taunt_charge",
    sparkbaronboss_post_charge = "event:/sfx/battle/atk_anim/sparkbaron_boss/post_charge",
    sparkbaronboss_throw_gadget = "event:/sfx/battle/atk_anim/sparkbaron_boss/throw_gadget",
    sparkbaronboss_gun_extend = "event:/sfx/battle/atk_anim/sparkbaron_boss/gun_extend",

    -- Chemist
    chemist_punch = "event:/sfx/battle/atk_anim/chemist/punch",
    chemist_taunt = "event:/sfx/battle/atk_anim/chemist/taunt",
    chemist_death = "event:/sfx/battle/atk_anim/chemist/death",
    chemist_defend = "event:/sfx/battle/atk_anim/chemist/defend",
    chemist_throw = "event:/sfx/battle/atk_anim/chemist/throw",

    -- Bilebroker Sampler
    bilebroker_punch = "event:/sfx/battle/atk_anim/bilebroker_sampler/punch",
    bilebroker_taunt = "event:/sfx/battle/atk_anim/bilebroker_sampler/taunt",
    bilebroker_death = "event:/sfx/battle/atk_anim/bilebroker_sampler/death",
    bilebroker_defend = "event:/sfx/battle/atk_anim/bilebroker_sampler/defend",
    bilebroker_throw = "event:/sfx/battle/atk_anim/bilebroker_sampler/throw",
    bilebroker_move = "event:/sfx/battle/atk_anim/bilebroker_sampler/move",


    -- Sal
    sal_defend = "event:/sfx/battle/atk_anim/sal/defend",
    sal_drink = "event:/sfx/battle/atk_anim/sal/drink",
    sal_shoot = "event:/sfx/battle/atk_anim/sal/shoot",
    sal_throw = "event:/sfx/battle/atk_anim/sal/throw",
    sal_throw_dust = "event:/sfx/battle/atk_anim/sal/throw_dust",
    sal_trip = "event:/sfx/battle/atk_anim/sal/trip",
    sal_attack1 = "event:/sfx/battle/atk_anim/sal/attack1",
    sal_attack2 = "event:/sfx/battle/atk_anim/sal/attack2",
    sal_backstab = "event:/sfx/battle/atk_anim/sal/backstab",
    sal_bladeflash = "event:/sfx/battle/atk_anim/sal/bladeflash",
    sal_bladefury = "event:/sfx/battle/atk_anim/sal/bladefury",
    sal_daggerthrow = "event:/sfx/battle/atk_anim/sal/daggerthrow",
    sal_doublestab = "event:/sfx/battle/atk_anim/sal/doublestab",
    sal_elbowstrike = "event:/sfx/battle/atk_anim/sal/elbowstrike",
    sal_fight_dirty = "event:/sfx/battle/atk_anim/sal/fight_dirty",
    sal_gash = "event:/sfx/battle/atk_anim/sal/gash",
    sal_hemmorage = "event:/sfx/battle/atk_anim/sal/hemmorage",
    sal_hero_taunt = "event:/sfx/battle/atk_anim/sal/hero_taunt",
    sal_hiltbash = "event:/sfx/battle/atk_anim/sal/hiltbash",
    sal_lacerate = "event:/sfx/battle/atk_anim/sal/lacerate",
    sal_quickdraw = "event:/sfx/battle/atk_anim/sal/quickdraw",
    sal_silentshiv = "event:/sfx/battle/atk_anim/sal/silentshiv",
    sal_slash = "event:/sfx/battle/atk_anim/sal/slash",
    sal_stab = "event:/sfx/battle/atk_anim/sal/stab",
    sal_stomp = "event:/sfx/battle/atk_anim/sal/stomp",
    sal_targetpractice1 = "event:/sfx/battle/atk_anim/sal/targetpractice1",
    sal_targetpractice2 = "event:/sfx/battle/atk_anim/sal/targetpractice2",
    sal_taunt = "event:/sfx/battle/atk_anim/sal/taunt",
    sal_taunt2 = "event:/sfx/battle/atk_anim/sal/taunt2",
    sal_taunt3 = "event:/sfx/battle/atk_anim/sal/taunt3",
    sal_uppercut = "event:/sfx/battle/atk_anim/sal/uppercut",
    sal_wildlunge = "event:/sfx/battle/atk_anim/sal/wildlunge",
    sal_punch = "event:/sfx/battle/atk_anim/sal/punch",
    sal_bloated = "event:/sfx/battle/atk_anim/sal/bloated",
    sal_shake_it_off = "event:/sfx/battle/atk_anim/sal/shake_it_off",
    sal_tipsy ="event:/sfx/battle/atk_anim/sal/tipsy",
    sal_blast_pre = "event:/sfx/battle/atk_anim/sal/blast_pre",
    sal_blast = "event:/sfx/battle/atk_anim/sal/blast",
    sal_blast_post = "event:/sfx/battle/atk_anim/sal/blast_post",
    sal_meleeitem = "event:/sfx/battle/atk_anim/sal/meleeitem",

    -- Smith
    smith_defend = "event:/sfx/battle/atk_anim/smith/defend",
    smith_hammerthrow = "event:/sfx/battle/atk_anim/smith/hammerthrow",
    smith_hammerreturn = "event:/sfx/battle/atk_anim/smith/hammerreturn",
    smith_hammerextend = "event:/sfx/battle/atk_anim/smith/hammerextend",
    smith_hammerswing = "event:/sfx/battle/atk_anim/smith/hammerswing",
    smith_hammerswingheavy = "event:/sfx/battle/atk_anim/smith/hammerswingheavy",
    smith_dropkick = "event:/sfx/battle/atk_anim/smith/dropkick",
    smith_moxie_jumps = "event:/sfx/battle/atk_anim/smith/moxie_jumps",
    smith_moxie_shake = "event:/sfx/battle/atk_anim/smith/moxie_shake",
    smith_moxie_low = "event:/sfx/battle/atk_anim/smith/moxie_low",
    smith_stretch = "event:/sfx/battle/atk_anim/smith/stretch",
    smith_punch = "event:/sfx/battle/atk_anim/smith/punch",
    smith_headbutt = "event:/sfx/battle/atk_anim/smith/headbutt",
    smith_jump = "event:/sfx/battle/atk_anim/smith/jump",
    smith_bottle_flurish1 = "event:/sfx/battle/atk_anim/smith/bottle_flurish1",
    smith_bottle_flurish2 = "event:/sfx/battle/atk_anim/smith/bottle_flurish2",
    smith_bottle_stab = "event:/sfx/battle/atk_anim/smith/bottle_stab",
    smith_bottle_throw = "event:/sfx/battle/atk_anim/smith/bottle_throw",
    smith_bottle_throwquick = "event:/sfx/battle/atk_anim/smith/bottle_throwquick",
    smith_bottle_cheerssmash = "event:/sfx/battle/atk_anim/smith/cheers_smash",
    smith_chestpound = "event:/sfx/battle/atk_anim/smith/chestpound",
    smith_drink = "event:/sfx/battle/atk_anim/smith/drink",
    smith_drinkdouble = "event:/sfx/battle/atk_anim/smith/drink_double",
    smith_drinkfancy = "event:/sfx/battle/atk_anim/smith/drink_fancy",
    smith_blast = "event:/sfx/battle/atk_anim/smith/blast",
    smith_blast_pre = "event:/sfx/battle/atk_anim/smith/blast_pre",
    smith_throw = "event:/sfx/battle/atk_anim/smith/throw",
    smith_gutshot = "event:/sfx/battle/atk_anim/smith/gutshot",
    smith_meleeitem = "event:/sfx/battle/atk_anim/smith/meleeitem",
    smith_knee = "event:/sfx/battle/atk_anim/smith/knee",
    smith_selfdamage = "event:/sfx/battle/atk_anim/smith/selfinflicteddamage",

    -- Twin Bosses
    twinboss1_defend = "event:/sfx/battle/atk_anim/twins/twin1_defend",
    twinboss1_taunt = "event:/sfx/battle/atk_anim/twins/twin1_taunt",
    twinboss1_punch = "event:/sfx/battle/atk_anim/twins/punch",
    twinboss1_shockwave = "event:/sfx/battle/atk_anim/twins/shockwave",
    twinboss2_defend = "event:/sfx/battle/atk_anim/twins/twin2_defend",
    twinboss2_taunt = "event:/sfx/battle/atk_anim/twins/twin2_taunt",
    twinboss2_axekick = "event:/sfx/battle/atk_anim/twins/axekick",
    twinboss2_doublekick = "event:/sfx/battle/atk_anim/twins/doublekick",

    -- Mark Nine Nine
    mark99_shoot1 = "event:/sfx/battle/atk_anim/mark99/shoot1",
    mark99_shoot2 = "event:/sfx/battle/atk_anim/mark99/shoot2",
    mark99_shoot3 = "event:/sfx/battle/atk_anim/mark99/shoot3",
    mark99_defend = "event:/sfx/battle/atk_anim/mark99/defend",
    mark99_taunt = "event:/sfx/battle/atk_anim/mark99/taunt",

    -- Eden
    eden_shoot = "event:/sfx/battle/atk_anim/eden/shoot",
    eden_armmove_short = "event:/sfx/battle/atk_anim/eden/armmove_short",
    eden_armmove_long = "event:/sfx/battle/atk_anim/eden/armmove_long",
    eden_armemerge = "event:/sfx/battle/atk_anim/eden/arm_emerge",
    eden_armwhip = "event:/sfx/battle/atk_anim/eden/arm_whip",
    eden_defend = "event:/sfx/battle/atk_anim/eden/defend",
    eden_taunt = "event:/sfx/battle/atk_anim/eden/taunt",

    -- Oshnu Wrangler
    oshnuwrangler_defend = "event:/sfx/battle/atk_anim/oshnu_wrangler/defend",
    oshnuwrangler_doublestab = "event:/sfx/battle/atk_anim/oshnu_wrangler/doublestab",
    oshnuwrangler_taunt = "event:/sfx/battle/atk_anim/oshnu_wrangler/taunt",
    oshnuwrangler_shock = "event:/sfx/battle/atk_anim/oshnu_wrangler/shock",


    -- Crayote New
    crayote_death_vo = "event:/sfx/enemy/crayote/battle/death_vo",
    crayote_death_foley = "event:/sfx/enemy/crayote/battle/death_foley",
    crayote_defend = "event:/sfx/enemy/crayote/battle/defend",
    crayote_taunt = "event:/sfx/enemy/crayote/battle/taunt",
    crayote_hurt_vo = "event:/sfx/enemy/crayote/battle/hurt_vo",
    crayote_bite = "event:/sfx/enemy/crayote/battle/bite",
    crayote_turn = "event:/sfx/enemy/crayote/battle/movement/turn",
    crayote_rtrn_from_stun = "event:/sfx/enemy/crayote/battle/movement/rtrn_from_stun",
    crayote_flee_vo = "event:/sfx/enemy/crayote/vo_flee",
    crayote_tear_flesh = "event:/sfx/enemy/crayote/battle/tear_flesh",
    crayote_frenzy = "event:/sfx/enemy/crayote/battle/frenzy",
    crayote_flee = "event:/sfx/enemy/crayote/battle/flee",
    crayote_attackalpha = "event:/sfx/enemy/crayote/attack_alpha",

    crayote_turn = "event:/sfx/enemy/crayote/battle/movement/turn",
    crayote_return_from_stun = "event:/sfx/enemy/crayote/battle/movement/rtrn_from_stun",
    
    -- Crayote Conversation
    crayote_cnv_affirmative_yap = "event:/sfx/enemy/crayote/conversation/affirmative_yap",
    crayote_cnv_angry_growl = "event:/sfx/enemy/crayote/conversation/angry_growl",
    crayote_cnv_excited_bork = "event:/sfx/enemy/crayote/conversation/excited_bork",
    crayote_cnv_pant = "event:/sfx/enemy/crayote/conversation/pant",
    crayote_cnv_scared_yelp = "event:/sfx/enemy/crayote/conversation/scared_yelp",
    crayote_cnv_threaten = "event:/sfx/enemy/crayote/conversation/threaten",
    crayote_cnv_whimper = "event:/sfx/enemy/crayote/conversation/whimper",


    -- Flead New
    flead_sting = "event:/sfx/enemy/flead/battle/sting",
    flead_ball = "event:/sfx/enemy/flead/battle/ball",
    flead_bite = "event:/sfx/enemy/flead/battle/bite",
    flead_death_vo = "event:/sfx/enemy/flead/battle/death_vo",
    flead_death_foley = "event:/sfx/enemy/flead/battle/death_foley",
    flead_defend = "event:/sfx/enemy/flead/battle/defend",
    flead_hurt_vo = "event:/sfx/enemy/flead/battle/hurt_vo",
    flead_taunt = "event:/sfx/enemy/flead/battle/taunt",
    flead_flee = "event:/sfx/enemy/flead/battle/flee",

    flead_turn = "event:/sfx/enemy/flead/battle/movement/turn",
    flead_return_from_stun = "event:/sfx/enemy/flead/battle/movement/rtrn_from_stun",
    flead_run_forward = "event:/sfx/enemy/flead/battle/movement/run_forward",
    flead_step_back = "event:/sfx/enemy/flead/battle/movement/step_back",
    flead_step_forward = "event:/sfx/enemy/flead/battle/movement/step_forward",

    -- Flead Conversation
    flead_cnv_affirmative_yap = "event:/sfx/enemy/flead/conversation/affirmative_yap",
    flead_cnv_angry_growl = "event:/sfx/enemy/flead/conversation/angry_growl",
    flead_cnv_excited_bork = "event:/sfx/enemy/flead/conversation/excited_bork",
    flead_cnv_pant = "event:/sfx/enemy/flead/conversation/pant",
    flead_cnv_scared_yelp = "event:/sfx/enemy/flead/conversation/scared_yelp",
    flead_cnv_threaten = "event:/sfx/enemy/flead/conversation/threaten",
    flead_cnv_whimper = "event:/sfx/enemy/flead/conversation/whimper",

    -- Luminthian
    luminthian_taunt = "event:/sfx/enemy/luminthian/battle/taunt",
    luminthian_spit = "event:/sfx/enemy/luminthian/battle/spit",
    luminthian_spit_pre = "event:/sfx/enemy/luminthian/battle/spit_pre",
    luminthian_spit_pst = "event:/sfx/enemy/luminthian/battle/spit_pst",
    luminthian_slash = "event:/sfx/enemy/luminthian/battle/slash",
    luminthian_hurt_vo = "event:/sfx/enemy/luminthian/battle/hurt_vo",
    luminthian_defend = "event:/sfx/enemy/luminthian/battle/defend",
    luminthian_flee = "event:/sfx/enemy/luminthian/battle/flee",
    luminthian_death_foley = "event:/sfx/enemy/luminthian/battle/death_foley",
    luminthian_death_vo = "event:/sfx/enemy/luminthian/battle/death_vo",

    luminthian_turn = "event:/sfx/enemy/luminthian/battle/movement/turn",
    luminthian_return_from_stun = "event:/sfx/enemy/luminthian/battle/movement/rtrn_from_stun",
    luminthian_run_forward = "event:/sfx/enemy/luminthian/battle/movement/run_forward",
    luminthian_step_back = "event:/sfx/enemy/luminthian/battle/movement/step_back",
    luminthian_step_forward = "event:/sfx/enemy/luminthian/battle/movement/step_forward",

    -- Luminthian Conversation
    Luminthian_cnv_whimper = "event:/sfx/enemy/luminthian/conversation/whimper",
    Luminthian_cnv_angry_growl = "event:/sfx/enemy/luminthian/conversation/angry_growl",
    Luminthian_cnv_excited_bork = "event:/sfx/enemy/luminthian/conversation/excited_bork",

    -- Vroc New
    vroc_turn = "event:/sfx/enemy/vroc/battle/movement/turn",
    vroc_return_from_stun = "event:/sfx/enemy/vroc/battle/movement/rtrn_from_stun",
    vroc_run_forward = "event:/sfx/enemy/vroc/battle/movement/run_forward",
    vroc_step_back = "event:/sfx/enemy/vroc/battle/movement/step_back",
    vroc_step_forward = "event:/sfx/enemy/vroc/battle/movement/step_forward",

    -- heshbladder
    heshbladder_death = "event:/sfx/battle/atk_anim/heshbladder/death",
    heshbladder_move_squish = "event:/sfx/battle/atk_anim/heshbladder/movesquish",
    heshbladder_move_large = "event:/sfx/battle/atk_anim/heshbladder/movelarge",
    heshbladder_move_small = "event:/sfx/battle/atk_anim/heshbladder/movesmall",
    heshbladder_poofcloud = "event:/sfx/battle/atk_anim/heshbladder/poofcloud",
    heshbladder_spit = "event:/sfx/battle/atk_anim/heshbladder/spit",
    heshbladder_sputter = "event:/sfx/battle/atk_anim/heshbladder/sputter",
    heshbladder_vo_death = "event:/sfx/battle/atk_anim/heshbladder/voice_death",
    heshbladder_vo_attack = "event:/sfx/battle/atk_anim/heshbladder/voice_attack",
    heshbladder_vo_hurt = "event:/sfx/battle/atk_anim/heshbladder/voice_hurt",
    heshbladder_vo_taunt = "event:/sfx/battle/atk_anim/heshbladder/voice_taunt",


    -- Shroog
    shroog_claw = "event:/sfx/enemy/shroog/battle/claw",
    shroog_defend = "event:/sfx/enemy/shroog/battle/defend",
    shroog_mark = "event:/sfx/enemy/shroog/battle/mark",
    shroog_swipe = "event:/sfx/enemy/shroog/battle/swipe",
    shroog_taunt = "event:/sfx/enemy/shroog/battle/taunt",
    shroog_throw = "event:/sfx/enemy/shroog/battle/throw",
    shroog_death_vo = "event:/sfx/enemy/shroog/battle/death_vo",
    shroog_death_foley = "event:/sfx/enemy/shroog/battle/death_foley",
    shroog_hurt_vo = "event:/sfx/enemy/shroog/battle/hurt_vo",
    shroog_dodge = "event:/sfx/enemy/shroog/battle/dodge",
    shroog_flee = "event:/sfx/enemy/shroog/battle/flee",

    -- Shroog Movement
    shroog_run_forward = "event:/sfx/enemy/shroog/battle/movement/run_forward",
    shroog_turn = "event:/sfx/enemy/shroog/battle/movement/turn",
    shroog_step_back = "event:/sfx/enemy/shroog/battle/movement/step_back",
    shroog_step_forward = "event:/sfx/enemy/shroog/battle/movement/step_forward",
    shroog_return_from_stun = "event:/sfx/enemy/shroog/battle/movement/rtrn_from_stun",


    -- Shrooglet
    shrooglet_feed = "event:/sfx/enemy/shrooglet/battle/feed",
    shrooglet_headbutt = "event:/sfx/enemy/shrooglet/battle/headbutt",
    shrooglet_taunt = "event:/sfx/enemy/shrooglet/battle/taunt",
    shrooglet_death_foley = "event:/sfx/enemy/shrooglet/battle/death_foley",
    shrooglet_death_vo = "event:/sfx/enemy/shrooglet/battle/death_vo",
    shrooglet_dodge = "event:/sfx/enemy/shrooglet/battle/dodge",
    shrooglet_hurt_vo = "event:/sfx/enemy/shrooglet/battle/hurt_vo",
    shrooglet_flee = "event:/sfx/enemy/shrooglet/battle/flee",
    shrooglet_defend = "event:/sfx/enemy/shrooglet/battle/defend",

    -- Shrooglet Movement
    shrooglet_run_forward = "event:/sfx/enemy/shrooglet/battle/movement/run_forward",
    shrooglet_turn = "event:/sfx/enemy/shrooglet/battle/movement/turn",
    shrooglet_shuffle_back = "event:/sfx/enemy/shrooglet/battle/movement/shuffle_back",
    shrooglet_shuffle_forward = "event:/sfx/enemy/shrooglet/battle/movement/shuffle_forward",
    shrooglet_step_back = "event:/sfx/enemy/shrooglet/battle/movement/step_back",
    shrooglet_step_forward = "event:/sfx/enemy/shrooglet/battle/movement/step_forward",
    shrooglet_return_from_stun = "event:/sfx/enemy/shrooglet/battle/movement/rtrn_from_stun",


    -- Drone Goon Boss
    drone_goon_boss_butt = "event:/sfx/battle/atk_anim/drone_goon_boss/butt",
    drone_goon_boss_deathfoley = "event:/sfx/battle/atk_anim/drone_goon_boss/death_foley",
    drone_goon_boss_defend = "event:/sfx/battle/atk_anim/drone_goon_boss/defend",
    drone_goon_boss_shoot = "event:/sfx/battle/atk_anim/drone_goon_boss/shoot",
    drone_goon_boss_taunt = "event:/sfx/battle/atk_anim/drone_goon_boss/taunt",

    -- Drone Goon Boss Movement
    drone_goon_boss_hitfoley = "event:/sfx/battle/atk_anim/drone_goon_boss/movement/hit_foley",
    drone_goon_boss_limpforward = "event:/sfx/battle/atk_anim/drone_goon_boss/movement/limp_forward",
    drone_goon_boss_runforward = "event:/sfx/battle/atk_anim/drone_goon_boss/movement/run_forward",
    drone_goon_boss_turn = "event:/sfx/battle/atk_anim/drone_goon_boss/movement/turn",
    drone_goon_boss_stepback = "event:/sfx/battle/atk_anim/drone_goon_boss/movement/step_back",
    drone_goon_boss_stepforward = "event:/sfx/battle/atk_anim/drone_goon_boss/movement/step_forward",
    

    -- Nadan
    nadan_attack2 = "event:/sfx/battle/atk_anim/nadan/attack2",
    nadan_callgoon = "event:/sfx/battle/atk_anim/nadan/call_goon",
    nadan_deathfoley = "event:/sfx/battle/atk_anim/nadan/death_foley",
    nadan_defend = "event:/sfx/battle/atk_anim/nadan/defend",
    nadan_flurry = "event:/sfx/battle/atk_anim/nadan/flurry",
    nadan_regular_attack = "event:/sfx/battle/atk_anim/nadan/regular_attack",
    nadan_taunt = "event:/sfx/battle/atk_anim/nadan/taunt",
    nadan_enraged_to_normal = "event:/sfx/battle/atk_anim/nadan/enraged_to_normal",
    nadan_zaps = "event:/sfx/battle/atk_anim/nadan/arm_zap",
    nadan_bang = "event:/sfx/battle/atk_anim/nadan/arm_bang",
    nadan_handle = "event:/sfx/battle/atk_anim/nadan/arm_handle",

    -- Fellemo
    fellemo_attack1 = "event:/sfx/battle/atk_anim/fellemo/blast",
    fellemo_attack2 = "event:/sfx/battle/atk_anim/fellemo/blast2",
    fellemo_defend = "event:/sfx/battle/atk_anim/fellemo/defend",
    fellemo_taunt = "event:/sfx/battle/atk_anim/fellemo/taunt",
    fellemo_blazing = "event:/sfx/battle/atk_anim/fellemo/gun_blazing",


    -- Oolo
    oolo_defend = "event:/sfx/battle/atk_anim/oolo/defend",
    oolo_slice = "event:/sfx/battle/atk_anim/oolo/slice",
    oolo_taunt = "event:/sfx/battle/atk_anim/oolo/taunt",
    oolo_taunt2 = "event:/sfx/battle/atk_anim/oolo/taunt2",
    oolo_talk = "event:/sfx/battle/atk_anim/oolo/talk",


    -- Drusk
    drusk_death_foley = "event:/sfx/enemy/drusk/battle/death_foley",
    drusk_death_vo = "event:/sfx/enemy/drusk/battle/death_vo",
    drusk_defend = "event:/sfx/enemy/drusk/battle/defend",
    drusk_hurt_foley = "event:/sfx/enemy/drusk/battle/hurt_foley",
    drusk_hurt_vo = "event:/sfx/enemy/drusk/battle/hurt_vo",
    drusk_splort = "event:/sfx/enemy/drusk/battle/splort",
    drusk_stab = "event:/sfx/enemy/drusk/battle/stab",
    drusk_taunt = "event:/sfx/enemy/drusk/battle/taunt",

    -- Drusk movement
    drusk_return_from_stun = "event:/sfx/enemy/drusk/battle/movement/rtrn_from_stun",
    drusk_run_forward = "event:/sfx/enemy/drusk/battle/movement/run_forward",
    drusk_step_back = "event:/sfx/enemy/drusk/battle/movement/step_back",
    drusk_step_forward = "event:/sfx/enemy/drusk/battle/movement/step_forward",
    drusk_turn = "event:/sfx/enemy/drusk/battle/movement/turn",


    -- drusk2
    drusk2_death_foley = "event:/sfx/enemy/drusk2/battle/death_foley",
    drusk2_death_vo = "event:/sfx/enemy/drusk2/battle/death_vo",
    drusk2_defend = "event:/sfx/enemy/drusk2/battle/defend",
    drusk2_hurt_foley = "event:/sfx/enemy/drusk2/battle/hurt_foley",
    drusk2_hurt_vo = "event:/sfx/enemy/drusk2/battle/hurt_vo",
    drusk2_splat = "event:/sfx/enemy/drusk2/battle/splat",
    drusk2_stab = "event:/sfx/enemy/drusk2/battle/stab",
    drusk2_taunt = "event:/sfx/enemy/drusk2/battle/taunt",

    -- drusk2 movement
    drusk2_return_from_stun = "event:/sfx/enemy/drusk2/battle/rtrn_from_stun",
    drusk2_run_forward = "event:/sfx/enemy/drusk2/battle/run_forward",
    drusk2_step_back = "event:/sfx/enemy/drusk2/battle/step_back",
    drusk2_step_forward = "event:/sfx/enemy/drusk2/battle/step_forward",
    drusk2_turn = "event:/sfx/enemy/drusk2/battle/turn",

    -- droad
    droad_step_back = "event:/sfx/battle/atk_anim/droad/footstep",
    droad_step_forward = "event:/sfx/battle/atk_anim/droad/footstep",
    droad_shuffle = "event:/sfx/battle/atk_anim/droad/shuffle",
    droad_turn = "event:/sfx/battle/atk_anim/droad/turn",
    droad_bite = "event:/sfx/battle/atk_anim/droad/bite",
    droad_defend = "event:/sfx/battle/atk_anim/droad/defend",
    droad_taunt = "event:/sfx/battle/atk_anim/droad/taunt",
    droad_tongue = "event:/sfx/battle/atk_anim/droad/tongue",
    droad_hurt = "event:/sfx/battle/atk_anim/droad/hurt",
    droad_death = "event:/sfx/battle/atk_anim/droad/death",
    droad_shortyell = "event:/sfx/battle/atk_anim/droad/shortyell",
    droad_dodge = "event:/sfx/battle/atk_anim/droad/dodge",
    droad_jump = "event:/sfx/battle/atk_anim/droad/jump",
    droad_stunned = "event:/sfx/battle/atk_anim/droad/stunned",

    -- shredmaw
    shredmaw_bite = "event:/sfx/battle/atk_anim/shredmaw/bite",
    shredmaw_death = "event:/sfx/battle/atk_anim/shredmaw/death",
    shredmaw_defend = "event:/sfx/battle/atk_anim/shredmaw/defend",
    shredmaw_hurt = "event:/sfx/battle/atk_anim/shredmaw/hurt",
    shredmaw_run_forward = "event:/sfx/battle/atk_anim/shredmaw/run_forward",
    shredmaw_step_back = "event:/sfx/battle/atk_anim/shredmaw/step_back",
    shredmaw_step_forward = "event:/sfx/battle/atk_anim/shredmaw/step_forward",
    shredmaw_stunned = "event:/sfx/battle/atk_anim/shredmaw/stunned",
    shredmaw_surrender = "event:/sfx/battle/atk_anim/shredmaw/surrender",
    shredmaw_taunt = "event:/sfx/battle/atk_anim/shredmaw/taunt",
    shredmaw_tongue = "event:/sfx/battle/atk_anim/shredmaw/tongue",





    -- Nadan Flead (Boss)
    nadan_flead_sting = "event:/sfx/enemy/nadan_flead/battle/sting",
    nadan_flead_ball = "event:/sfx/enemy/nadan_flead/battle/ball",
    nadan_flead_bite = "event:/sfx/enemy/nadan_flead/battle/bite",
    nadan_flead_death_vo = "event:/sfx/enemy/nadan_flead/battle/death_vo",
    nadan_flead_death_foley = "event:/sfx/enemy/nadan_flead/battle/death_foley",
    nadan_flead_defend = "event:/sfx/enemy/nadan_flead/battle/defend",
    nadan_flead_hurt_vo = "event:/sfx/enemy/nadan_flead/battle/hurt_vo",
    nadan_flead_taunt = "event:/sfx/enemy/nadan_flead/battle/taunt",
    nadan_flead_taunt2 = "event:/sfx/enemy/nadan_flead/battle/taunt2",
    nadan_flead_taunt3 = "event:/sfx/enemy/nadan_flead/battle/taunt3",
    nadan_flead_flee = "event:/sfx/enemy/nadan_flead/battle/flee",
    nadan_flead_shutdown = "event:/sfx/enemy/nadan_flead/battle/shutdown",
    nadan_flead_startup = "event:/sfx/enemy/nadan_flead/battle/startup",

    nadan_flead_turn = "event:/sfx/enemy/nadan_flead/battle/movement/turn",
    nadan_flead_return_from_stun = "event:/sfx/enemy/nadan_flead/battle/movement/rtrn_from_stun",
    nadan_flead_run_forward = "event:/sfx/enemy/nadan_flead/battle/movement/run_forward",
    nadan_flead_step_back = "event:/sfx/enemy/nadan_flead/battle/movement/step_back",
    nadan_flead_step_forward = "event:/sfx/enemy/nadan_flead/battle/movement/step_forward",

    -- Nadan nadan_flead (boss) Conversation
    nadan_flead_cnv_affirmative_yap = "event:/sfx/enemy/nadan_flead/conversation/affirmative_yap",
    nadan_flead_cnv_angry_growl = "event:/sfx/enemy/nadan_flead/conversation/angry_growl",
    nadan_flead_cnv_excited_bork = "event:/sfx/enemy/nadan_flead/conversation/excited_bork",
    nadan_flead_cnv_pant = "event:/sfx/enemy/nadan_flead/conversation/pant",
    nadan_flead_cnv_scared_yelp = "event:/sfx/enemy/nadan_flead/conversation/scared_yelp",
    nadan_flead_cnv_threaten = "event:/sfx/enemy/nadan_flead/conversation/threaten",
    nadan_flead_cnv_whimper = "event:/sfx/enemy/nadan_flead/conversation/whimper",



    -- Oolo Snail (Boss)
    oolo_snail_blast = "event:/sfx/enemy/oolo_snail/battle/blast",
    oolo_snail_bite = "event:/sfx/enemy/oolo_snail/battle/bite",
    oolo_snail_death_vo = "event:/sfx/enemy/oolo_snail/battle/death_vo",
    oolo_snail_death_foley = "event:/sfx/enemy/oolo_snail/battle/death_foley",
    oolo_snail_defend = "event:/sfx/enemy/oolo_snail/battle/defend",
    oolo_snail_hurt_vo = "event:/sfx/enemy/oolo_snail/battle/hurt_vo",
    oolo_snail_hurt_foley = "event:/sfx/enemy/oolo_snail/battle/hurt_foley",
    oolo_snail_taunt = "event:/sfx/enemy/oolo_snail/battle/taunt",
    oolo_snail_flee = "event:/sfx/enemy/oolo_snail/battle/flee",
    oolo_snail_shell = "event:/sfx/enemy/oolo_snail/battle/shell",
    oolo_snail_retrn_frm_shell = "event:/sfx/enemy/oolo_snail/battle/return_from_shell",

    oolo_snail_turn = "event:/sfx/enemy/oolo_snail/battle/movement/turn",
    oolo_snail_return_from_stun = "event:/sfx/enemy/oolo_snail/battle/movement/rtrn_from_stun",
    oolo_snail_run_forward = "event:/sfx/enemy/oolo_snail/battle/movement/run_forward",
    oolo_snail_step_back = "event:/sfx/enemy/oolo_snail/battle/movement/step_back",
    oolo_snail_step_forward = "event:/sfx/enemy/oolo_snail/battle/movement/step_forward",

    -- Oolo Snail (boss) Conversation
    oolo_snail_cnv_affirmative_yap = "event:/sfx/enemy/oolo_snail/conversation/affirmative_yap",
    oolo_snail_cnv_angry_growl = "event:/sfx/enemy/oolo_snail/conversation/angry_growl",
    oolo_snail_cnv_excited_bork = "event:/sfx/enemy/oolo_snail/conversation/excited_bork",
    oolo_snail_cnv_pant = "event:/sfx/enemy/oolo_snail/conversation/pant",
    oolo_snail_cnv_scared_yelp = "event:/sfx/enemy/oolo_snail/conversation/scared_yelp",
    oolo_snail_cnv_threaten = "event:/sfx/enemy/oolo_snail/conversation/threaten",
    oolo_snail_cnv_whimper = "event:/sfx/enemy/oolo_snail/conversation/whimper",

     -- Hesh Boss
    heshboss_attack1 = "event:/sfx/battle/atk_anim/heshboss/attack1",
    heshboss_attack2 = "event:/sfx/battle/atk_anim/heshboss/attack2",
    heshboss_taunt = "event:/sfx/battle/atk_anim/heshboss/taunt",
    heshboss_sabotage = "event:/sfx/battle/atk_anim/heshboss/sabotage",

    --Bogger Clobber
    boggerclobber_defend = "event:/sfx/battle/atk_anim/boggerclobber/defend",
    boggerclobber_charge = "event:/sfx/battle/atk_anim/boggerclobber/charge",
    boggerclobber_bash = "event:/sfx/battle/atk_anim/boggerclobber/bash",
    boggerclobber_taunt = "event:/sfx/battle/atk_anim/boggerclobber/taunt",

    --Bogger Cultivator
    boggercultivator_defend = "event:/sfx/battle/atk_anim/bogger_cultivator/defend",
    boggercultivator_attack1 = "event:/sfx/battle/atk_anim/bogger_cultivator/attack1",
    boggercultivator_throw = "event:/sfx/battle/atk_anim/bogger_cultivator/throw",
    boggercultivator_taunt = "event:/sfx/battle/atk_anim/bogger_cultivator/taunt",
    boggercultivator_twirl = "event:/sfx/battle/atk_anim/bogger_cultivator/twirl",

        --Bog Boss
    bogboss_summon = "event:/sfx/battle/atk_anim/bog_boss/summon",
    bogboss_dig = "event:/sfx/battle/atk_anim/bog_boss/digground",
    bogboss_shoot = "event:/sfx/battle/atk_anim/bog_boss/shoot",
    bogboss_defend = "event:/sfx/battle/atk_anim/bog_boss/defend",
   
    --Kalandra
    kalandra_taunt = "event:/sfx/battle/atk_anim/kalandra/taunt_twirl",
    kalandra_throw_grenade = "event:/sfx/battle/atk_anim/kalandra/throw_grenade",
    kalandra_throw_special = "event:/sfx/battle/atk_anim/kalandra/throw_special",
    kalandra_slice = "event:/sfx/battle/atk_anim/kalandra/slice",


    --Flekfis
    flekfis_attack_light = "event:/sfx/battle/atk_anim/flekfis/attack_light",
    flekfis_attack_med = "event:/sfx/battle/atk_anim/flekfis/attack_med",
    flekfis_trap = "event:/sfx/battle/atk_anim/flekfis/trap",
    flekfis_taunt = "event:/sfx/battle/atk_anim/flekfis/taunt",
    flekfis_whirlwind = "event:/sfx/battle/atk_anim/flekfis/whirlwind",
    flekfis_defend = "event:/sfx/battle/atk_anim/flekfis/defend",

     --Arint
    arint_attack1 = "event:/sfx/battle/atk_anim/arint/attack1",
    arint_ambush = "event:/sfx/battle/atk_anim/arint/ambush",
    arint_chargeup = "event:/sfx/battle/atk_anim/arint/charge_up",
    arint_chestbeam = "event:/sfx/battle/atk_anim/arint/chest_beam",
    arint_surge = "event:/sfx/battle/atk_anim/arint/surge",
    arint_defend = "event:/sfx/battle/atk_anim/arint/defend",
    arint_twirl = "event:/sfx/battle/atk_anim/arint/twirl",

    --Zealot
    zealot_slice = "event:/sfx/battle/atk_anim/zealot/slice",
    zealot_taunt = "event:/sfx/battle/atk_anim/zealot/taunt",
    zealot_throw = "event:/sfx/battle/atk_anim/zealot/throw",
    zealot_defend = "event:/sfx/battle/atk_anim/zealot/defend",

    --Pearlie
    pearlie_shoot = "event:/sfx/battle/atk_anim/pearlie/shoot",
    pearlie_taunt = "event:/sfx/battle/atk_anim/pearlie/taunt",
    pearlie_uppercut = "event:/sfx/battle/atk_anim/pearlie/uppercut",
    pearlie_defend = "event:/sfx/battle/atk_anim/pearlie/defend",

    --Mullifee
    mullifee_taunt = "event:/sfx/battle/atk_anim/mullifee/taunt",
    mullifee_defend = "event:/sfx/battle/atk_anim/mullifee/defend",
    mullifee_multithrust = "event:/sfx/battle/atk_anim/mullifee/multithrust",
    mullifee_thrust = "event:/sfx/battle/atk_anim/mullifee/thrust",
    mullifee_twirl = "event:/sfx/battle/atk_anim/mullifee/twirl",
    mullifee_twirlshort = "event:/sfx/battle/atk_anim/mullifee/twirl_short",

    --Seemli
    seemli_taunt = "event:/sfx/battle/atk_anim/seemli/taunt",
    seemli_defend = "event:/sfx/battle/atk_anim/seemli/defend",
    seemli_spin = "event:/sfx/battle/atk_anim/seemli/spin",
    seemli_stab = "event:/sfx/battle/atk_anim/seemli/stab",

    --Bishop Of Foam
    bishopfoam_taunt = "event:/sfx/battle/atk_anim/bishop_foam/taunt",
    bishopfoam_defend = "event:/sfx/battle/atk_anim/bishop_foam/defend",
    bishopfoam_blast = "event:/sfx/battle/atk_anim/bishop_foam/blast",
    bishopfoam_blastdouble = "event:/sfx/battle/atk_anim/bishop_foam/blast_double",

    --Tei
    tei_taunt = "event:/sfx/battle/atk_anim/tei/taunt",
    tei_defend = "event:/sfx/battle/atk_anim/tei/defend",
    tei_attack1 = "event:/sfx/battle/atk_anim/tei/attack1",
    tei_launch = "event:/sfx/battle/atk_anim/tei/launch",
    tei_shoot = "event:/sfx/battle/atk_anim/tei/shoot",

    --Admiralty Investigator
    amiraltyinvestigator_taunt = "event:/sfx/battle/atk_anim/admiralty_investigator/taunt",
    amiraltyinvestigator_defend = "event:/sfx/battle/atk_anim/admiralty_investigator/defend",
    amiraltyinvestigator_attack1 = "event:/sfx/battle/atk_anim/admiralty_investigator/attack1",
    amiraltyinvestigator_attack2 = "event:/sfx/battle/atk_anim/admiralty_investigator/attack2",
    amiraltyinvestigator_swing = "event:/sfx/battle/atk_anim/admiralty_investigator/swing",

    --Rise Valet
    risevalet_taunt = "event:/sfx/battle/atk_anim/rise_valet/taunt",
    risevalet_defend = "event:/sfx/battle/atk_anim/rise_valet/defend",
    risevalet_doubleswipe = "event:/sfx/battle/atk_anim/rise_valet/doubleswipe",
    risevalet_spinattack = "event:/sfx/battle/atk_anim/rise_valet/spinattack",

    --Vixmalli
    vixmalli_taunt = "event:/sfx/battle/atk_anim/vix/taunt",
    vixmalli_defend = "event:/sfx/battle/atk_anim/vix/defend",
    vixmalli_shoot = "event:/sfx/battle/atk_anim/vix/shoot",
    vixmalli_powershot = "event:/sfx/battle/atk_anim/vix/powershot",

    --Mutant Vixmalli
    mutantvix_taunt = "event:/sfx/battle/atk_anim/mutantvix/taunt",
    mutantvix_defend = "event:/sfx/battle/atk_anim/mutantvix/defend",
    mutantvix_acid = "event:/sfx/battle/atk_anim/mutantvix/acid",
    mutantvix_watersofhesh = "event:/sfx/battle/atk_anim/mutantvix/watersofhesh",
    mutantvix_footstep = "event:/sfx/battle/atk_anim/mutantvix/footstep",
    mutantvix_move = "event:/sfx/battle/atk_anim/mutantvix/move",
    mutantvix_death = "event:/sfx/battle/atk_anim/mutantvix/death",
    mutantvix_grab = "event:/sfx/battle/atk_anim/mutantvix/grab",
    mutantvix_acidpre = "event:/sfx/battle/atk_anim/mutantvix/acid_pre",


    --Deltrean Dignitary
    deltreandignitary_taunt = "event:/sfx/battle/atk_anim/deltreandignitary/taunt",
    deltreandignitary_defend = "event:/sfx/battle/atk_anim/deltreandignitary/defend",
    deltreandignitary_stab = "event:/sfx/battle/atk_anim/deltreandignitary/stab",
    deltreandignitary_stab2 = "event:/sfx/battle/atk_anim/deltreandignitary/stab2",






    -- Burs 
    burs_knuckle_puncture = "event:/sfx/battle/atk_anim/burs_knuckle/puncture",
    burs_knuckle_counter = "event:/sfx/battle/atk_anim/burs_knuckle/counter",
    burs_knuckle_death = "event:/sfx/battle/atk_anim/burs_knuckle/death",
    burs_knuckle_emerge = "event:/sfx/battle/atk_anim/burs_knuckle/emerge",
    burs_knuckle_hit = "event:/sfx/battle/atk_anim/burs_knuckle/hit",
    burs_knuckle_taunt = "event:/sfx/battle/atk_anim/burs_knuckle/taunt",
    burs_knuckle_surrender = "event:/sfx/battle/atk_anim/burs_knuckle/surrender",
    burs_knuckle_defend = "event:/sfx/battle/atk_anim/burs_knuckle/defend",
    burs_loot_emerge = "event:/sfx/battle/atk_anim/burs_lootcrate/emerge",
    burs_loot_hit = "event:/sfx/battle/atk_anim/burs_lootcrate/hit",
    burs_loot_taunt = "event:/sfx/battle/atk_anim/burs_lootcrate/taunt",
    burs_loot_emerge = "event:/sfx/battle/atk_anim/burs_lootcrate/emerge",
    burs_loot_defend = "event:/sfx/battle/atk_anim/burs_lootcrate/defend",
    burs_loot_death = "event:/sfx/battle/atk_anim/burs_lootcrate/death",
    burs_sparkmine_emerge = "event:/sfx/battle/atk_anim/burs_sparkmine/emerge",
    burs_sparkmine_hit = "event:/sfx/battle/atk_anim/burs_sparkmine/hit",
    burs_sparkmine_taunt = "event:/sfx/battle/atk_anim/burs_sparkmine/taunt",
    burs_sparkmine_death = "event:/sfx/battle/atk_anim/burs_sparkmine/death",
    burs_sparkmine_surrender = "event:/sfx/battle/atk_anim/burs_sparkmine/surrender",
    burs_sparkmine_defend = "event:/sfx/battle/atk_anim/burs_sparkmine/defend",
    burs_cyst_death = "event:/sfx/battle/atk_anim/burs_cyst/death",
    burs_cyst_emerge = "event:/sfx/battle/atk_anim/burs_cyst/emerge",
    burs_cyst_hit = "event:/sfx/battle/atk_anim/burs_cyst/hit",
    burs_cyst_defend = "event:/sfx/battle/atk_anim/burs_cyst/defend",
    burs_cyst_taunt = "event:/sfx/battle/atk_anim/burs_cyst/taunt",

    burs_boss_tentaclebody = "event:/sfx/battle/atk_anim/burs_bogboss/tentacle_body",
    burs_boss_tentaclespike = "event:/sfx/battle/atk_anim/burs_bogboss/tentacle_spike",
    burs_boss_puncture = "event:/sfx/battle/atk_anim/burs_bogboss/puncture",
    burs_boss_taunt = "event:/sfx/battle/atk_anim/burs_bogboss/taunt",
    burs_boss_spark = "event:/sfx/battle/atk_anim/burs_bogboss/spark",
    burs_boss_sparkidle = "event:/sfx/battle/atk_anim/burs_bogboss/spark_idle",
    burs_boss_emerge = "event:/sfx/battle/atk_anim/burs_bogboss/emerge",
    burs_boss_death = "event:/sfx/battle/atk_anim/burs_bogboss/death",
    burs_boss_defend = "event:/sfx/battle/atk_anim/burs_bogboss/defend",
    burs_boss_hurt = "event:/sfx/battle/atk_anim/burs_bogboss/hurt",
    burs_boss_bite = "event:/sfx/battle/atk_anim/burs_bogboss/bite",

    burs_eye_attack = "event:/sfx/battle/atk_anim/burs_eyestalk/attack",
    burs_eye_reload = "event:/sfx/battle/atk_anim/burs_eyestalk/reload",
    burs_eye_emerge = "event:/sfx/battle/atk_anim/burs_eyestalk/emerge",
    burs_eye_taunt = "event:/sfx/battle/atk_anim/burs_eyestalk/taunt",
    burs_eye_hit = "event:/sfx/battle/atk_anim/burs_eyestalk/hit",
    burs_eye_surrender = "event:/sfx/battle/atk_anim/burs_eyestalk/surrender",
    burs_eye_death = "event:/sfx/battle/atk_anim/burs_eyestalk/death",
    burs_eye_defend = "event:/sfx/battle/atk_anim/burs_eyestalk/defend",

    -- Lumin Turret 
    luminturret_taunt = "event:/sfx/battle/atk_anim/lumin_turret/taunt",
    luminturret_death = "event:/sfx/battle/atk_anim/lumin_turret/death",
    luminturret_attack1 = "event:/sfx/battle/atk_anim/lumin_turret/attack1",
    luminturret_defend = "event:/sfx/battle/atk_anim/lumin_turret/defend",
    luminturret_step = "event:/sfx/battle/atk_anim/lumin_turret/step",
    luminturret_movelong = "event:/sfx/battle/atk_anim/lumin_turret/move_long",
    luminturret_moveshort = "event:/sfx/battle/atk_anim/lumin_turret/move_short",
    luminturret_shootretract = "event:/sfx/battle/atk_anim/lumin_turret/shoot_retract",
    luminturret_shoot = "event:/sfx/battle/atk_anim/lumin_turret/shoot",
    luminturret_vo_attack = "event:/sfx/battle/atk_anim/lumin_turret/voice_attack",
    luminturret_vo_block = "event:/sfx/battle/atk_anim/lumin_turret/voice_block",
    luminturret_vo_death = "event:/sfx/battle/atk_anim/lumin_turret/voice_death",
    luminturret_vo_stuff = "event:/sfx/battle/atk_anim/lumin_turret/voice_stuff",


    flourish_salSFX = "event:/sfx/battle/atk_anim/general/flourish_salSFX",
    flourish_rookSFX = "event:/sfx/battle/atk_anim/general/flourish_rookSFX",
    flourish_smithSFX = "event:/sfx/battle/atk_anim/general/flourish_smithSFX",





    -- BATTLE VO AND EMOTES

    -- Kashio
    kashio_emote_attack_fast_small = "event:/vo/combat/kashio/attack_fast_small",
    kashio_emote_attack_fast_small_closed = "event:/vo/combat/kashio/attack_fast_small_closed",
    kashio_emote_attack_long_large = "event:/vo/combat/kashio/attack_long_large",
    kashio_emote_attack_long_large_closed = "event:/vo/combat/kashio/attack_long_large_closed",
    kashio_emote_attack_long_med = "event:/vo/combat/kashio/attack_long_med",
    kashio_emote_attack_long_med_closed = "event:/vo/combat/kashio/attack_long_med_closed",
    kashio_emote_attack_med_fast = "event:/vo/combat/kashio/attack_med_fast",
    kashio_emote_attack_med_fast_closed = "event:/vo/combat/kashio/attack_med_fast_closed",
    kashio_emote_attack_moderate_large = "event:/vo/combat/kashio/attack_moderate_large",
    kashio_emote_attack_moderate_large_closed = "event:/vo/combat/kashio/attack_moderate_large_closed",
    kashio_emote_attack_moderate_medium = "event:/vo/combat/kashio/attack_moderate_medium",
    kashio_emote_attack_moderate_medium_closed = "event:/vo/combat/kashio/attack_moderate_medium_closed",
    kashio_emote_attack_moderate_small = "event:/vo/combat/kashio/attack_moderate_small",
    kashio_emote_attack_moderate_small_closed = "event:/vo/combat/kashio/attack_moderate_small_closed",
    kashio_emote_attack_throw = "event:/vo/combat/kashio/attack_throw",
    kashio_emote_attack_throw_closed = "event:/vo/combat/kashio/attack_throw_closed",
    kashio_emote_attack_windup_large_part01 = "event:/vo/combat/kashio/attack_windup_large_part01",
    kashio_emote_attack_windup_large_part02 = "event:/vo/combat/kashio/attack_windup_large_part02",
    kashio_emote_attack_windup_large_part01_closed = "event:/vo/combat/kashio/attack_windup_large_part01_closed",
    kashio_emote_attack_windup_large_part02_closed = "event:/vo/combat/kashio/attack_windup_large_part02_closed",
    kashio_emote_attack_windup_med_part01 = "event:/vo/combat/kashio/attack_windup_medium_part01",
    kashio_emote_attack_windup_med_part02 = "event:/vo/combat/kashio/attack_windup_medium_part02",
    kashio_emote_attack_windup_med_part01_closed = "event:/vo/combat/kashio/attack_windup_medium_part01_closed",
    kashio_emote_attack_windup_med_part02_closed = "event:/vo/combat/kashio/attack_windup_medium_part02_closed",
    kashio_emote_attack_windup_small_part01 = "event:/vo/combat/kashio/attack_windup_small_part01",
    kashio_emote_attack_windup_small_part02 = "event:/vo/combat/kashio/attack_windup_small_part02",
    kashio_emote_attack_windup_small_part01_closed = "event:/vo/combat/kashio/attack_windup_small_part01_closed",
    kashio_emote_attack_windup_small_part02_closed = "event:/vo/combat/kashio/attack_windup_small_part02_closed",
    kashio_emote_block = "event:/vo/combat/kashio/block",
    kashio_emote_death = "event:/vo/combat/kashio/death",
    kashio_emote_drink = "event:/vo/combat/kashio/drink",
    kashio_emote_growl_fast_closed = "event:/vo/combat/kashio/growl_fast_closed",
    kashio_emote_growl_fast_gritted = "event:/vo/combat/kashio/growl_fast_gritted",
    kashio_emote_heal = "event:/vo/combat/kashio/heal",
    kashio_emote_hurt_large = "event:/vo/combat/kashio/hurt_large",
    kashio_emote_hurt_medium = "event:/vo/combat/kashio/hurt_medium",
    kashio_emote_hurt_small = "event:/vo/combat/kashio/hurt_small",
    kashio_emote_roar_fast = "event:/vo/combat/kashio/roar_fast",
    kashio_emote_roar_long = "event:/vo/combat/kashio/roar_long",
    kashio_emote_roar_medium = "event:/vo/combat/kashio/roar_medium",



    -- Nadan

    nadan_emote_attack_fast_small = "event:/vo/combat/nadan/attack_fast_small",
    nadan_emote_attack_fast_small_closed = "event:/vo/combat/nadan/attack_fast_small_closed",
    nadan_emote_attack_long_large = "event:/vo/combat/nadan/attack_long_large",
    nadan_emote_attack_long_large_closed = "event:/vo/combat/nadan/attack_long_large_closed",
    nadan_emote_attack_long_med = "event:/vo/combat/nadan/attack_long_med",
    nadan_emote_attack_long_med_closed = "event:/vo/combat/nadan/attack_long_med_closed",
    nadan_emote_attack_med_fast = "event:/vo/combat/nadan/attack_med_fast",
    nadan_emote_attack_med_fast_closed = "event:/vo/combat/nadan/attack_med_fast_closed",
    nadan_emote_attack_moderate_large = "event:/vo/combat/nadan/attack_moderate_large",
    nadan_emote_attack_moderate_large_closed = "event:/vo/combat/nadan/attack_moderate_large_closed",
    nadan_emote_attack_moderate_medium = "event:/vo/combat/nadan/attack_moderate_medium",
    nadan_emote_attack_moderate_medium_closed = "event:/vo/combat/nadan/attack_moderate_medium_closed",
    nadan_emote_attack_moderate_small = "event:/vo/combat/nadan/attack_moderate_small",
    nadan_emote_attack_moderate_small_closed = "event:/vo/combat/nadan/attack_moderate_small_closed",
    nadan_emote_attack_throw = "event:/vo/combat/nadan/attack_throw",
    nadan_emote_attack_throw_closed = "event:/vo/combat/nadan/attack_throw_closed",
    nadan_emote_attack_windup_large_part01 = "event:/vo/combat/nadan/attack_windup_large_part01",
    nadan_emote_attack_windup_large_part02 = "event:/vo/combat/nadan/attack_windup_large_part02",
    nadan_emote_attack_windup_large_part01_closed = "event:/vo/combat/nadan/attack_windup_large_part01_closed",
    nadan_emote_attack_windup_large_part02_closed = "event:/vo/combat/nadan/attack_windup_large_part02_closed",
    nadan_emote_attack_windup_med_part01 = "event:/vo/combat/nadan/attack_windup_medium_part01",
    nadan_emote_attack_windup_med_part02 = "event:/vo/combat/nadan/attack_windup_medium_part02",
    nadan_emote_attack_windup_med_part01_closed = "event:/vo/combat/nadan/attack_windup_medium_part01_closed",
    nadan_emote_attack_windup_med_part02_closed = "event:/vo/combat/nadan/attack_windup_medium_part02_closed",
    nadan_emote_attack_windup_small_part01 = "event:/vo/combat/nadan/attack_windup_small_part01",
    nadan_emote_attack_windup_small_part02 = "event:/vo/combat/nadan/attack_windup_small_part02",
    nadan_emote_attack_windup_small_part01_closed = "event:/vo/combat/nadan/attack_windup_small_part01_closed",
    nadan_emote_attack_windup_small_part02_closed = "event:/vo/combat/nadan/attack_windup_small_part02_closed",
    nadan_emote_block = "event:/vo/combat/nadan/block",
    nadan_emote_death = "event:/vo/combat/nadan/death",
    nadan_emote_drink = "event:/vo/combat/nadan/drink",
    nadan_emote_growl_fast_closed = "event:/vo/combat/nadan/growl_fast_closed",
    nadan_emote_growl_fast_gritted = "event:/vo/combat/nadan/growl_fast_gritted",
    nadan_emote_heal = "event:/vo/combat/nadan/heal",
    nadan_emote_hurt_large = "event:/vo/combat/nadan/hurt_large",
    nadan_emote_hurt_medium = "event:/vo/combat/nadan/hurt_medium",
    nadan_emote_hurt_small = "event:/vo/combat/nadan/hurt_small",
    nadan_emote_roar_fast = "event:/vo/combat/nadan/roar_fast",
    nadan_emote_roar_long = "event:/vo/combat/nadan/roar_long",
    nadan_emote_roar_medium = "event:/vo/combat/nadan/roar_medium",


    -- Oolo

    oolo_emote_attack_fast_small = "event:/vo/combat/oolo/attack_fast_small",
    oolo_emote_attack_fast_small_closed = "event:/vo/combat/oolo/attack_fast_small_closed",
    oolo_emote_attack_long_large = "event:/vo/combat/oolo/attack_long_large",
    oolo_emote_attack_long_large_closed = "event:/vo/combat/oolo/attack_long_large_closed",
    oolo_emote_attack_long_med = "event:/vo/combat/oolo/attack_long_med",
    oolo_emote_attack_long_med_closed = "event:/vo/combat/oolo/attack_long_med_closed",
    oolo_emote_attack_med_fast = "event:/vo/combat/oolo/attack_med_fast",
    oolo_emote_attack_med_fast_closed = "event:/vo/combat/oolo/attack_med_fast_closed",
    oolo_emote_attack_moderate_large = "event:/vo/combat/oolo/attack_moderate_large",
    oolo_emote_attack_moderate_large_closed = "event:/vo/combat/oolo/attack_moderate_large_closed",
    oolo_emote_attack_moderate_medium = "event:/vo/combat/oolo/attack_moderate_medium",
    oolo_emote_attack_moderate_medium_closed = "event:/vo/combat/oolo/attack_moderate_medium_closed",
    oolo_emote_attack_moderate_small = "event:/vo/combat/oolo/attack_moderate_small",
    oolo_emote_attack_moderate_small_closed = "event:/vo/combat/oolo/attack_moderate_small_closed",
    oolo_emote_attack_throw = "event:/vo/combat/oolo/attack_throw",
    oolo_emote_attack_throw_closed = "event:/vo/combat/oolo/attack_throw_closed",
    oolo_emote_attack_windup_large_part01 = "event:/vo/combat/oolo/attack_windup_large_part01",
    oolo_emote_attack_windup_large_part02 = "event:/vo/combat/oolo/attack_windup_large_part02",
    oolo_emote_attack_windup_large_part01_closed = "event:/vo/combat/oolo/attack_windup_large_part01_closed",
    oolo_emote_attack_windup_large_part02_closed = "event:/vo/combat/oolo/attack_windup_large_part02_closed",
    oolo_emote_attack_windup_med_part01 = "event:/vo/combat/oolo/attack_windup_medium_part01",
    oolo_emote_attack_windup_med_part02 = "event:/vo/combat/oolo/attack_windup_medium_part02",
    oolo_emote_attack_windup_med_part01_closed = "event:/vo/combat/oolo/attack_windup_medium_part01_closed",
    oolo_emote_attack_windup_med_part02_closed = "event:/vo/combat/oolo/attack_windup_medium_part02_closed",
    oolo_emote_attack_windup_small_part01 = "event:/vo/combat/oolo/attack_windup_small_part01",
    oolo_emote_attack_windup_small_part02 = "event:/vo/combat/oolo/attack_windup_small_part02",
    oolo_emote_attack_windup_small_part01_closed = "event:/vo/combat/oolo/attack_windup_small_part01_closed",
    oolo_emote_attack_windup_small_part02_closed = "event:/vo/combat/oolo/attack_windup_small_part02_closed",
    oolo_emote_block = "event:/vo/combat/oolo/block",
    oolo_emote_death = "event:/vo/combat/oolo/death",
    oolo_emote_drink = "event:/vo/combat/oolo/drink",
    oolo_emote_growl_fast_closed = "event:/vo/combat/oolo/growl_fast_closed",
    oolo_emote_growl_fast_gritted = "event:/vo/combat/oolo/growl_fast_gritted",
    oolo_emote_heal = "event:/vo/combat/oolo/heal",
    oolo_emote_hurt_large = "event:/vo/combat/oolo/hurt_large",
    oolo_emote_hurt_medium = "event:/vo/combat/oolo/hurt_medium",
    oolo_emote_hurt_small = "event:/vo/combat/oolo/hurt_small",
    oolo_emote_roar_fast = "event:/vo/combat/oolo/roar_fast",
    oolo_emote_roar_long = "event:/vo/combat/oolo/roar_long",
    oolo_emote_roar_medium = "event:/vo/combat/oolo/roar_medium",


     -- Fssh

    fssh_emote_attack_fast_small = "event:/vo/combat/fssh/attack_fast_small",
    fssh_emote_attack_fast_small_closed = "event:/vo/combat/fssh/attack_fast_small_closed",
    fssh_emote_attack_long_large = "event:/vo/combat/fssh/attack_long_large",
    fssh_emote_attack_long_large_closed = "event:/vo/combat/fssh/attack_long_large_closed",
    fssh_emote_attack_long_med = "event:/vo/combat/fssh/attack_long_med",
    fssh_emote_attack_long_med_closed = "event:/vo/combat/fssh/attack_long_med_closed",
    fssh_emote_attack_med_fast = "event:/vo/combat/fssh/attack_med_fast",
    fssh_emote_attack_med_fast_closed = "event:/vo/combat/fssh/attack_med_fast_closed",
    fssh_emote_attack_moderate_large = "event:/vo/combat/fssh/attack_moderate_large",
    fssh_emote_attack_moderate_large_closed = "event:/vo/combat/fssh/attack_moderate_large_closed",
    fssh_emote_attack_moderate_medium = "event:/vo/combat/fssh/attack_moderate_medium",
    fssh_emote_attack_moderate_medium_closed = "event:/vo/combat/fssh/attack_moderate_medium_closed",
    fssh_emote_attack_moderate_small = "event:/vo/combat/fssh/attack_moderate_small",
    fssh_emote_attack_moderate_small_closed = "event:/vo/combat/fssh/attack_moderate_small_closed",
    fssh_emote_attack_throw = "event:/vo/combat/fssh/attack_throw",
    fssh_emote_attack_throw_closed = "event:/vo/combat/fssh/attack_throw_closed",
    fssh_emote_attack_windup_large_part01 = "event:/vo/combat/fssh/attack_windup_large_part01",
    fssh_emote_attack_windup_large_part02 = "event:/vo/combat/fssh/attack_windup_large_part02",
    fssh_emote_attack_windup_large_part01_closed = "event:/vo/combat/fssh/attack_windup_large_part01_closed",
    fssh_emote_attack_windup_large_part02_closed = "event:/vo/combat/fssh/attack_windup_large_part02_closed",
    fssh_emote_attack_windup_med_part01 = "event:/vo/combat/fssh/attack_windup_medium_part01",
    fssh_emote_attack_windup_med_part02 = "event:/vo/combat/fssh/attack_windup_medium_part02",
    fssh_emote_attack_windup_med_part01_closed = "event:/vo/combat/fssh/attack_windup_medium_part01_closed",
    fssh_emote_attack_windup_med_part02_closed = "event:/vo/combat/fssh/attack_windup_medium_part02_closed",
    fssh_emote_attack_windup_small_part01 = "event:/vo/combat/fssh/attack_windup_small_part01",
    fssh_emote_attack_windup_small_part02 = "event:/vo/combat/fssh/attack_windup_small_part02",
    fssh_emote_attack_windup_small_part01_closed = "event:/vo/combat/fssh/attack_windup_small_part01_closed",
    fssh_emote_attack_windup_small_part02_closed = "event:/vo/combat/fssh/attack_windup_small_part02_closed",
    fssh_emote_block = "event:/vo/combat/fssh/block",
    fssh_emote_death = "event:/vo/combat/fssh/death",
    fssh_emote_drink = "event:/vo/combat/fssh/drink",
    fssh_emote_growl_fast_closed = "event:/vo/combat/fssh/growl_fast_closed",
    fssh_emote_growl_fast_gritted = "event:/vo/combat/fssh/growl_fast_gritted",
    fssh_emote_heal = "event:/vo/combat/fssh/heal",
    fssh_emote_hurt_large = "event:/vo/combat/fssh/hurt_large",
    fssh_emote_hurt_medium = "event:/vo/combat/fssh/hurt_medium",
    fssh_emote_hurt_small = "event:/vo/combat/fssh/hurt_small",
    fssh_emote_roar_fast = "event:/vo/combat/fssh/roar_fast",
    fssh_emote_roar_long = "event:/vo/combat/fssh/roar_long",
    fssh_emote_roar_medium = "event:/vo/combat/fssh/roar_medium",

    -- AutoDog
    
    autodog_death_foley = "event:/sfx/enemy/autodog/battle/death_foley",
    autodog_defend = "event:/sfx/enemy/autodog/battle/defend",
    autodog_taunt = "event:/sfx/enemy/autodog/battle/taunt",
    autodog_hurt = "event:/sfx/enemy/autodog/battle/hurt",
    autodog_hurt_vo = "event:/sfx/enemy/autodog/battle/hurt_vo",
    autodog_flee = "event:/sfx/enemy/autodog/battle/flee",
    autodog_attack1 = "event:/sfx/enemy/autodog/battle/attack1",
    autodog_attack2 = "event:/sfx/enemy/autodog/battle/attack2",

    -- AutoDog Movement

    autodog_step_back = "event:/sfx/enemy/autodog/battle/movement/step_back",
    autodog_step_forward = "event:/sfx/enemy/autodog/battle/movement/step_forward",
    autodog_surrender = "event:/sfx/enemy/autodog/battle/movement/surrender",
    autodog_run_forward = "event:/sfx/enemy/autodog/battle/movement/run_forward",
    autodog_turn = "event:/sfx/enemy/autodog/battle/movement/turn",
    autodog_rtrn_from_stun = "event:/sfx/enemy/autodog/battle/movement/rtrn_from_stun",


    -- Feral Autodog
    feral_autodog_bite = "event:/sfx/enemy/feral_autodog/bite",
    feral_autodog_death_foley = "event:/sfx/enemy/feral_autodog/death_foley",
    feral_autodog_defend = "event:/sfx/enemy/feral_autodog/defend",
    feral_autodog_flee = "event:/sfx/enemy/feral_autodog/flee",
    feral_autodog_hurt_vo = "event:/sfx/enemy/feral_autodog/hurt_vo",
    feral_autodog_hurt_foley = "event:/sfx/enemy/feral_autodog/hurt",
    feral_autodog_taunt = "event:/sfx/enemy/feral_autodog/taunt",



    -- Pamhleteer

    pamhleteer_defend = "event:/sfx/battle/atk_anim/pamphleteer/defend",
    pamhleteer_hit = "event:/sfx/battle/atk_anim/pamphleteer/hit",
    pamhleteer_punch = "event:/sfx/battle/atk_anim/pamphleteer/punch",
    pamhleteer_taunt = "event:/sfx/battle/atk_anim/pamphleteer/taunt",
    pamhleteer_throw = "event:/sfx/battle/atk_anim/pamphleteer/throw",
    pamhleteer_stun = "event:/sfx/battle/atk_anim/pamphleteer/stun",



    -- Rentorian Boss

    rentorian_boss_attack1 = "event:/sfx/battle/atk_anim/rentorian_boss/attack1",
    rentorian_boss_attack2 = "event:/sfx/battle/atk_anim/rentorian_boss/attack2",
    rentorian_boss_attack_dual = "event:/sfx/battle/atk_anim/rentorian_boss/attack_dual",
    rentorian_boss_attack2_dual = "event:/sfx/battle/atk_anim/rentorian_boss/attack2_dual",
    rentorian_boss_death = "event:/sfx/battle/atk_anim/rentorian_boss/death",
    rentorian_boss_defend = "event:/sfx/battle/atk_anim/rentorian_boss/defend",
    rentorian_boss_defend2 = "event:/sfx/battle/atk_anim/rentorian_boss/defend2",
    rentorian_boss_hit = "event:/sfx/battle/atk_anim/rentorian_boss/hit_mid",
    rentorian_boss_return_frm_stun = "event:/sfx/battle/atk_anim/rentorian_boss/return_frm_stun",
    rentorian_boss_return_frm_surrender = "event:/sfx/battle/atk_anim/rentorian_boss/return_frm_surrender",
    rentorian_boss_taunt = "event:/sfx/battle/atk_anim/rentorian_boss/taunt",
    rentorian_boss_taunt2 = "event:/sfx/battle/atk_anim/rentorian_boss/taunt2",
    rentorian_boss_transition1 = "event:/sfx/battle/atk_anim/rentorian_boss/transition1",
    rentorian_boss_transition2 = "event:/sfx/battle/atk_anim/rentorian_boss/transition2",


    -- Rise Automech

    rise_automech_attack1 = "event:/sfx/battle/atk_anim/rise_automech/attack1",
    rise_automech_death = "event:/sfx/battle/atk_anim/rise_automech/death",
    rise_automech_defend = "event:/sfx/battle/atk_anim/rise_automech/defend",
    rise_automech_hit = "event:/sfx/battle/atk_anim/rise_automech/hit",
    rise_automech_scan = "event:/sfx/battle/atk_anim/rise_automech/scan",
    rise_automech_taunt = "event:/sfx/battle/atk_anim/rise_automech/taunt",


    -- Automech Boss

    automech_boss_attack1 = "event:/sfx/battle/atk_anim/automech_boss/attack1",
    automech_boss_death = "event:/sfx/battle/atk_anim/automech_boss/death",
    automech_boss_defend = "event:/sfx/battle/atk_anim/automech_boss/defend",
    automech_boss_hit = "event:/sfx/battle/atk_anim/automech_boss/hit",
    automech_boss_limpforward = "event:/sfx/battle/atk_anim/automech_boss/limpforward",
    automech_boss_runforward = "event:/sfx/battle/atk_anim/automech_boss/runforward",
    automech_boss_stepback = "event:/sfx/battle/atk_anim/automech_boss/step_back",
    automech_boss_stepforward = "event:/sfx/battle/atk_anim/automech_boss/step_forward",
    automech_boss_taunt = "event:/sfx/battle/atk_anim/automech_boss/taunt",
    automech_boss_shoot = "event:/sfx/battle/atk_anim/automech_boss/shoot",
    automech_boss_shootsingle = "event:/sfx/battle/atk_anim/automech_boss/shootsingle",
    automech_boss_shield_up = "event:/sfx/battle/atk_anim/automech_boss/shieldUP",
    automech_boss_shield_down = "event:/sfx/battle/atk_anim/automech_boss/shieldDOWN",
    automech_boss_spark = "event:/sfx/battle/atk_anim/automech_boss/stunsparks",
    automech_boss_servomove_short = "event:/sfx/battle/atk_anim/automech_boss/servomove_short",
    automech_boss_servomove_long = "event:/sfx/battle/atk_anim/automech_boss/servomove_long",



    -- Erchin

    erchin_attack1 = "event:/sfx/enemy/erchin/attack1",
    erchin_attack2 = "event:/sfx/enemy/erchin/attack2",
    erchin_death_foley = "event:/sfx/enemy/erchin/death_foley",
    erchin_death_vo = "event:/sfx/enemy/erchin/death_vo",
    erchin_defend = "event:/sfx/enemy/erchin/defend",
    erchin_dodge = "event:/sfx/enemy/erchin/dodge",
    erchin_hit = "event:/sfx/enemy/erchin/hit",
    erchin_return_frm_stun = "event:/sfx/enemy/erchin/return_frm_stun",
    erchin_run_forward = "event:/sfx/enemy/erchin/run_forward",
    erchin_step_back = "event:/sfx/enemy/erchin/step_back",
    erchin_step_forward = "event:/sfx/enemy/erchin/step_forward",
    erchin_taunt = "event:/sfx/enemy/erchin/taunt",
    erchin_shout = "event:/sfx/enemy/erchin/shout",
    erchin_scared_vo = "event:/sfx/enemy/erchin/scared_vo",
    erchin_scared2nd_vo = "event:/sfx/enemy/erchin/scared_2nd_vo",


    -- Flead Larvae

    fleadlarvae_run_forward = "event:/sfx/enemy/flead_larvae/movement/run_forward",
    fleadlarvae_step_back = "event:/sfx/enemy/flead_larvae/movement/step_back",
    fleadlarvae_step_forward = "event:/sfx/enemy/flead_larvae/movement/step_forward",
    fleadlarvae_turn = "event:/sfx/enemy/flead_larvae/movement/turn",
    fleadlarvae_attack1 = "event:/sfx/enemy/flead_larvae/attack_1",
    fleadlarvae_death = "event:/sfx/enemy/flead_larvae/death",
    fleadlarvae_death_vo = "event:/sfx/enemy/flead_larvae/death_vo",
    fleadlarvae_defend = "event:/sfx/enemy/flead_larvae/defend",
    fleadlarvae_hurt_vo = "event:/sfx/enemy/flead_larvae/hurt_vo",
    fleadlarvae_hurt = "event:/sfx/enemy/flead_larvae/hurt",
    fleadlarvae_taunt = "event:/sfx/enemy/flead_larvae/taunt",


    -- Flead Queen

    fleadqueen_run_forward = "event:/sfx/enemy/flead_queen/movement/run_forward",
    fleadqueen_step_back = "event:/sfx/enemy/flead_queen/movement/step_back",
    fleadqueen_step_forward = "event:/sfx/enemy/flead_queen/movement/step_forward",
    fleadqueen_turn = "event:/sfx/enemy/flead_queen/movement/turn",
    fleadqueen_death_foley = "event:/sfx/enemy/flead_queen/death_foley",
    fleadqueen_death_vo = "event:/sfx/enemy/flead_queen/death_vo",
    fleadqueen_defend = "event:/sfx/enemy/flead_queen/defend",
    fleadqueen_hit = "event:/sfx/enemy/flead_queen/hit",
    fleadqueen_hit_vo = "event:/sfx/enemy/flead_queen/hit_vo",
    fleadqueen_larvae_spew = "event:/sfx/enemy/flead_queen/larvaespew",
    fleadqueen_sting = "event:/sfx/enemy/flead_queen/sting",
    fleadqueen_taunt = "event:/sfx/enemy/flead_queen/taunt",
    fleadqueen_spinestorm = "event:/sfx/enemy/flead_queen/spinestorm",


    -- Noseeyum

    noseeyum_return_from_stun = "event:/sfx/enemy/noseeyum/movement/rtrn_from_stun",
    noseeyum_run_forward = "event:/sfx/enemy/noseeyum/movement/run_forward",
    noseeyum_step_back = "event:/sfx/enemy/noseeyum/movement/step_back",
    noseeyum_step_forward = "event:/sfx/enemy/noseeyum/movement/step_forward",
    noseeyum_turn = "event:/sfx/enemy/noseeyum/movement/turn",
    noseeyum_charge = "event:/sfx/enemy/noseeyum/charge",
    noseeyum_death = "event:/sfx/enemy/noseeyum/death",
    noseeyum_defend = "event:/sfx/enemy/noseeyum/defend",
    noseeyum_flop_pre = "event:/sfx/enemy/noseeyum/flop_pre",
    noseeyum_flop = "event:/sfx/enemy/noseeyum/flop",
    noseeyum_flop_post = "event:/sfx/enemy/noseeyum/flop_post",
    noseeyum_hurt_foley = "event:/sfx/enemy/noseeyum/hurt_foley",
    noseeyum_hurt_vo = "event:/sfx/enemy/noseeyum/hurt_VO",
    noseeyum_taunt = "event:/sfx/enemy/noseeyum/taunt",
    noseeyum_curl = "event:/sfx/enemy/noseeyum/curl",

    

    -- Sparkbaron Automech

    sparkbaron_automech_blast = "event:/sfx/battle/atk_anim/sparkbaron_automech/blast",
    sparkbaron_automech_blast_pre = "event:/sfx/battle/atk_anim/sparkbaron_automech/blast_pre",
    sparkbaron_automech_blast_post = "event:/sfx/battle/atk_anim/sparkbaron_automech/blast_post",
    sparkbaron_automech_defend = "event:/sfx/battle/atk_anim/sparkbaron_automech/defend",
    sparkbaron_automech_hit = "event:/sfx/battle/atk_anim/sparkbaron_automech/hit",
    sparkbaron_automech_taunt = "event:/sfx/battle/atk_anim/sparkbaron_automech/taunt",
    sparkbaron_automech_shoot = "event:/sfx/battle/atk_anim/sparkbaron_automech/shoot",
    sparkbaron_automech_shoot_pre = "event:/sfx/battle/atk_anim/sparkbaron_automech/shoot_pre",
    sparkbaron_automech_shoot_post = "event:/sfx/battle/atk_anim/sparkbaron_automech/shoot_post",
    sparkbaron_automech_death = "event:/sfx/battle/atk_anim/sparkbaron_automech/death",

        -- Noseeyum

    lumicyte_return_from_stun = "event:/sfx/enemy/lumicyte/battle/movement/rtrn_from_stun",
    lumicyte_run_forward = "event:/sfx/enemy/lumicyte/battle/movement/run_forward",
    lumicyte_step_back = "event:/sfx/enemy/lumicyte/battle/movement/step_back",
    lumicyte_step_forward = "event:/sfx/enemy/lumicyte/battle/movement/step_forward",
    lumicyte_turn = "event:/sfx/enemy/lumicyte/battle/movement/turn",
    lumicyte_attack1 = "event:/sfx/enemy/lumicyte/battle/attack1",
    lumicyte_attack2 = "event:/sfx/enemy/lumicyte/battle/attack2",
    lumicyte_death = "event:/sfx/enemy/lumicyte/battle/death_foley",
    lumicyte_deathVO = "event:/sfx/enemy/lumicyte/battle/death_vo",
    lumicyte_defend = "event:/sfx/enemy/lumicyte/battle/defend",
    lumicyte_flee = "event:/sfx/enemy/lumicyte/battle/flee",
    lumicyte_hurt_foley = "event:/sfx/enemy/lumicyte/battle/hurt_foley",
    lumicyte_hurt_vo = "event:/sfx/enemy/lumicyte/battle/hurt_vo",
    lumicyte_taunt = "event:/sfx/enemy/lumicyte/battle/taunt",

    -- Perks
    perk_unlock = "event:/ui/perksgrafts_menu/perk_unlock",
    perkslot_unlock  = "event:/ui/perksgrafts_menu/perkslot_unlock",
    perktier_unlock = "event:/ui/perksgrafts_menu/perkteir_unlock",

    -- Andwanette
    andwanette_defend = "event:/sfx/battle/atk_anim/andwanette/defend",
    andwanette_attack1 = "event:/sfx/battle/atk_anim/andwanette/attack1",
    andwanette_attack2 = "event:/sfx/battle/atk_anim/andwanette/attack2",
    andwanette_taunt = "event:/sfx/battle/atk_anim/andwanette/taunt",
    andwanette_drone_transform1 = "event:/sfx/battle/atk_anim/andwanette/drone_transform1",
    andwanette_drone_transform2 = "event:/sfx/battle/atk_anim/andwanette/drone_transform2",
    andwanette_drone_blast = "event:/sfx/battle/atk_anim/andwanette/drone_blast",
    andwanette_drone_death = "event:/sfx/battle/atk_anim/andwanette/drone_death",
    andwanette_drone_move = "event:/sfx/battle/atk_anim/andwanette/drone_move",
    andwanette_drone_explo = "event:/sfx/battle/atk_anim/andwanette/drone_explo",

    -- Denikus
    denikus_defend = "event:/sfx/battle/atk_anim/denikus/defend",
    denikus_jabs = "event:/sfx/battle/atk_anim/denikus/jabs",
    denikus_shoot = "event:/sfx/battle/atk_anim/denikus/shoot",
    denikus_taunt = "event:/sfx/battle/atk_anim/denikus/taunt",

    -- Bordenkra.
    bordenkra_defend = "event:/sfx/battle/atk_anim/bordenkra/defend",
    bordenkra_attack1 = "event:/sfx/battle/atk_anim/bordenkra/attack1",
    bordenkra_attack2 = "event:/sfx/battle/atk_anim/bordenkra/attack2",
    bordenkra_taunt = "event:/sfx/battle/atk_anim/bordenkra/taunt",

    -- Poor Merchant
    poormerchant_defend = "event:/sfx/battle/atk_anim/poorMerchant/defend",
    poormerchant_upswing = "event:/sfx/battle/atk_anim/poorMerchant/upswing",
    poormerchant_throw = "event:/sfx/battle/atk_anim/poorMerchant/throw",
    poormerchant_taunt = "event:/sfx/battle/atk_anim/poorM erchant/taunt",

    -- Mercenary Boss
    mercenaryboss_defend = "event:/sfx/battle/atk_anim/mercenary_boss/defend",
    mercenaryboss_attack1 = "event:/sfx/battle/atk_anim/mercenary_boss/attack1",
    mercenaryboss_attack2 = "event:/sfx/battle/atk_anim/mercenary_boss/attack2",
    mercenaryboss_taunt = "event:/sfx/battle/atk_anim/mercenary_boss/taunt",


}

return sound_events
