---------------------------------------------------------------
-- Data for streaming services

local StreamingProfile = class( "StreamingProfile", UserSettings )

function StreamingProfile:init()
    UserSettings.init( self, "streaming.lua", engine.settings )
end

---------------------------------------------------------------
-- Twitch

function StreamingProfile:GetTwitchUserID()
    return self:GetSetting( "twitch_user_id" )
end

function StreamingProfile:SetTwitchUserID( id )
	self:ApplySetting( "twitch_user_id", id )
    self:SaveSettings()
end

function StreamingProfile:GetTwitchID()
    return self:GetSetting( "twitch_id" )
end

function StreamingProfile:SetTwitchID( id )
	self:ApplySetting( "twitch_id", id )
    self:SaveSettings()
end

function StreamingProfile:GetTwitchToken()
    return self:GetSetting( "twitch_token" )
end

function StreamingProfile:SetTwitchToken( token )
    self:ApplySetting( "twitch_token", token )
    self:SaveSettings()
end