require "ui/widgets/imagebutton"

local arrow_button = engine.asset.Texture( "UI/arrow_button_normal.tex" )

local ArrowButton = class("Widget.ArrowButton", Widget.ImageButton)

function ArrowButton:init( fn )
	Widget.ImageButton.init( self, arrow_button, fn )
end

function ArrowButton:SetFlip( flip )
	self.img:SetScale(flip and -1 or 1, 1)
    return self
end