require "ui/widget"
require "ui/widgets/solidbox"
require "ui/widgets/label"

------------------------------------------------------

local LocationToolTip = class( "Widget.LocationToolTip", Widget.Tooltip )

function LocationToolTip:init()
    LocationToolTip._base.init( self )
end

function LocationToolTip:DoLayout( location )
    local txt = loc.format( LOC"UI.TRAVEL_SCREEN.LOCATION_TT", location:GetName(), location:GetDesc() or "" )
    LocationToolTip._base.DoLayout( self, txt )
end
