require "ui/widget"

-- A widget that has no model, but a bounding box for layout purposes.

local Padding = class("Widget.Padding", Widget)

function Padding:init( w, h )
    assert( w and h )
    Padding._base.init(self)
    self.w, self.h = w, h
end

function Padding:GetBoundingBox()
    local w, h = self.w, self.h
    return -w/2, -h/2, w/2, h/2
end
