require "ui/widget"


local UpgradeIndicator = class("Widget.UpgradeIndicator", Widget)

function UpgradeIndicator:init()
    UpgradeIndicator._base.init(self)

    self.bg = self:AddChild( Widget.Image( global_images.circle ) ):SetTintColour( UICOLOURS.QUEST ):SetSize( 20, 20 ):Bloom( 0.08 )
    self.label = self:AddChild( Widget.Label( "title", 20, "0" ) )--:EnableOutline( true )
    self.label:SetGlyphColour( UICOLOURS.DARK_BODYTEXT )
    self.label:SetHiddenBoundingBox( true )

    self.label_string = LOC"UI.CARD_UPGRADE_INDICATOR.TT"
end

function UpgradeIndicator:SetCardMode()
    self.label_string = LOC"UI.CARD_UPGRADE_INDICATOR.TT"
    return self
end

function UpgradeIndicator:SetGraftMode()
    self.label_string = LOC"UI.GRAFT_UPGRADE_INDICATOR.TT"
    return self
end

function UpgradeIndicator:Refresh(num)
    self.num = num
    self.label:SetText(tostring(num))
    self.label:LayoutBounds( "center", "center", self.bg ):Offset( 0, 1 )
    self:SetToolTip( loc.format( self.label_string, self.num ) )

    return self
end
