
UICOLOURS =
{
    BLACK = 0x000000FF,
    WHITE = 0xFFFFFFFF,
    
    --commonly used
    BODYTEXT = 0xB9EBEBff,
    DISABLED = 0x7f7f7fff,
    TEXT = 0xB9EBEBff,
    TOOLTIP_TEXT = 0x09E1DCd0,
    TEXT_LINK = 0xEFD656ff,
    DARK_BODYTEXT = 0x212c2dff,
    DARK_BODYTEXT_ALT = 0x212c2dbb,
    DARK_TEXT_LINK = 0x004E8Aff,
    TITLE = 0xA1FFFDff,
    SUBTITLE = 0x09E1DCff,
    HILITE = 0xFFE858ff,
    ACCENT = 0xD86392ff,
    EXP = 0xD25AFCff,
    SCORE = 0xffffffffF,

    STORYLINE = 0xFFDE5Aff,
    OPPORTUNITY = 0xE17E09ff,
    OBJECTIVE = 0x0cd8a1ff,
    OBJECTIVE_LIGHT = 0x7FFFDCff,
    NEGOTIATION = 0x9E91FFff,
    NEGOTIATION_LIGHT = 0xBBB2FFff,
    FIGHT = 0xFF9C5Aff,
    FIGHT_LIGHT = 0xFFB584ff,
    CARD_CHARGES = 0xA3F374ff,
    GRAFT = 0x0cd8a1ff,
    GRIFTS = 0xcfa911ff,
    PERK = 0x57BF38ff,
    MOD = 0xA64CFFff,
    ADVANCEMENT = 0x2289D7ff,
    METTLE = 0x7FFFDCff,
    FLOURISH = 0xCB5AFCff,
    FLOURISH_LIGHT = 0xDF97FFff,

    FRIENDLY_COLOUR = 0XAAFFEFFF,
    FRIENDLY_TARGETTING_COLOUR = 0XAAFFEFFF,
    ENEMY_COLOUR = 0xFE7080FF,
    ENEMY_TARGETTING_COLOUR = 0xCB2B3DFF,
    FRIENDLY_SELECTED_COLOUR = 0x32CD32FF,
    DEAD = 0xE25A4CFF,

    RENOWN = 0x09E1DCff,
    MUTATOR = 0xB6D940ff,

    UPGRADE = 0xCCCC00FF,
    DOWNGRADE = 0xCC0000FF,
    BONUS = 0x40D988ff,
    BONUS_CARD_TEXT = 0x55FF55FF,
    FLAVOUR_TEXT = 0xccccccff,
    PENALTY = 0xFF6363ff,
    PENALTY_CARD_TEXT = 0xCC0000FF,

    REQUIRES = 0xdd3333ff,

    --card rarity
    CARD_BASIC = 0xA5D9A9ff,
    CARD_COMMON = 0xECF1F1ff,
    CARD_UNCOMMON = 0xA5CFEFff,
    CARD_RARE = 0xE9D550ff,
    CARD_UNIQUE = 0xC569B3ff,
    CARD_COSMIC = 0xDFA5EFff,

    -- card type
    NEGOTIATION_HOSTILE = 0xE26E77FF,
    --NEGOTIATION_DIPLOMACY = 0x81dc7dFF, 
    NEGOTIATION_DIPLOMACY = 0x7ddc8dFF, 
    NEGOTIATION_MANIPULATE = 0xAF68A8FF,
    NEGOTIATION_BYSTANDER = 0x4DB78BFF,
    NEGOTIATION_STATUS = 0xECCD53FF,
    NEGOTIATION_OPPONENT = 0xFFCA78FF,
    FIGHT_ATTACK = 0xFF9C5AFF,
    FIGHT_SKILL = 0x6AC8C9FF,
    FIGHT_STATUS = 0xECCD53FF,
    FIGHT_SPECIAL = 0xFFCA78FF,
    FIGHT_ITEM = 0x6CA280FF,
    FIGHT_SCORE = 0xffd1b3FF,

    PARASITE = 0xA3B725ff,

    SCROLL_BACKGROUND = 0x222222ff,
    POPUP_BACKGROUND = 0X0B4E3FFF,
    --combat status
    STATUS_HEAL = 0x90ee90ff,
    STATUS_HEALTH = 0xee5d5fff,
    STATUS_HEALTH_CRIT = 0x9e3234ff,

    BUTTON_BG = 0x09E1DCff,
    BUTTON_TEXT = 0x212c2dff,
    COMIC_BUBBLE_BG = 0xffffffff,
    COMIC_PANEL_BG = 0xffffffff,
    CONVO_NARRATION_TEXT = 0x072F34ff,
    CONVO_OPT_TEXT = 0x121d14ff,
    CONVO_SPEECH_TEXT = 0x072F34ff,
    DARK_BG = 0x072F34ff,
    DARK_PANEL_BG = 0x191514ff,
    DBG = 0x00ff00ff,
    FOCUS = 0x71D923ff,

    HEALTH_DAMAGE = 0x9A1A1AFF,
    HEALTH = 0xDA6161FF,
    DEFEND = 0xFFDE5Aff,
    DEFEND_DAMAGE = 0xAF8E1AFF,
    SURGE = 0xF79DF7FF,

    RESOLVE = 0x09E1DCff,
    MORALE = 0xFcFcFcFF,
    COMPOSURE = 0xFFDE5Aff,

    MONEY = 0xFFDE5Aff,
    MONEY_LIGHT = 0xFFEB9Bff,
    MONEY_DESATURATED = 0x78704Cff, -- For striked prices

    LIGHT_BG = 0x83855aff,
    LIGHT_PANEL_BG = 0xaaffe5ff,
    LINEWORK = 0x5fb099ff,
    NEUTRAL = 0xffffffff,
    PANEL_BG = 0x493e3dff,
    PROGRESS_BAR_OUTLINE = 0xcbffefff,
    QUEST = 0xFFDE5Aff,
    QUEST_LIGHT = 0xFFEA95ff,
    DAILY = 0xFFDE5Aff,
    DAILY_LIGHT = 0xFFEA95ff,

    DAY = 0xfaff4fff,
    EVENING = 0xdb7f4aff,
    NIGHT = 0x493275ff,

    RELATIONSHIP_HATED = 0xD94040ff,
    RELATIONSHIP_DISLIKED = 0xF78989ff,
    RELATIONSHIP_NEUTRAL = 0xB9E9D9ff,
    RELATIONSHIP_LIKED = 0xB2F789ff,
    RELATIONSHIP_LOVED = 0x79D940ff,
}


