local settings = 
{
	id = "polish",
	name = "Polish",
	font_settings = 
	{
	    title = { font = "fonts/titillium_sdf.zip", sdfthreshold = 0.36, sdfboldthreshold = 0.30 },
	    body = { font = "fonts/titillium_sdf.zip", sdfthreshold = 0.4, sdfboldthreshold = 0.33 },
	    button = { font = "fonts/titillium_sdf.zip", sdfthreshold = 0.4, sdfboldthreshold = 0.33 },
	    tooltip = { font = "fonts/titillium_sdf.zip", sdfthreshold = 0.4, sdfboldthreshold = 0.33 },
	    speech = { font = "fonts/titillium_sdf.zip", sdfthreshold = 0.4, sdfboldthreshold = 0.33 },
	},
	default_languages = 
	{
		"po",
	},
	name_declensions = { "nominative", "accusative", "genetive", "dative", "vocative", "locative", "instrumental" },
	plurality = [[return ((n > 4 or n == 0) and 3 or (n == 1 and 1 or 2))]],
}

Content.AddLocalization(settings)
Content.AddPOFileToLocalization(settings.id, "po")
