local settings = 
{
	id = "chinese_traditional",
	motd_key = "zh_hant",
	name = "Traditional Chinese",
	font_settings = 
	{
	    title = { font = "fonts/notosans_cn_sdf.zip", sdfthreshold = 0.38, sdfboldthreshold = 0.37, supportsitalics = false },
	    body = { font = "fonts/notosans_cn_sdf.zip", sdfthreshold = 0.45, sdfboldthreshold = 0.38, supportsitalics = false },
	    button = { font = "fonts/notosans_cn_sdf.zip", sdfthreshold = 0.45, sdfboldthreshold = 0.35, supportsitalics = false },
	    tooltip = { font = "fonts/notosans_cn_sdf.zip", sdfthreshold = 0.45, sdfboldthreshold = 0.35, supportsitalics = false },
	    speech = { font = "fonts/notosans_cn_sdf.zip", sdfthreshold = 0.45, sdfboldthreshold = 0.35, supportsitalics = false },
	},

	demo_logo_image = "large/logo_hant_demo.tex",
	logo_image = "large/logo_hant.tex",

	default_languages = 
	{
		"zh-HANT",
		"zh-HK",
		"zh-MO",
		"zh-TW",
	}

}

Content.AddLocalization(settings)
Content.AddPOFileToLocalization(settings.id, "zh_HANT")