require "content/player_outfits"

local OUTFITS = 
{
    PlayerOutfit{
        unlocked = true,
        id = "sal_base",
        character = "SAL",
        build = "sal",
        
        name = "Bounty Hunter",
        desc = "Sal's Bounty Hunter gear",
        icon = engine.asset.Texture( "battle/decks/outfit_sal_bounty_hunter.tex" ),
    },

    PlayerOutfit{
        id = "sal_outfit_01",
        build = "sal_outfit_01",
        character = "SAL",

        name = "Professional",
        desc = "Sal the Professional",
        icon = engine.asset.Texture( "battle/decks/outfit_sal_professional.tex" ),
    },

    PlayerOutfit{
        id = "sal_outfit_02",
        build = "sal_outfit_02",
        character = "SAL",

        name = "Hunter",
        desc = "Sal the Hunter",
        icon = engine.asset.Texture( "battle/decks/outfit_sal_lumin_hunter.tex" ),
    },

    PlayerOutfit{
        id = "sal_outfit_03",
        build = "sal_outfit_03",
        character = "SAL",

        name = "Infiltrator",
        desc = "Sal the Infiltrator",
        icon = engine.asset.Texture( "battle/decks/outfit_sal_infiltrator.tex" ),
    }
}

for k,v in ipairs(OUTFITS) do
    Content.AddOutfit(v)
end
