Convo("KERFUFFLE_CHAT")

    :Confront(function(cxt)
        if cxt:GetAgent() and cxt:GetAgent():GetRoleAtLocation() == CHARACTER_ROLES.GUARD and cxt:GetAgent():GetBrain():IsOnDuty() then
            local kerfuffle_event = cxt:GetAgent().social_connections and cxt:GetAgent().social_connections:FindOpinionEvent( cxt.player, OPINION.HEARD_KERFUFFLE, 0, 1 ) 
            if kerfuffle_event then
                if kerfuffle_event.data and not kerfuffle_event.data.acted_upon then
                    kerfuffle_event.data.acted_upon = true
                    if cxt:GetAgent():HasMemory("DIRTY_PATROL", 1) then
                        return "STATE_PAID_OFF"
                    else
                        return "STATE_RESPOND_TO_KERFUFFLE"
                    end
                end
            end
        end
    end)

    :State("STATE_PAID_OFF")
        :Loc{
            DIALOG_START = [[
                * {agent} gives you a knowing nod as you walk by.
                agent:
                    I didn't hear anything. 
                    Just like we agreed.
            ]],
        }
        :Fn(function(cxt) 
                cxt:Dialog("DIALOG_START")
                StateGraphUtil.AddEndOption(cxt)
            end)

    :State("STATE_RESPOND_TO_KERFUFFLE")
        :Loc{
            DIALOG_START = [[
                * {agent} marches up to you.
                agent:
                    Halt!
                    What was all of that noise just now?
            ]],
            DIALOG_SUCCESS = [[
                agent:
                    I'll take your word on it, I guess.
            ]],
            DIALOG_FAIL = [[
                agent:
                    You're up to no good!
            ]],
            DIALOG_RAN = [[
                * You bravely run away.
                player:
                    !exit
                agent:
                    Hey!
            ]],
            DIALOG_NO_RUN = [[
                * {agent} blocks your path.
                agent:
                    !fight
                    Not this time, troublemaker!
            ]],
            OPT_NEGOTIATE = "Convince {agent} it was nothing",
            OPT_ATTACK = "Attack {agent}",
            OPT_RUN = "Try to run",
            OPT_DEFEND_SELF = "Defend yourself",
        }
        :Fn(function(cxt) 
                local kerfuffle_event = cxt:GetAgent().social_connections:FindOpinionEvent( cxt.player, OPINION.HEARD_KERFUFFLE, 0, 1 ) 

                cxt:Dialog("DIALOG_START")                
                
                cxt:Opt("OPT_NEGOTIATE")
                    :Negotiation{
                        timer_id = kerfuffle_event and tostring(kerfuffle_event.guid),
                        on_success = function(cxt)
                            cxt:Dialog("DIALOG_SUCCESS")
                        end,
                        on_fail = function(cxt)
                            cxt:Dialog("DIALOG_FAIL")
                            cxt:Opt("OPT_DEFEND_SELF")
                                :Battle{
                                    flags = BATTLE_FLAGS.SELF_DEFENCE,
                                }
                        end,
                    }
                cxt:Opt("OPT_ATTACK")
                    :Battle{
                        advantage = TEAM.BLUE,
                        flags = BATTLE_FLAGS.SELF_DEFENCE,
                    }
            end)    

