Convo("RUN_AWAY_CHAT")
    :State("STATE_RAN")
        :Loc{
            DIALOG_RUNAWAY = [[
            player:
                !exit
            agent:
                !exit
            * You run from battle, and you keep running.
            * You outrun your pursuers, but you can't outrun your reputation.
        ]]
        }
        :Fn(function(cxt, params)

            cxt:Dialog("DIALOG_RUNAWAY")

            StateGraphUtil.DoRunAwayEffects( cxt, params.battle, params.no_fail )

            if TheGame:GetGameState():GetGameType() == GAME_TYPE.CAMPAIGN then
                StateGraphUtil.AddLeaveLocation(cxt)
            else
                cxt:End()
            end
        end)

    :State("STATE_RAN_SECRET")
        :Loc{
            DIALOG_RUNAWAY = [[
            player:
                !exit
            agent:
                !exit
            * You run from battle, and you keep running.
            * At least no-one knows of your shame.
        ]]
        }
        :Fn(function(cxt, params)

            cxt:Dialog("DIALOG_RUNAWAY")

            StateGraphUtil.DoRunAwayEffects( cxt, params.battle, params.no_fail )

            if TheGame:GetGameState():GetGameType() == GAME_TYPE.CAMPAIGN then
                StateGraphUtil.AddLeaveLocation(cxt)
            else
                cxt:End()
            end
        end)
