
Convo("ASK_FOR_AN_RPG")
    :Loc{
        OPT_GET_ITEM = "<b>[{1#graft}]</b> Requisition an {2#card}",
        DIALOG_GET_ONE = [[
            agent:
                !salute
                {player.name}! Got this here piece of equipment ready for you.
                Careful though, they're not always, uh, up to code, if you know what I mean.
                !thumb
        ]],
        DIALOG_GET_MORE = [[
            agent:
                !surprised
                Er, hey yeah, there's another one for you here.
                You gonna be blowing stuff up, huh?
        ]],

        REQ_ALREADY_RECEIVED = "You've received the maximum number ({1}) of RPGs today.",
    }
    :Hub(function(cxt, who)
        local graft_count = cxt.player.graft_owner:CountGraftsByID( "war_machine" )
        if who and who:GetFactionID() == "RISE" and graft_count > 0 then
            --
            local rpg_count = cxt.player:HasMemoryFromToday( "RPGS_RECEIVED" ) or 0

            cxt:Opt("OPT_GET_ITEM", "war_machine", "rpg" )
                :IsHubOption(true)
                :ReqRelationship( RELATIONSHIP.NEUTRAL )
                :ReqCondition( rpg_count < graft_count, "REQ_ALREADY_RECEIVED", graft_count )
                :Dialog( rpg_count == 0 and "DIALOG_GET_ONE" or "DIALOG_GET_MORE" )
                :GainCard( "rpg" )
                :Fn(function() 
                    cxt.player:Remember( "RPGS_RECEIVED", rpg_count + 1 )
                end)
        end
    end)    


