return { CONVO_COMMON =
{
    DIALOG_GAIN_MONEY_BONUS = "* Quest Bonus: <b>{1#money}</>",
    DIALOG_GET_CARDS = "* Gained Cards: {1#card_list}",
    DIALOG_GET_CARD_PRES_NEGOTIATION = "* Gained Negotiation Card: {1#card}",
    DIALOG_GET_CARD_PRES_BATTLE = "* Gained Battle Card: {1#card}",
    
    DIALOG_COMBAT_REPERCUSSIONS = [[
        * You're choosing to start fights. People are noticing.
    ]],
    DIALOG_COMBAT_REPERCUSSIONS_MURDER = [[
        * You're starting to get a reputation for violence.
    ]],

    OPT_GAIN_SOCIAL_GRAFT = "Gain {1#graft}",

    DEFAULT_NEGOTIATION_REASON = "Convince {1#agent}",
    DEFAULT_NEGOTIATION_REASON_INTIMIDATE = "Intimidate {1#agent}",

    OPT_FORCE_GAIN_CARDS = "Gain Cards: {1#card_list}",
    OPT_FORCE_GAIN_BATTLE_CARD = "Gain Battle Card: {1#card}",
    OPT_FORCE_GAIN_NEGOTIATION_CARD = "Gain Negotiation Card: {1#card}",

    OPT_BACK_BUTTON = "Back",
    OPT_LEAVE_LOCATION = "Leave",
    OPT_LEAVE = "Leave",
    OPT_DONE = "Done",
    OPT_FIGHT = "Attack!",
    OPT_DEFEND = "Defend yourself!",
    OPT_FIRE_TARGET = "Convince {agent} to fire {1#agent}",
    TT_PET_TAKE = "Untrained pets help you in battle but only have a minor effect in negotiations.",
    TT_PET_UPGRADE = "Upgrading your pet makes it stronger in battle but does not train it.",

    TT_HEALING = "Heal <#HEALTH>{1} HP</>",
    TT_HURTING = "Lose <#HEALTH>{1} HP</>",

    TT_GAIN_RESOLVE = "Restore <#RESOLVE>{1} Resolve</>",
    TT_LOSE_RESOLVE = "Lose <#RESOLVE>{1} Resolve</>",

    REQ_NOT_ENOUGH_HEALTH = "That would kill you!",
    REQ_MAX_RESOLVE = "You are already at maximum resolve.",
    REQ_ALREADY_HAVE_GRAFT = "You already have this graft installed",
    REQ_COIN = "Requires a lucky coin",

    DIALOG_GET_CARD_PRES = "Gained {1#card}",
    AGREE = "Agree",
    DECLINE = "Decline",
    OKAY = "Okay",

    DIALOG_GAIN_ITEM_BONUS = "* Quest Bonus: <b>{1#card}</>",
    DIALOG_GAIN_REMOVAL_BONUS = "* Quest Bonus: <b>Remove a card</>",
    OPT_REMOVE_BATTLE_CARD = "Remove a battle card...",
    OPT_REMOVE_NEGOTIATION_CARD = "Remove a negotiation card...",
    OPT_SKIP_BONUS = "Skip Bonus",

    DIALOG_CARD_UPGRADE_BONUS = "* Quest bonus: <b>Upgrade a card</>",
    OPT_UPGRADE_NEGOTIATION_CARD = "Upgrade a negotiation card...",
    OPT_UPGRADE_BATTLE_CARD = "Upgrade a battle card...",
    

    DIALOG_RESTORATION_BONUS = "* Quest Bonus: <b>Restoration</>",
    REQ_AT_FULL_RESOLVE = "At full resolve",
    REQ_AT_FULL_HEALTH = "At full health",
    OPT_RESTORE_RESOLVE_BONUS = "Restore resolve",
    OPT_RESTORE_HEALTH_BONUS = "Restore health",

    DIALOG_METTLE_BONUS = "* Quest Bonus: <b>{1} Mettle</>",
    OPT_ACCEPT_METTLE = "Accept Mettle",


    DELIVER_MONEY = "Give {1#money}",
    LOSE_RESOLVE = "Lose {1} resolve",

    DIALOG_RECEIVED_METTLE_QUEST = "* You gain {1#mettle}.",
    DIALOG_RECEIVED_MONEY_QUEST = "* You get paid {1#money}.",
    DIALOG_PLAYER_INSTALL_GRAFT = [[
        player:
            !graft
        * {1#graft} installed.
        player:
            !neutral
    ]],
    OPT_GET_GRAFT = "Pick a Graft Reward",
    RECEIVE_MONEY = "Receive {1#money}",
    OPINION_CHANGE = "Opinion: {1}",
    
    RECEIVE_POINTS = "Receive {1} Points",
    RECEIVE_POINTS_BONUS = "Receive {1}+<#BONUS>{2}</> Points <#BONUS>(bonus multiplier:{3#percent})</>",

    OPT_ADD_NEGOTIATION_SLOT = "Add a negotiation graft slot",
    OPT_ADD_COMBAT_SLOT = "Add a battle graft slot",
    REQ_TOO_MANY_SLOTS = "You have the maximum allowed!",

    IMPROVE_OPINION = "{1#agent} will have an improved opinion of you.",
    IMPROVE_OPINION_LARGE = "{1#agent} will have a greatly improved opinion of you.",
    DIMINISH_OPINION = "{1#agent} will have a diminished opinion of you.",

    REQUIRES_MONEY = "Requires {1#money}",
    REQUIRES_RESOLVE = "Requires {1} resolve",
	REQUIRES_RELATIONSHIP = "Requires at least relationship: {1}",
	REQUIRES_FOLLOWER = "{1.Who} must be a follower",
    REQ_ON_DUTY = "{agent} is busy working right now",
    REQ_DUTY = "{agent} is not on duty",
    REQ_SIDE_JOB_LIMIT = "You are already on a job",
    REQ_ALL_CARDS_UPGRADED = "No upgradable cards available",

    OPT_TRAVEL = "Open Map",
    OPT_ASK_ABOUT = "Ask about...",
	
	PARTY_FULL = "Party is full",
	CANT_JOIN = "Plot armour: {agent} can't join party",
	JOIN_CAPTIVE = "{1.who} will be taken captive.",
	JOIN_PARTY = "{1.who} will join your party.",

    SITUATION_MODIFIER_POSITIVE = "<#PENALTY>Opponent has +{1} resolve: {2}</>",
    SITUATION_MODIFIER_NEGATIVE = "<#BONUS>Opponent has {1} resolve: {2}</>",
    NO_RESOLVE = "<#PENALTY>You have no resolve and will automatically fail this negotiation.</>",
    NO_RESOLVE_DISABLED = "<#PENALTY>You have no resolve and cannot negotiate.</>",

	ON_COOLDOWN = "You recently did this and cannot repeat this action at this time.",
    OPT_HAVE_MONEY = "Pay {1#money}",
 
    DIALOG_GENERIC_OFFER = [[
        agent:
            I have a job for you...
    ]],
    TT_DISLIKE_QUEST = "<#PENALTY>{agent} doesn't like you enough to trust you with this job.</>",
    TT_LIKE_QUEST = "<#BONUS>{agent} likes you, and will offer bonus payment for jobs.</>",

    [CARD_PLAY_REASONS.NO_ACTIONS] = "Not enough actions",
    [CARD_PLAY_REASONS.NO_SLOTS] = "No room for additional arguments",
    [CARD_PLAY_REASONS.UNPLAYABLE] = "This card is unplayable",
    [CARD_PLAY_REASONS.STUNNED] = "Stunned",
    [CARD_PLAY_REASONS.INVALID_TARGET] = "Invalid target",
    [CARD_PLAY_REASONS.NO_VALID_TARGETS] = "No valid targets", 
    [CARD_PLAY_REASONS.NOT_IN_HAND] = "Not in hand",
    [CARD_PLAY_REASONS.NO_COMBO] = "Requires combo points",
    [CARD_PLAY_REASONS.NO_CHARGE] = "Requires charge",
    [CARD_PLAY_REASONS.NO_OVERCHARGE] = "Requires overcharge",
    [CARD_PLAY_REASONS.NO_BOTTLES] = "Not enough empty bottles",
    [CARD_PLAY_REASONS.NO_COMPOSURE] = "Requires <b>Composure</>",
    [CARD_PLAY_REASONS.NO_TARGET_RESOLVE] = "Must target something with resolve",
    [CARD_PLAY_REASONS.REQ_INFLUENCE] = "Requires at least {1} <b>Influence</b>",
    [CARD_PLAY_REASONS.REQ_HOSTILITY] = "Requires at least {1} <b>Hostility</b>",
    [CARD_PLAY_REASONS.REQ_DOMINANCE] = "Requires at least {1} <b>Dominance</b>",
    [CARD_PLAY_REASONS.REQ_RENOWN] = "Requires at least {1} <b>Renown</b>",
    [CARD_PLAY_REASONS.REQ_MONEY] = "Not enough shills.",
    [CARD_PLAY_REASONS.REQ_NOT_MET] = "Requirements not met",
    [CARD_PLAY_REASONS.TEAM_FULL] = "Team full",
    [CARD_PLAY_REASONS.NOT_ENOUGH_HEALTH] = "Not enough health.",
    [CARD_PLAY_REASONS.MAX_PLAYED] = "Cannot play anymore cards",

    [CARD_PLAY_REASONS.TARGET_DEAD] = "TARGET IS DEAD",
    [CARD_PLAY_REASONS.TARGET_FLED] = "TARGET FLED",
    [CARD_PLAY_REASONS.TARGET_SURRENDERED] = "TARGET SURRENDERED",
    [CARD_PLAY_REASONS.TARGET_SELF] = "MUST TARGET SELF",
    [CARD_PLAY_REASONS.TARGET_ALLY_OR_SELF] = "MUST TARGET ALLY OR SELF",
    [CARD_PLAY_REASONS.TARGET_ALLY] = "MUST TARGET ALLY",
    [CARD_PLAY_REASONS.TARGET_ENEMY] = "MUST TARGET ENEMY",
    [CARD_PLAY_REASONS.TARGET_ANY_NOT_SELF] = "CANNOT TARGET SELF",

    MUST_TARGET = "MUST TARGET {1#agent}",

    MODIFIER_VIP = "{agent} is a VIP",

    OFFER_SPARE_CHANGE = "<b>Coin Purse</b>: Gain {1#money}",
    OFFER_NEGOTIATION_UPGRADE = "<b>Faded Journal</b>: Upgrade a negotiation card",
    OFFER_BATTLE_UPGRADE = "<b>Training Manual</b>: Upgrade a battle card",
    OFFER_UPGRADE_HEALTH = "Increase max health by {1}",
    OFFER_UPGRADE_RESOLVE = "Increase max resolve by {1}",
    OFFER_COMPRESSION_GEAR = "<b>Rugged Compression Gear</b>",
    OFFER_CARD = "Receive {1#card}",
    OFFER_CARDS = "Receive {1#card_list}",
    OFFER_PEPPER_BOX = "<b>Shrokian Pepper Box</b>: {1#card}, {2#card}",
    OFFER_TRIAGE_KIT = "<b>Triage Kit</b>: {1#card} x2",
    OFFER_BATTLE_DRAFT = "<b>War Stories</>: Draft {1} battle cards",
    OFFER_NEGOTIATION_DRAFT = "<b>Book of Kra'deshi Poems</>: Draft {1} negotiation cards",
    OFFER_GRAFT_DRAFT = "<b>Grab Bag</>: Choose a random graft",
    OFFER_BOOM_BOX = "<b>Boom Box</>: {1#card_list}",
    OFFER_GRAFT = "Receive {1#graft}",
    OFFER_BATTLE_SLOT = "<b>Slapdash Surgery</b>: Add a battle graft slot",
    OFFER_NEGOTIATION_SLOT = "<b>Cranial Incision</b>: Add a negotiation graft slot",

    
    DIALOG_HIRED_LEAVE_AT_NIGHT = [[
        agent:
            !right
            !greeting
            See you around.
            !exit
            * {agent} leaves.
    ]],

    DIALOG_REST_START = [[
        * Your bed calls to you.
    ]],
    OPT_SLEEP = "Go to sleep",

    DEFAULT_DREAM_TEXT = [[
        * You hit the pillow like a load of bricks.
    ]],
    OPT_REST_BONUS_HEALTH = "Restore <#HEALTH>{1} HP</> and <#TITLE>{2} Resolve</>",
    DIALOG_SHOW_RESOLVE_GAIN = [[
        * Gained <#RESOLVE>{1} Resolve</>
    ]],
    DIALOG_SHOW_RESOLVE_LOSS = [[
        * Lost <#RESOLVE>{1} Resolve</>
    ]],
    DIALOG_SHOW_HEALING = [[
        * Healed <#HEALTH>{1} HP</>
    ]],

    DIALOG_SHOW_HEALTH_LOSS = [[
        * Lost <#HEALTH>{1} HP</>
    ]],

    REQ_AT_FULL_RESOLVE = "At Full Resolve",
    REQ_AT_FULL_HEALTH = "At Full Health",
}}
