Content.AddCharacterHeads{
    head_sal_build = {
        name = "Sal", 
        anim = "anim/head_sal_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
        --hat_hides = {"hair", },
    },
    head_smith = {
        name = "Smith", 
        anim = "anim/head_smith_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },
    head_rook = {
        name = "Rook", 
        anim = "anim/head_rook_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

     head_telvin = {
        name = "Telvin", 
        anim = "anim/head_telvin_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_hebbel = {
        name = "Hebbel", 
        anim = "anim/head_hebbel_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

     head_skatchet = {
        name = "Skatchet", 
        anim = "anim/head_skatchet_build.zip", 
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,

    },

     head_fssh = {
        name = "Fssh", 
        anim = "anim/head_fssh_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_gaft = {
        name = "Gaft", 
        anim = "anim/head_gaft_build.zip", 
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_automech = {
        name = "Automech",
        anim = "anim/head_gradle_build.zip", 
        species = SPECIES.MECH,
    },

    head_gradle = {
        name = "Gradle", 
        anim = "anim/head_gradle_build.zip", 
        species = SPECIES.MECH,
    },

    head_job_vendor = {
        name = "job_vendor", 
        anim = "anim/head_job_vendor_build.zip", 
        species = SPECIES.MECH,
    },

    head_kalandra = {
        name = "Kalandra", 
        anim = "anim/head_kalandra_build.zip", 
        --hat_hides = {"hair", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,

    },

    head_martin = {
        name = "Martin", 
        anim = "anim/head_male_martin_build.zip", 
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_luminari = {
        name = "male_luminari", 
        anim = "anim/head_male_luminari_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender = GENDER.MALE,
        generic = true,
        priority = 2,
        match = function( def, skin )
            if def.tags and table.arrayfind( def.tags, "luminari" ) then
                return skin.species ~= SPECIES.KRADESHI
            end
        end,
    },

     head_female_luminari = {
        name = "female_luminari", 
        anim = "anim/head_female_luminari_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },         
        gender = GENDER.FEMALE,
        generic = true,
        priority = 2,
        match = function( def, skin )
            if def.tags and table.arrayfind( def.tags, "luminari" ) then
                return skin.species ~= SPECIES.KRADESHI
            end
        end,
    },

    head_pilgrim = {
        name = "male_pilgrim", 
        anim = "anim/head_male_pilgrim_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
        skin_tone = SKIN_TONE.MEDIUM,
        weight = 20,
        match = function( def, skin )
            return def.faction_id == "CULT_OF_HESH"
        end,
    },

    head_female_pilgrim = {
        name = "female_pilgrim", 
        anim = "anim/head_female_pilgrim_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
        skin_tone = SKIN_TONE.LIGHT,
        weight = 20,
        match = function( def, skin )
            return def.faction_id == "CULT_OF_HESH"
        end,
    },

    head_male_shroke = {
        name = "head_male_shroke", 
        anim = "anim/head_male_shroke_hunter_build.zip",
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_merc = {
        name = "head_male_shroke_merc", 
        anim = "anim/head_male_shroke_merc_build.zip",
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_merchant = {
        name = "head_male_shroke_merchant", 
        anim = "anim/head_male_shroke_merchant_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_phicket = {
        name = "head_male_phicket", 
        anim = "anim/head_male_phicket_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.PHICKET,
    },

    head_female_phicket = {
        name = "head_female_phicket", 
        anim = "anim/head_male_phicket_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.PHICKET,
    },


    head_female_shroke = {
        name = "female_shroke", 
        anim = "anim/head_female_shroke_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

    head_female_shroke_shopkeep = {
        name = "female_shroke_shopkeep", 
        anim = "anim/head_female_shroke_shopkeep_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
        hat_hides = {"hair","hair_swap", },
    },

    head_female_shroke_merchant = {
        name = "female_shroke_merchant", 
        anim = "anim/head_female_shroke_merchant_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

     head_female_shroke_rich_merchant = {
        name = "female_shroke", 
        anim = "anim/head_female_shroke_rich_merchant_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },


    head_guard_male = {
        name = "Male guard ",
        anim = "anim/head_male_guard_build.zip", 
        skin_tone = SKIN_TONE.DARK,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_guard_male_02 = {
        name = "Male guard ",
        anim = "anim/head_male_guard_02_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },


    head_guard_corporal_male = {
        name = "Male guard corporal ",
        anim = "anim/head_male_guard_corporal_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_guard_offduty_male = {
        name = "Male guard offduty ",
        anim = "anim/head_male_guard_offduty_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_guard_corporal = {
        name = "female corporal guard ", 
        anim = "anim/head_female_guard_corporal_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_guard = {
        name = "female guard", 
        anim = "anim/head_female_guard_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_guard_002 = {
        name = "female guard 02", 
        anim = "anim/head_female_guard_02_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_merchant_001 = {
        name = "Female merchant 1",
        anim = "anim/head_female_merchant_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair"},
    },

    head_female_merchant_002 = {
        name = "Female merchant 2",
        anim = "anim/head_female_merchant_02_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        --hat_hides = {"hair"},
    },

    head_male_merchant_001 = {
        name = "Male merchant 1",
        anim = "anim/head_male_merchant_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair"},
    },

    head_male_merchant_002 = {
        name = "Male merchant 2",
        anim = "anim/head_male_merchant_02_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair"},
    },

    head_male_merchant_003 = {
        name = "Male merchant 3",
        anim = "anim/head_male_merchant_03_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair"},
    },

    head_female_shopkeep_001 = {
        name = "female shopkeep 1", 
        anim = "anim/head_female_shopkeep_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair","hair_swap", },
    },

    head_female_shopkeep_002 = {
        name = "female shopkeep 2", 
        anim = "anim/head_female_shopkeep_02_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair","hair_swap", },
    },

    head_male_shopkeep_001 = {
        name = "male shopkeep 1", 
        anim = "anim/head_male_shopkeep_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair"},
    },

    head_male_shopkeep_002 = {
        name = "male shopkeep 2", 
        anim = "anim/head_male_shopkeep_02_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair","hair_swap", },
    },

    head_female_farmer_001 = {
        name = "female farmer 1", 
        anim = "anim/head_female_farmer_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_guard_offduty = {
        name = "female offduty", 
        anim = "anim/head_female_guard_offduty_build.zip",
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_male_guard_offduty = {
        name = "female offduty", 
        anim = "anim/head_male_guard_offduty_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        --hat_hides = {"hair", },

    },

    head_male_farmer_001 = {
        name = "male farmer 1", 
        anim = "anim/head_male_farmer_build.zip", 
        tags = {male=true, civilian=true},
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },
     head_male_farmer_002 = {
        name = "male farmer 2", 
        anim = "anim/head_male_farmer_02_build.zip", 
        tags = {male=true, civilian=true},
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_kradeshi = {
        name = "Kradeshi 001", 
        anim = "anim/head_female_kradeshi_build.zip", 
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_female_kradeshi_hunter = {
        name = "Kradeshi 002", 
        anim = "anim/head_female_kradeshi_hunter_build.zip", 
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_female_kradeshi_merchant = {
        name = "Kradeshi 003", 
        anim = "anim/head_female_kradeshi_merchant_build.zip", 
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_female_kradeshi_merc = {
        name = "Kradeshi 003", 
        anim = "anim/head_female_kradeshi_merc_build.zip", 
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_male_kradeshi_rich_merchant = {
        name = "Kradeshi 002", 
        anim = "anim/head_male_kradeshi_rich_merchant_build.zip", 
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    }, 

    head_male_kradeshi_farmer = {
        name = "Kradeshi 002", 
        anim = "anim/head_male_kradeshi_farmer_build.zip", 
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    }, 


   head_male_kradeshi_merchant = {
       name = "Kradeshi merchant", 
       anim = "anim/head_male_kradeshi_merchant_build.zip", 
       gender= GENDER.MALE,
       species= SPECIES.KRADESHI,
       nohat = true,      
    }, 

    head_male_kradeshi_merc = {
       name = "Kradeshi merc", 
       anim = "anim/head_male_kradeshi_merc_build.zip", 
       gender= GENDER.MALE,
       species= SPECIES.KRADESHI,
       nohat = true,      
    }, 


    head_bandit_male_001 = {
        name = "Male bandit 1",
        anim = "anim/head_male_bandit_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
    }, 

    head_bandit_male_002 = {
        name = "Male bandit 2",
        anim = "anim/head_male_bandit_02_build.zip", 
        skin_tone = SKIN_TONE.DARK,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair"},
    },

    head_female_bandit_001 = {
        name = "female bandit 1", 
        anim = "anim/head_female_bandit_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_bandit_002 = {
        name = "female bandit 2", 
        anim = "anim/head_female_bandit_02_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_merc = {
        name = "female merc", 
        anim = "anim/head_female_merc_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_merc_02 = {
        name = "female merc2", 
        anim = "anim/head_female_merc_02_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },


    head_male_merc = {
        name = "male merc", 
        anim = "anim/head_male_merc_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },    
     
    head_male_lumin_worker = {
        name = "male lumin_worker", 
        anim = "anim/head_male_lumin_worker_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },

    },    
     
    head_female_lumin_worker = {
        name = "female lumin_worker", 
        anim = "anim/head_female_lumin_worker_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },    

    head_male_merc_02= {
        name = "male merc 2", 
        anim = "anim/head_male_merc_02_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },

    },  

    head_rise_male_001 = {
        name = "Male rise 1",
        anim = "anim/head_male_rise_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        weight = 20,
        hat_hides = {"hair_swap"},
    }, 

    head_rise_male_002 = {
        name = "Male rise 2",
        anim = "anim/head_male_rise_02_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        weight = 20,
    }, 

    head_rise_female_001 = {
        name = "Female rise 1",
        anim = "anim/head_female_rise_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    }, 

    head_dredger_male = {
        name = "Male dredger",
        anim = "anim/head_male_dredger_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        --hat_hides = {"hair", },

        
    }, 
    
    head_dredger_female = {
        name = "Female dredger",
        anim = "anim/head_female_dredger_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
    },

    head_dredger_female_02 = {
        name = "Female dredger 2",
        anim = "anim/head_female_dredger_02_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair_side" },
    },

    head_jarackle_male = {
        name = "Male jarackle 1",
        anim = "anim/head_male_jarackle_foundry_worker_build.zip", 
        gender= GENDER.MALE,
        species= SPECIES.JARACKLE,
    },

    head_jarackle_female_shopkeep = {
        name = "Female jarackle 2",
        anim = "anim/head_female_jarackle_shopkeep_build.zip", 
        gender= GENDER.FEMALE,
        --hat_hides = {"hair", },
        species= SPECIES.JARACKLE,
    },

     head_jarackle_male_shopkeep = {
        name = "Male jarackle 2",
        anim = "anim/head_male_jarackle_shopkeep_build.zip", 
        gender= GENDER.MALE,
        species= SPECIES.JARACKLE,
    }, 

    head_jarackle_male_merchant = {
        name = "Male jarackle 3",
        anim = "anim/head_male_jarackle_merchant_build.zip", 
        gender= GENDER.MALE,
        hat_hides = {"hair", },
        species= SPECIES.JARACKLE,
    }, 

    head_jarackle_male_merc = {
        name = "Male jarackle 4",
        anim = "anim/head_male_jarackle_merc_build.zip", 
        gender= GENDER.MALE,
        hat_hides = {"hair", },
        species= SPECIES.JARACKLE,
    }, 

    head_jarackle_male_hunter = {
        name = "Male jarackle 4",
        anim = "anim/head_male_jarackle_hunter_build.zip", 
        gender= GENDER.MALE,
        hat_hides = {"hair", },
        species= SPECIES.JARACKLE,
    }, 



    head_jarackle_female = {
        name = "Female Jarackle 1",
        anim = "anim/head_female_jarackle_foundry_worker_build.zip", 
        gender= GENDER.FEMALE,
        species= SPECIES.JARACKLE,
    }, 

    head_jarackle_female_farmer = {
        name = "Female Jarackle 2",
        anim = "anim/head_female_jarackle_farmer_build.zip", 
        gender= GENDER.FEMALE,
        hat_hides = {"hair", },
        species= SPECIES.JARACKLE,
    }, 

    head_teamster_male = {
        name = "male teamster",
        anim = "anim/head_male_teamster_build.zip", 
        gender= GENDER.MALE,
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.DARK,
        species= SPECIES.HUMAN,
    },

    head_female_shroke_teamster = {
        name = "female shroke teamster",
        anim = "anim/head_female_shroke_teamster_build.zip", 
        gender= GENDER.FEMALE,
        hat_hides = {"hair", },
        species= SPECIES.SHROKE,
    },

   head_male_clust_contractor = {
        name = "male_clust_contractor ",
        anim = "anim/head_male_clust_contractor_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_clust_contractor = {
        name = "female_clust_contractor ",
        anim = "anim/head_female_clust_contractor_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_male_clust_merc = {
        name = "male_clust_merc ",
        anim = "anim/head_male_clust_merc_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_female_clust_merc = {
        name = "female_clust_merc ",
        anim = "anim/head_female_clust_merc_build.zip", 
        skin_tone = SKIN_TONE.LIGHT,
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    },

    head_male_clust_manager = {
        name = "male_clust_manager ",
        anim = "anim/head_male_jarackle_clust_manager_build.zip", 
        gender= GENDER.MALE,
        species= SPECIES.JARACKLE,
        hat_hides = {"hair", },
    },

    head_male_phicket_02 = {
        name = "head_male_phicket_02", 
        anim = "anim/head_male_phicket_02_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.PHICKET,
    },

    head_male_thaft = {
        name = "head_male_thaft", 
        anim = "anim/head_male_thaft_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },
    

    head_female_dax = {
        name = "head_female_dax", 
        anim = "anim/head_female_dax_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_jarackle_bandit_02 = {
        name = "head_female_jarackle_bandit_02_build", 
        anim = "anim/head_female_jarackle_bandit_02_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_bandit_02 = {
        name = "head_male_jarackle_bandit_02_build", 
        anim = "anim/head_male_jarackle_bandit_02_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jake_smuggler = {
        name = "head_male_jake_smuggler_build", 
        anim = "anim/head_male_jake_smuggler_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_jake_smuggler = {
        name = "head_female_jake_smuggler_build",
        anim = "anim/head_female_jake_smuggler_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

     head_male_jake_runner = {
        name = "head_male_jake_runner_build",
        anim = "anim/head_male_jake_runner_build.zip",
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_grifter = {
        name = "head_male_grifter_build",
        anim = "anim/head_male_grifter_build.zip",
        --skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

      head_female_grifter = {
        name = "head_female_grifter_build",
        anim = "anim/head_female_grifter_build.zip",
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_jake_runner = {
        name = "head_female_jake_runner_build",
        anim = "anim/head_female_jake_runner_build.zip",
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_male_bandit_03 = {
        name = "head_male_bandit_03_build",
        anim = "anim/head_male_bandit_03_build.zip",
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

     head_female_bandit_03 = {
        name = "head_female_bandit_03_build",
        anim = "anim/head_female_bandit_03_build.zip",
        hat_hides = {"hair","hair_swap", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_clust_manager = {
        name = "clust_manager", 
        anim = "anim/head_female_clust_manager_build.zip", 
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_male_clust_trademaster = {
        name = "clust_trademaster", 
        anim = "anim/head_male_clust_trademaster_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.DARK,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_clust_trademaster = {
        name = "clust_trademaster", 
        anim = "anim/head_female_clust_trademaster_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_male_hesh_zealot = {
        name = "hesh_zealot",
        anim = "anim/head_male_hesh_zealot_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

--    head_female_hesh_zealot = {
--        name = "hesh_zealot",
--        anim = "anim/head_female_hesh_zealot_build.zip",
--       hat_hides = {"hair", },
--       skin_tone = SKIN_TONE.LIGHT,
--       gender = GENDER.FEMALE,
--       species = SPECIES.HUMAN,
--   },

    head_female_hesh_zealot = {
        name = "hesh_zealot",
        anim = "anim/head_female_hesh_zealot_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_kashio = {
        name = "kashio",
        anim = "anim/head_female_kashio_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

    head_male_guard_03 = {
        name = "guard_03",
        anim = "anim/head_male_guard_03_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_guard_04 = {
        name = "guard_04",
        anim = "anim/head_male_guard_04_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_guard_05 = {
        name = "guard_05",
        anim = "anim/head_male_guard_05_build.zip",
        --hat_hides = {"hair", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_guard_06 = {
        name = "guard_06",
        anim = "anim/head_male_guard_06_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_guard_07 = {
        name = "guard_07",
        anim = "anim/head_male_guard_07_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_guard_03 = {
        name = "guard_03",
        anim = "anim/head_female_guard_03_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_guard_04 = {
        name = "guard_04",
        anim = "anim/head_female_guard_04_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_guard_05 = {
        name = "guard_05",
        anim = "anim/head_female_guard_05_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

       head_female_guard_06 = {
        name = "guard_06",
        anim = "anim/head_female_guard_06_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

     head_female_guard_07 = {
        name = "guard_07",
        anim = "anim/head_female_guard_07_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

     head_male_bandit_04 = {
        name = "bandit_04",
        anim = "anim/head_male_bandit_04_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_shroke_04 = {
        name = "shroke_04",
        anim = "anim/head_male_shroke_04_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_05 = {
        name = "shroke_05",
        anim = "anim/head_male_shroke_05_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_06 = {
        name = "shroke_06",
        anim = "anim/head_male_shroke_06_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_bandit_mask_01 = {
        name = "mask_01",
        anim = "anim/head_male_bandit_mask_01_build.zip",
        faction_id = "BANDITS",
        generic = true,
        --hat_hides = {"hair", },
        -- gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_female_kradeshi_02 = {
        name = "kradeshi_02",
        anim = "anim/head_female_kradeshi_02_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

     head_male_shroke_07 = {
        name = "shroke_07",
        anim = "anim/head_male_shroke_07_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_08 = {
        name = "shroke_08",
        anim = "anim/head_male_shroke_08_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

     head_female_shroke_06 = {
        name = "shroke_06",
        anim = "anim/head_female_shroke_06_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

     head_female_shroke_07 = {
        name = "shroke_07",
        anim = "anim/head_female_shroke_07_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

     head_female_shroke_08 = {
        name = "shroke_08",
        anim = "anim/head_female_shroke_08_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

     head_female_shroke_09 = {
        name = "shroke_09",
        anim = "anim/head_female_shroke_09_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

    head_male_spark_baron_boss = {
        name = "head_male_spark_baron_boss",
        anim = "anim/head_male_clust_boss_build.zip",
        --hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_generic_human_01 = {
        name = "male_generic_human_01",
        anim = "anim/head_male_human_generic_01_build.zip",
        hat_hides = {"hair", },
        generic = true,
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_generic_human_01 = {
        name = "female_generic_human_01",
        anim = "anim/head_female_human_generic_01_build.zip",
        hides = {"hair_swap"},
        generic = true,
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_male_generic_shroke_01 = {
        name = "male_generic_shroke_01",
        anim = "anim/head_male_shroke_generic_01_build.zip",
        generic = true,
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_female_generic_shroke_01 = {
        name = "female_generic_shroke_01",
        anim = "anim/head_female_shroke_generic_01_build.zip",
        generic = true,
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
        hides = {"hair_swap"},
    },

    head_male_generic_jarackle_01 = {
        name = "male_generic_jarackle_01",
        anim = "anim/head_male_jarackle_generic_01_build.zip",
        generic = true,
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
        nohat = true,
    },

    head_female_generic_jarackle_01 = {
        name = "female_generic_jarackle_01",
        anim = "anim/head_female_jarackle_generic_01_build.zip",
        generic = true,
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
        hides = {"hair_swap"},
    },

    head_female_generic_kradeshi_01 = {
        name = "female_generic_kradeshi_01",
        anim = "anim/head_female_kradeshi_generic_01_build.zip",
        generic = true,
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
        hides = {"hair_swap"},
    },

    head_male_generic_kradeshi_01 = {
        name = "male_generic_kradeshi_01",
        anim = "anim/head_male_kradeshi_generic_01_build.zip",
        generic = true,
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_female_shroke_10 = {
        name = "shroke_10",
        anim = "anim/head_female_shroke_10_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

    head_male_jarackle_10 = {
        name = "jarackle_10",
        anim = "anim/head_male_jarackle_10_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },
    
    head_male_jarackle_11 = {
        name = "jarackle_11",
        anim = "anim/head_male_jarackle_11_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_12 = {
        name = "jarackle_12",
        anim = "anim/head_male_jarackle_12_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_13 = {
        name = "jarackle_13",
        anim = "anim/head_male_jarackle_13_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_rise_rebel = {
        name = "male_rise_rebel",
        anim = "anim/head_male_rise_rebel_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        --weight = 20,
        --hat_hides = {"hair_swap"},
    },

    head_female_rise_rebel = {
        name = "female rise rebel",
        anim = "anim/head_female_rise_rebel_build.zip", 
        gender= GENDER.FEMALE,
        species= SPECIES.SHROKE,
        --hat_hides = {"hair_swap"},
    },

    head_female_rise = {
        name = "female rise",
        anim = "anim/head_female_rise_build.zip", 
        gender= GENDER.FEMALE,
        species= SPECIES.SHROKE,
        --hat_hides = {"hair_swap"},
    },

    head_male_jarackle_14 = {
        name = "jarackle_14",
        anim = "anim/head_male_jarackle_14_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_03 = {
        name = "jarackle_03",
        anim = "anim/head_female_jarackle_03_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },
    
    head_female_jarackle_04 = {
        name = "jarackle_04",
        anim = "anim/head_female_jarackle_04_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_05 = {
        name = "jarackle_05",
        anim = "anim/head_female_jarackle_05_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_06 = {
        name = "jarackle_06",
        anim = "anim/head_female_jarackle_06_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_07 = {
        name = "jarackle_07",
        anim = "anim/head_female_jarackle_07_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_male_kradeshi_02 = {
        name = "kradeshi_02",
        anim = "anim/head_male_kradeshi_02_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_female_kradeshi_03 = {
        name = "kradeshi_03",
        anim = "anim/head_female_kradeshi_03_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    }, 
    head_female_kradeshi_04 = {
        name = "kradeshi_04",
        anim = "anim/head_female_kradeshi_04_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_female_kradeshi_05 = {
        name = "kradeshi_05",
        anim = "anim/head_female_kradeshi_05_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_female_kradeshi_06 = {
        name = "kradeshi_06",
        anim = "anim/head_female_kradeshi_06_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_male_kradeshi_05 = {
        name = "kradeshi_05",
        anim = "anim/head_male_kradeshi_05_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_kradeshi_06 = {
        name = "kradeshi_06",
        anim = "anim/head_male_kradeshi_06_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_kradeshi_07 = {
        name = "kradeshi_07",
        anim = "anim/head_male_kradeshi_07_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_kradeshi_08 = {
        name = "kradeshi_08",
        anim = "anim/head_male_kradeshi_08_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_kradeshi_09 = {
        name = "kradeshi_09",
        anim = "anim/head_male_kradeshi_09_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    
    },
    head_male_kradeshi_gambler = {
        name = "kradeshi_gambler",
        anim = "anim/head_male_kradeshi_gambler_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },


    head_male_bandit_05 = {
        name = "bandit_05",
        anim = "anim/head_male_bandit_05_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_bandit_06 = {
        name = "bandit_06",
        anim = "anim/head_male_bandit_06_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_bandit_07 = {
        name = "bandit_07",
        anim = "anim/head_male_bandit_07_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.DARK,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_bandit_08 = {
        name = "bandit_08",
        anim = "anim/head_male_bandit_08_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN, 
    },

    head_male_spark_baron_dronemaster = {
        name = "spark_baron_dronemaster",
        anim = "anim/head_male_spark_baron_dronemaster_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_automech_spark_baron_01 = {
        name = "automech_spark_baron_01",
        anim = "anim/head_automech_spark_baron_01_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_automech_rise_01 = {
        name = "automech_rise_01",
        anim = "anim/head_automech_rise_01_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_automech_boss = {
        name = "automech_boss",
        anim = "anim/head_automech_boss_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_bandit_04 = {
        name = "bandit_04",
        anim = "anim/head_female_bandit_04_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_bandit_05 = {
        name = "bandit_05",
        anim = "anim/head_female_bandit_05_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_bandit_06 = {
        name = "bandit_06",
        anim = "anim/head_female_bandit_06_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_bandit_07 = {
        name = "bandit_07",
        anim = "anim/head_female_bandit_07_build.zip",
        --hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_bandit_08 = {
        name = "bandit_08",
        anim = "anim/head_female_bandit_08_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_male_rise_pamphleteer = {
        name = "rise_pamphleteer",
        anim = "anim/head_male_rise_pamphleteer_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_female_kradeshi_08 = {
        name = "kradeshi_08",
        anim = "anim/head_female_kradeshi_08_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_female_kradeshi_09 = {
        name = "kradeshi_09",
        anim = "anim/head_female_kradeshi_09_build.zip",
        --hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_female_rise_pamphleteer = {
        name = "rise_pamphleteer",
        anim = "anim/head_female_rise_pamphleteer_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_male_rentorian = {
        name = "rise_rentorian",
        anim = "anim/head_male_rentorian_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_rise_flekfis = {
        name = "kradeshi_05",
        anim = "anim/head_male_rise_flekfis_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_spark_arint = {
        name = "spark_arint",
        anim = "anim/head_female_spark_arint_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE
    },

    head_male_spark_baron_fellemo = {
        name = "spark_baron_fellemo",
        anim = "anim/head_male_spark_baron_fellemo_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_shroke_beastmaster = {
        name = "shroke_beastmaster",
        anim = "anim/head_male_shroke_beastmaster_build.zip",
        --hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_female_hesh_boss = {
        name = "hesh_boss",
        anim = "anim/head_female_hesh_boss_build.zip",
        --hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT, 
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_kradeshi_10 = {
        name = "Kradeshi 10", 
        anim = "anim/head_female_kradeshi_10_build.zip",
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_female_kradeshi_11 = {
        name = "Kradeshi 11",
        anim = "anim/head_female_kradeshi_11_build.zip",
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_female_kradeshi_12 = {
        name = "Kradeshi 12",
        anim = "anim/head_female_kradeshi_12_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    }, 

     head_female_kradeshi_13 = {
        name = "Kradeshi 13",
        anim = "anim/head_female_kradeshi_13_build.zip",
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    }, 

    head_male_kradeshi_11 = {
        name = "Kradeshi 11",
        anim = "anim/head_male_kradeshi_11_build.zip",
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_male_kradeshi_12 = {
        name = "Kradeshi 12",
        anim = "anim/head_male_kradeshi_12_build.zip",
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_male_kradeshi_13 = {
        name = "Kradeshi 13",
        anim = "anim/head_male_kradeshi_13_build.zip",
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_male_kradeshi_14 = {
        name = "Kradeshi 14",
        anim = "anim/head_male_kradeshi_14_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_male_kradeshi_15 = {
        name = "Kradeshi 15",
        anim = "anim/head_male_kradeshi_15_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_male_kradeshi_16 = {
        name = "Kradeshi 16",
        anim = "anim/head_male_kradeshi_16_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

     head_male_bogger = {
        name = "bogger",
        anim = "anim/head_male_bogger_build.zip",
        gender= GENDER.MALE,
        skin_tone = SKIN_TONE.MEDIUM,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },

    },

    head_male_bogger_clobber = {
        name = "bogger",
        anim = "anim/head_male_bogger_clobber_build.zip",
        gender= GENDER.MALE,
        skin_tone = SKIN_TONE.LIGHT,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },

    },

    head_female_bogger_clobber = {
        name = "bogger",
        anim = "anim/head_female_bogger_clobber_build.zip",
        gender= GENDER.FEMALE,
        skin_tone = SKIN_TONE.LIGHT,
        species= SPECIES.HUMAN,
        hat_hides = {"hair", },
    
    },

    head_male_shroke_09 = {
        name = "shroke_09",
        anim = "anim/head_male_shroke_09_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_10 = {
        name = "shroke_10",
        anim = "anim/head_male_shroke_10_build.zip",
        glow = { colour = 0x66FFFFFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_11 = {
        name = "shroke_11",
        anim = "anim/head_male_shroke_11_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_12 = {
        name = "shroke_12",
        anim = "anim/head_male_shroke_12_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_13 = {
        name = "shroke_13",
        anim = "anim/head_male_shroke_13_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_shroke_14 = {
        name = "shroke_14",
        anim = "anim/head_male_shroke_14_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_female_jarackle_08 = {
        name = "jarackle_08",
        anim = "anim/head_female_jarackle_08_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_09 = {
        name = "jarackle_09",
        anim = "anim/head_female_jarackle_09_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_10 = {
        name = "jarackle_10",
        anim = "anim/head_female_jarackle_10_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_male_weezil = {
        name = "weezil",
        anim = "anim/head_male_weezil_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_brut = {
        name = "brut",
        anim = "anim/head_male_brut_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_smith_03 = {
        name = "Smith_03", 
        anim = "anim/head_smith_03_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_sweet_moreef = {
        name = "sweet_moreef", 
        anim = "anim/head_male_sweet_moreef_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jake_elite = {
        name = "jake_elite",
        anim = "anim/head_male_jake_elite_build.zip",
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_jake_elite = {
        name = "jake_elite", 
        anim = "anim/head_female_jake_elite_build.zip", 
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_male_vixmali = {
        name = "vixmali", 
        anim = "anim/head_male_vixmali_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_female_mullifee = {
        name = "mullifee",
        anim = "anim/head_female_mullifee_build.zip",
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_male_theroux = {
        name = "vixmali", 
        anim = "anim/head_male_theroux_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_shroke_15 = {
        name = "shroke_15", 
        anim = "anim/head_male_shroke_15_build.zip", 
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_jarackle_15 = {
        name = "jarackle_15", 
        anim = "anim/head_male_jarackle_15_build.zip",
        glow = { colour = 0x11FFFFFF, bloom = 0.15, threshold = 0.02 },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_12 = {
        name = "female_jarackle_12",
        anim = "anim/head_female_jarackle_12_build.zip",
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_shroke_11 = {
        name = "shroke_11", 
        anim = "anim/head_female_shroke_11_build.zip",
        glow = { colour = 0x11FFFFFF, bloom = 0.15, threshold = 0.02 }, 
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE,
    },

    head_male_turncoat_boss = {
        name = "turncoat", 
        anim = "anim/head_male_turncoat_boss_build.zip",
        glow = { colour = 0xFF9950FF, bloom = 0.15, threshold = 0.02 },
        gender = GENDER.MALE,
        species = SPECIES.SHROKE,
    },

    head_male_spark_baron_promoted = {
        name = "spark_baron_promoted", 
        anim = "anim/head_male_spark_baron_promoted_build.zip",
        glow = { colour = 0xFF9950FF, bloom = 0.1, threshold = 0.02 },
        gender = GENDER.MALE,
        skin_tone = SKIN_TONE.DARK,
        species = SPECIES.HUMAN,
    },

    head_female_spark_baron_promoted = {
        name = "spark_baron_promoted", 
        anim = "anim/head_female_spark_baron_promoted_build.zip",
        glow = { colour = 0xFF9950FF, bloom = 0.1, threshold = 0.02 },
        gender = GENDER.FEMALE,
        skin_tone = SKIN_TONE.MEDIUM,
        species = SPECIES.HUMAN,
    },

    head_female_rise_promoted = {
        name = "rise_promoted", 
        anim = "anim/head_female_rise_promoted_build.zip", 
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,

    },

    head_female_shroke_12 = {
         name = "shroke_12",
         anim = "anim/head_female_shroke_12_build.zip",
         glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
         hat_hides = {"hair", },
         gender = GENDER.FEMALE,
         species = SPECIES.SHROKE,
    },

    head_female_kradeshi_14 = {
        name = "Kradeshi 14",
        anim = "anim/head_female_kradeshi_14_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.FEMALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_male_hesh_luminiciate = {
        name = "hesh_luminiciate", 
        anim = "anim/head_male_hesh_luminiciate_build.zip",
        --glow = { colour = 0xFF9950FF, bloom = 0.1, threshold = 0.02 },
        gender = GENDER.MALE,
        skin_tone = SKIN_TONE.LIGHT,
        species = SPECIES.HUMAN,
    },

    head_female_hesh_luminiciate = {
        name = "hesh_luminiciate", 
        anim = "anim/head_female_hesh_luminiciate_build.zip",
        --glow = { colour = 0xFF9950FF, bloom = 0.1, threshold = 0.02 },
        gender = GENDER.FEMALE,
        skin_tone = SKIN_TONE.LIGHT,
        species = SPECIES.HUMAN,
    },

    head_male_kradeshi_17 = {
        name = "Kradeshi 17",
        anim = "anim/head_male_kradeshi_17_build.zip",
        gender= GENDER.MALE,
        species= SPECIES.KRADESHI,
        nohat = true,
    },

    head_female_priest_promoted = {
        name = "head_female_priest_promoted",
        anim = "anim/head_female_priest_promoted_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        nohat = true,
        skin_tone = SKIN_TONE.MEDIUM
    },

    head_male_priest_promoted = {
        name = "head_male_priest_promoted",
        anim = "anim/head_male_priest_promoted_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        nohat = true,
        skin_tone = SKIN_TONE.LIGHT
    },

    head_male_mercenary_boss = {
        name = "head_male_mercenary_boss",
        anim = "anim/head_male_mercenary_boss_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.SHROKE,
        nohat = true,
    },

    head_male_grifter_02 = {
        name = "head_male_grifter_02",
        anim = "anim/head_male_grifter_02_build.zip",
        glow = { colour = 0xE96440FF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        nohat = true,
        skin_tone = SKIN_TONE.MEDIUM
    },

    head_rook_build_03 = {
        name = "head_male_rook_build_03",
        anim = "anim/head_rook_build_03.zip",
        glow = { colour = 0xF5A85AFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        nohat = true,
        skin_tone = SKIN_TONE.MEDIUM
    },

    head_denikus_build = {
        name = "head_denikus_build",
        anim = "anim/head_denikus_build.zip",
        glow = { colour = 0xF46565FF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.MALE,
        species= SPECIES.HUMAN,
        nohat = true,
        skin_tone = SKIN_TONE.MEDIUM
    },

    head_female_tei_utaro = {
        name = "head_female_tei_utaro",
        anim = "anim/head_female_tei_utaro_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        gender= GENDER.FEMALE,
        species= SPECIES.HUMAN,
        nohat = true,
        skin_tone = SKIN_TONE.MEDIUM
    },

     head_female_andwanette = {
         name = "female_andwanette",
         anim = "anim/head_female_andwanette_build.zip",
         glow = { colour = 0xFFB860FF, bloom = 0.15, threshold = 0.02 },
         nohat = true,
         gender = GENDER.FEMALE,
         species = SPECIES.SHROKE,
    },

   head_male_jarackle_16 = {
        name = "jarackle_16",
        anim = "anim/head_male_jarackle_16_build.zip",
        glow = { colour = 0xFFA111FF, bloom = 0.15, threshold = 0.02 },
        --hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_17 = {
        name = "jarackle_17",
        anim = "anim/head_male_jarackle_17_build.zip",
        glow = { colour = 0xFFA111FF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_18 = {
        name = "jarackle_18",
        anim = "anim/head_male_jarackle_18_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_19 = {
        name = "jarackle_19",
        anim = "anim/head_male_jarackle_19_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_20 = {
        name = "jarackle_20",
        anim = "anim/head_male_jarackle_20_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_rake = {
        name = "rake",
        anim = "anim/head_female_rake_build.zip",
        skin_tone = SKIN_TONE.LIGHT,
        --hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_automech_bodyguard = {
        name = "automech_bodyguard",
        anim = "anim/head_automech_bodyguard_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_male_jarackle_luminiciate_01 = {
        name = "jarackle_20",
        anim = "anim/head_male_jarackle_luminiciate_01_build.zip",
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_luminiciate_01 = {
        name = "jarackle_20",
        anim = "anim/head_female_jarackle_luminiciate_01_build.zip",
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_kradeshi_07 = {
        name = "kradeshi_07",
        anim = "anim/head_female_kradeshi_07_build.zip",
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_female_kradeshi_15 = {
        name = "kradeshi_15",
        anim = "anim/head_female_kradeshi_15_build.zip",
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    
    },

    head_male_jarackle_21 = {
        name = "jarackle_21",
        anim = "anim/head_male_jarackle_21_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_shroke_13 = {
        name = "shroke_13",
        anim = "anim/head_female_shroke_13_build.zip",
        glow = { colour = 0xFDCD90FF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.SHROKE
    },

    head_female_hesh_luminiciate_promoted = {
        name = "hesh_luminiciate_promoted",
        anim = "anim/head_female_hesh_luminiciate_promoted_build.zip",
        skin_tone = SKIN_TONE.LIGHT,
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_merchant_03 = {
        name = "merchant_03",
        anim = "anim/head_female_merchant_03_build.zip",
        skin_tone = SKIN_TONE.MEDIUM,
        --glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,

    },

    head_male_hesh_luminiciate_promoted = {
        name = "male_hesh_luminiciate_promoted",
        anim = "anim/head_male_hesh_luminiciate_promoted_build.zip",
        skin_tone = SKIN_TONE.DARK,
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
            
    },

    head_male_jarackle_23 = {
        name = "jarackle_23",
        anim = "anim/head_male_jarackle_23_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_13 = {
        name = "jarackle_13",
        anim = "anim/head_female_jarackle_13_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_24 = {
        name = "jarackle_24",
        anim = "anim/head_male_jarackle_24_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_25 = {
        name = "jarackle_25",
        anim = "anim/head_male_jarackle_25_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_14 = {
        name = "jarackle_14",
        anim = "anim/head_female_jarackle_14_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_15 = {
        name = "jarackle_15",
        anim = "anim/head_female_jarackle_15_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_16 = {
        name = "jarackle_16",
        anim = "anim/head_female_jarackle_16_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_eden_yllonwa_promoted = {
        name = "eden_yllonwa_promoted",
        anim = "anim/head_female_eden_yllonwa_build.zip",
        skin_tone = SKIN_TONE.LIGHT,
        glow = { colour = 0x33FFFFFF, bloom = 0.15, threshold = 0.02 },
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,
    },

    head_female_shroke_14 = {
         name = "shroke_14",
         anim = "anim/head_female_shroke_14_build.zip",
         hat_hides = {"hair", },
         gender = GENDER.FEMALE,
         species = SPECIES.SHROKE,
    },

    head_male_shroke_16 = {
         name = "shroke_16",
         anim = "anim/head_male_shroke_16_build.zip",
         hat_hides = {"hair", },
         gender = GENDER.MALE,
         species = SPECIES.SHROKE,
    },

    head_female_kradeshi_16 = {
        name = "kradeshi_16",
        anim = "anim/head_female_kradeshi_16_build.zip",
        glow = { colour = 0x00FFFFFF, bloom = 0.15, threshold = 0.02 },
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.FEMALE,
        species = SPECIES.KRADESHI,
    },

    head_male_kradeshi_guard_investigator = {
        name = "head_male_kradeshi_guard_investigator_build",
        anim = "anim/head_male_kradeshi_guard_investigator_build.zip",
        glow = { colour = 0x11FFFEFF, bloom = 0.15, threshold = 0.02 },
        --hat_hides = {"hair", },
        --hides = {"hair_swap"},
        gender = GENDER.MALE,
        species = SPECIES.KRADESHI,
    },

    head_male_shroke_17 = {
         name = "shroke_17",
         anim = "anim/head_male_shroke_17_build.zip",
         glow = { colour = 0x00FFFFFF, bloom = 0.15, threshold = 0.02 },
         hat_hides = {"hair", },
         gender = GENDER.MALE,
         species = SPECIES.SHROKE,
    },

    head_male_jarackle_26 = {
        name = "jarackle_26",
        anim = "anim/head_male_jarackle_26_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_27 = {
        name = "jarackle_27",
        anim = "anim/head_male_jarackle_27_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_jarackle_28 = {
        name = "jarackle_28",
        anim = "anim/head_male_jarackle_28_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.MALE,
        species = SPECIES.JARACKLE,
    },

    head_male_deltrean_dignitary = {
        name = "jarackle_28",
        anim = "anim/head_male_deltrean_dignitary_build.zip",
        hat_hides = {"hair", },
        skin_tone = SKIN_TONE.LIGHT,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_jarackle_17 = {
        name = "jarackle_17",
        anim = "anim/head_female_jarackle_17_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_18 = {
        name = "jarackle_18",
        anim = "anim/head_female_jarackle_18_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_19 = {
        name = "jarackle_19",
        anim = "anim/head_female_jarackle_19_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_20 = {
        name = "jarackle_20",
        anim = "anim/head_female_jarackle_20_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_female_jarackle_21 = {
        name = "jarackle_21",
        anim = "anim/head_female_jarackle_21_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },

    head_male_bilebroker = {
        name = "bilebroker",
        anim = "anim/head_male_bilebroker_build.zip",
        --hat_hides = {"hair", },
        skin_tone = SKIN_TONE.MEDIUM,
        gender = GENDER.MALE,
        species = SPECIES.HUMAN,
    },

    head_female_jarackle_22 = {
        name = "jarackle_22",
        anim = "anim/head_female_jarackle_22_build.zip",
        hat_hides = {"hair", },
        gender = GENDER.FEMALE,
        species = SPECIES.JARACKLE,
    },




}