
Content.AddLocationContent
{
	name = "{1#agent}'s location",
	name_fn = function(location, fmt_str) 
        if #location.agents > 0 then
            return loc.format(fmt_str, location.agents[1])
        else
            return LOC"AREA_DESC.OUTDOORS"
        end
    end,
    id = "OUTDOORS",
    flags = LOCFLAGS.MAP,
    plax = "PLACEHOLDER",
    tags = {"area_location"}
}

Content.AddLocationContent{
    id = "MURDER_BAY_ROAD",
    name = "Roadside",
    desc = "The side of a road",
    plax = "EXT_Road01",
    map_tags = {"road"},
    tags = {"road"},
    indoors = false,
}

Content.AddLocationContent{
    id = "MURDER_BAY_FOREST",
    name = "Forest",
    desc = "Somewhere in the forest",
    plax = "EXT_Forest_1",
    map_tags = {"forest"},
    tags = {"forest"},
    indoors = false,
}

Content.AddLocationContent{
    id = "MURDER_BAY_SHORE",
    name = "Shore",
    desc = "Somewhere along the shore",
    plax = "EXT_Beach_MurderBay_1",
    map_tags = {"beach"},
    tags = {"shore"},
}

Content.AddLocationContent{
    id = "MURDER_BAY_CITY",
    name = "City",
    desc = "Somewhere in a city",
    plax = "EXT_door_slums1",
    map_tags = {"city"},
    tags = {"city"},
    indoors = false,
}

Content.AddLocationContent{
    id = "GROUT_BOG_ROAD",
    name = "Roadside",
    desc = "The side of a road",
    plax = "EXT_Bog_Road_01",
    map_tags = {"road"},
    tags = {"road"},
    indoors = false,
}

Content.AddLocationContent{
    id = "GROUT_BOG_FOREST",
    name = "Bog Forest",
    desc = "A boggy forest",
    plax = "EXT_Bog_Forest_01",
    map_tags = {"forest"},
    tags = {"forest"},
    indoors = false,
}


Content.AddLocationContent{
    id = "PEARL_STREET",
    name = "Pearl Street",
    desc = "A street.",
    plax = "EXT_SMITH_Nightlife_Street",
    --map_tags = {"forest"},
    indoors = false,
}
