return function( plax )
	local delay = math.random() * 10
	-- print( "Delaying rats for ", delay )

	plax:Delay( delay )

	local function IsRat( elem, w )
		return elem.animfile == "anim/lumin_rat.zip"
	end

	local ws = plax:CollectWidgets( IsRat )

	-- print( ">>>> Animating ", #ws, " rats" )

	local activew = table.arraypick( ws )
	for i, w in ipairs( ws ) do
		if w == activew then
			local elem = plax:GetElementForWidget( w )
		    if elem and elem.anim then
		        w:Play( elem.anim, false )
				w:Show():SetAutoHide()
		    end
		else
			w:Hide()
		end
	end
end
