
local QDEF = QuestDef.Define{
        title = "Sal Finale (Admiralty)",
        qtype = QTYPE.EXPERIMENT,
        disabled= true,
        icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
        rank = 5,
    }
    :AddObjective{
        id = "test",
        title = "Fight Kashio, and provide feedback!",
        state = QSTATUS.ACTIVE,
        on_activate = function() 
            local DECKS = require "content/quests/story/Sal/Finale/kashio_fight_test_decks"
            local deck = DECKS[math.random(#DECKS)]
            local def = Content.GetQuestDef("SAL_STORY_FINALE")
            def:IsolatedTest({force_faction_alliance = "ADMIRALTY"}, 5, deck)                    
        end
    }

