Convo("SAL_STORY_OOLO_CONVOS")


    :State("STATE_GET_CHIT")
        :SetLooping(true)        
        :Loc{
            OPT_ASK_ABOUT_OOLO = "Ask what {agent} is going to do",
            DIALOG_ASK_ABOUT_OOLO = [[
            player:
                What about you? What are you gonna do?
            agent:
                !hips
                Well, I’m gonna watch, obviously. And ready my back-up plan.
            player:
                !dubious 
                $neutralDubious
                You have a back-up plan?
            agent:
                We helped each other because we <i>both</i> want Kashio taken out, remember? I didn’t put all my eggs in one basket.
                Which I guess is the same as saying I half-expect you to get cracked.
            player:
                !interest
                $neutralDirect
                I'm hurt and offended, et cetera.
                So does this mean your officers will step up to my side when the fighting starts?
            agent:
                Sure. The ones that Kashio doesn’t already have nice and cozy in her pocket, anyway.
                !shrug
                But I’ve gathered a few loyal officers to help me keep them under control while you do your thing.
            player:
                Where will you be?
            agent:
                With them. But if you need me... just say the word.
                !happy
                $happyJoke
                You've made things mighty interesting since you got to Murder Bay, and it'd be a shame to see you leave it so quickly. 
            ]],


            OPT_ASK_ABOUT_CHIT = "Ask about the requisition chit",
            DIALOG_ASK_ABOUT_CHIT = [[
            player:
                !interest
                $neutralDubious
                So with this chit I can take anything on the block?
            agent:
                !agree
                $neutralJoke
                That’s right. They’re incredibly valuable, so be thankful I like you.
                You can also just buy things, too, but the auction’s pretty flashy, and you’ll draw attention to yourself if you do.
            player:
                !thought
                $miscThoughtful
                Right. Which would make it harder to catch Kashio by surprise. 
            agent:
                !shrug
                I leave it up to you how much you want to risk for a bauble.
            ]],

            OPT_ASK_ABOUT_ANNEX = "Ask about the annex",
            DIALOG_ASK_ABOUT_ANNEX = [[
                player:
                    $miscThoughtful
                    So if this all goes well, the Cult will agree to let the Admiralty annex Murder Bay?
                agent:
                    $neutralResigned
                    Oh, I guess. But that's above my pay grade.
                    !handwave
                    Murder Bay is one thing—that's Admiralty territory, so it may as well be officially Deltrean.
                player:
                    !sigh
                    $neutralResigned
                    This can't just be about the debt market. What does Deltree care about laborers across the sea?
                agent:
                    Not a fig. And the Cult knows it, too. 
                    So all this? It's just for show. The Cult's playing the long game, and they'll go whichever way they want, bribes be damned.
                    !palm 
                    $neutralResigned
                    Ugh. Talking politics always makes my tongue feel bloated.
                player:
                    $neutralJoke
                    When this is over, I'll treat you to a bottle to kiss it better.
            ]],

            OPT_THANK_OOLO = "Thank {agent}",
            DIALOG_THANK_OOLO = [[

            player:
                !bashful
                Hey, no matter how this turns out—thank you.
                $miscEmbarrassed
                A lot of people would write off an ik-Derrick, even with hunter’s papers.
            agent:
                !placate
                No need for this mushy stuff, there, Sal. 
                When I first hired you I figured you’d either do the job, or be good cannon fodder.
                !dubious
                $miscMocking
                You delivered, so dying would be one hell of a waste. 
            ]],         
        }
        :Fn(function(cxt) 
            if not cxt.enc.scratch_chit_ask then
                cxt:Opt("OPT_ASK_ABOUT_CHIT")
                    :Dialog("DIALOG_ASK_ABOUT_CHIT")
                    :Fn(function() cxt.enc.scratch_chit_ask = true end)
            end

            if not cxt.enc.scratch_oolo_ask then
                cxt:Opt("OPT_ASK_ABOUT_OOLO")
                    :Dialog("DIALOG_ASK_ABOUT_OOLO")
                    :Fn(function() cxt.enc.scratch_oolo_ask = true end)
            end

            if not cxt.enc.scratch_annex_ask then
                cxt:Opt("OPT_ASK_ABOUT_ANNEX")
                    :Dialog("DIALOG_ASK_ABOUT_ANNEX")
                    :Fn(function() cxt.enc.scratch_annex_ask = true end)
            end

            cxt:Opt("OPT_THANK_OOLO")
                :Dialog("DIALOG_THANK_OOLO")
                :Fn(function() 
                    cxt.quest:Complete()
                    StateGraphUtil.AddEndOption(cxt)
                end)
        end)
