local QDEF = QuestDef.Define
{
    title = "Family Reunion",
    --icon = engine.asset.Texture("icons/quests/smith_story_class_conflict.tex"),
    qtype = QTYPE.STORY,

    collect_agent_locations = function(quest, t)
    end,

    on_start = function(quest)
        if TheGame:GetGameState():GetMainQuest().param.skip_to_party then
            quest:Activate("beach_party")
        else
            quest:Activate("sample")
        end
    end,
}

--[[:AddCastByAlias{
    cast_id = "vixmalli",
    alias = "VIXMALLI",
    no_validation = true,
}--]]

:AddSubQuest{
    id = "sample",
    quest_id = "SMITH_STORY_TAKE_A_SAMPLE",
    
    on_activate = function(quest)
        TheGame:GetGameState():AddPendingEvent()
    end,

    on_complete = function(quest)
        quest:Activate("beach_party")
        UIHelpers.PassTime(DAY_PHASE.NIGHT)
        QuestUtil.SpawnOpportunities()
    end,
}

:AddSubQuest{
    id = "beach_party",
    quest_id = "SMITH_STORY_BEACH_PARTY",
    on_activate = function(quest)
        --QuestUtil.SpawnOpportunities()
    end,
}


