return 
{
    -- This slideshow plays at the end of the game!
    
    --sound_event = "event:/vo/narrator/cutscene/sal_intro",
    music = "event:/music/slideshow_sal",

-- SLIDE 1: Sal leaves the auction, the dust settling behind her. Onlookers who’ve gathered at the door to watch the fight recoil from her, looking after her in awe, alarm, reverence, or fear. 

    script=
    {
        {
            mov = 'movies/sal_act4_slide_01.ogv',
            vo = "event:/vo/narrator/slideshow/sal/sal_slideshow_end_slide1",
            amb = "event:/sfx/ambience/cutscene/slideshow_Sal_ending/1-leaveauction",
            --img = 'story/sal_act4_slide_01.tex',
            
            txt = [[The crowd parts to let you pass, and it's only the first of many such exits. You're a rich woman now, and you’ll have a reputation to maintain.]],
        },

    -- SLIDE 2 VARIANT [Merciful Sal - SPARED KASHIO]: The camera is angled from behind the bar. In the foreground, Fssh faces the doorway, one hand on a crossbow hidden under the counter. Sal sits at the bar, nursing a drink, while a patron claps her heartily on the back. A subtle detail: standing in the back corner, or backlit by the doorway, are two shadowy figures, whispering to themselves, looking like a threat to Sal’s safety. Sal and her friends don’t notice, but Fssh does (thus the crossbow).

        {
            flag = "kashio_is_alive",
            mov = 'movies/sal_act4_slide_02.ogv',
            vo = "event:/vo/narrator/slideshow/sal/sal_slideshow_end_slide2",
            amb = "event:/sfx/ambience/cutscene/slideshow_Sal_ending/2a-sparedkashio",
            --img = 'story/sal_act4_slide_02.tex',
            txt = [[With Kashio out of the picture, there’s a yawning hole where her influence should be. But you’ve got friends in high places who are happy to fill it. And these days? It isn’t your concern. 

Fssh was always a good listener: she keeps an ear to the ground, and keeps your enemies off your back, all from her place behind the bar.
]],
        },

-- SLIDE 2 VARIANT [Confident Sal - KILLED KASHIO]: The camera is on Sal, sitting at a table at the Grog n’ Dog, looking confident. An unseen person looms over her, their shadow cast across her/the table, but a bag of shills are in their hand. Sal looks up at them with confidence: amused, not intimidated even though they’re clearly trying to be intimidating. In  the background, Fssh watches from behind the bar, also amused.

        {
            flag = "kashio_is_dead",
            mov = 'movies/sal_act4_slide_03.ogv',
            vo = "event:/vo/narrator/slideshow/sal/sal_slideshow_end_slide3",
            amb = "event:/sfx/ambience/cutscene/slideshow_Sal_ending/2b-killedkashio",
            --img = 'story/sal_act4_slide_03.tex',
            txt = [[With Kashio gone, there’s a yawning hole where her influence should be. You feel it tugging on you like a hook through your navel, and sure enough the resources begin to fall into place. 

Fssh’s reputation improves with yours, but she never lets on whether she likes it.  
]],
        },

-- SLIDE 3 VARIANT (Friendly Oolo lives): Oolo, with a brand new promotion shining on her sleeve, having dinner with her (dejected-looking) family.

        {
            flag = "oolo_is_alive",
            mov = 'movies/sal_act4_slide_04.ogv',
            vo = "event:/vo/narrator/slideshow/sal/sal_slideshow_end_slide4",
            amb = "event:/sfx/ambience/cutscene/slideshow_Sal_ending/3a-friendoolo",
            --img = 'story/sal_act4_slide_04.tex',
            txt = [[Oolo got her wish: her family knows she isn’t a piece to be played with. And whenever they get a bright idea about some new scheme? She makes sure they run it through her, first.]],
        },

-- SLIDE 3 VARIANT (Friendly Nadan lives): Nadan sitting Clockwork-orange style at a dimly-lit table, a lieutenant at his right hand. He smiles confidently while pointing at a map. 

        {
            flag = "nadan_is_alive",
            mov = 'movies/sal_act4_slide_05.ogv',
            vo = "event:/vo/narrator/slideshow/sal/sal_slideshow_end_slide5",
            amb = "event:/sfx/ambience/cutscene/slideshow_Sal_ending/3b-friendnadan",
            --img = 'story/sal_act4_slide_05.tex',
            txt = [[Nadan wields his newfound power like a gavel, making his enemies tremble. Sometimes a coin or two finds its way to the little folks who need it. Maybe it was Nadan who made it happen. But you never knew him to be loose-lipped.]],
        },

-- SLIDE 4: Sal leaving the Grog n’ Dog, hesitating, with one hand on its door frame. 

        {
            mov = 'movies/sal_act4_slide_06.ogv',
            vo = "event:/vo/narrator/slideshow/sal/sal_slideshow_end_slide6",
            amb = "event:/sfx/ambience/cutscene/slideshow_Sal_ending/4-grogndog_exterior",
            --img = 'story/sal_act4_slide_06.tex',
            txt = [[You stay still just about long enough to check in on those that matter, but that isn’t too long. You have old graves you want to visit, old wounds that still need tending to.]],
        },

-- SLIDE 5: Sal leaving Murder Bay. 

        {
             mov = 'movies/sal_act4_slide_07.ogv',
            vo = "event:/vo/narrator/slideshow/sal/sal_slideshow_end_slide7",
            amb = "event:/sfx/ambience/cutscene/slideshow_Sal_ending/5-leavemurderbay",
            --img = 'story/sal_act4_slide_07.tex',
            txt = [[There's a life waiting for you in Havaria, now. You just have to seize it.]],
        },

    }
}    

