
return 
{
    -- This slideshow plays at the end of the game!
    
    --sound_event = "event:/vo/narrator/cutscene/sal_intro",
    music = "event:/music/slideshow_smith",

-- SLIDE 1:  Onlookers watching as the tentacle looms in the sky, sunlight filtered through it.

    script=
    {
        {
            mov = 'movies/smith_act4_slide_01.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide1",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/1-beach",
            txt =   [[To say things were different after that would be an understatement.]],
        },

        {
            mov = 'movies/smith_act4_slide_01.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide2",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/1-beach",
            flag = "vix_alive",
            txt = [[The Banquod name was protected by the Cult. You were Hesh’s chosen, after all—defenders of the sea against an ancient threat. 

Vixmalli retired to focus on his health. He never quite recovered from… whatever it was that happened to him, and he avoided the scrutiny of public life.]]
        },


        {
            mov = 'movies/smith_act4_slide_01.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide3",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/1-beach",
            flag = "vix_dead",
            txt = [[With Vixmalli dead, the Cult struggled to interpret the Beaching’s true meaning. Was it a blessing, a test, or a challenge?

The Banquod name brought controversy and doubt to the Cult; if you could challenge Hesh, then maybe, so could others.
And you didn’t do much to dissuade them of the notion.]]
        },

    -- Slide 2, Variant 1 (ANY SIBLING DEAD): Smith sitting at the “family” table, holding council. Smith’s side of the table is empty other than him, and the other side of the table, in the foreground, is occupied with silhouettes. Smith looks smug and content.

        {
            flag = "dead_sib_slide",
            mov = 'movies/smith_act4_slide_02.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide4",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/2-smithoffice",
            txt = [[Building a family has its challenges, but you made do with the resources available. Some days were better than others. Other days you were worried you’d wake up dead.]],
        },

        {
            flag = "andwanette_slide",
            mov = 'movies/smith_act4_slide_02.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide5",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/2-smithoffice",
            --Text displayed if Andwanette joined the family & Theroux is dead: 
            txt = [[With Andwanette at the table, the parties got bigger and louder, but the finances grew, too. She proved talented at turning drama into profits, and while she was sometimes exhausting to keep up with, she certainly kept things interesting.]],
        },

        {
            flag = "denikus_slide",
            mov = 'movies/smith_act4_slide_02.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide6",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/2-smithoffice",
            --Text displayed if Denikus joined the family & Theroux is dead: 
            txt =[[Denikus stuck around for a year before deciding to head to Rentoria. You gave him an envelope full of shills as thanks for not robbing you blind.

You didn’t always get Denikus, but he said you’d have a brother in Rentoria, if you needed it. And assuming you could find him.]],
        },

        {
            flag = "theroux_slide",
            mov = 'movies/smith_act4_slide_02.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide7",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/2-smithoffice",
            --Text displayed if Theroux lives:
            txt =[[Theroux’s first marriage didn’t work out, and you made him work a bit for permission to have his second—but at least he promised to make you the best man.]],
        },
        {
            flag = "mullifee_slide",
            mov = 'movies/smith_act4_slide_02.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide8",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/2-smithoffice",
            --Text displayed if Mullifee lives:
            txt =[[Mullifee’s climb up the ranks has been slowed down by your influence in the Banquod family, but she doesn’t seem to mind. She called it a challenge, and then watched you swallow the pricklefish she’d snuck into your drink. Just like old times.]],
        },

-- Slide 2, Variant 2 (ALL SIBLINGS LIVE): Smith’s siblings are gathered around him. Vix looks tired but comfortable outside of his Cult robes, patiently listening to the others. Smith and Theroux are engaged in a brotherly spat, while Mullifee is distracted by some sort of tactical map (military or pranks?)

        {
            flag = "all_sib_slide",
            mov = 'movies/smith_act4_slide_02b.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide9",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/2b-smithofficevoices",
            --img = 'story/sal_act4_slide_03.tex',
            txt = [[Some days are better than others, but being back in Pearl-on-the-Foam has been easier than you’d have hoped.

Theroux’s first marriage didn’t last. But the family approved him for a second. And when that one fizzled out, too, he didn’t even need to ask permission for a third. (The third one stuck, fortunately).]]
        },
        {
            flag = "all_sib_slide",
            mov = 'movies/smith_act4_slide_02b.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide10",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/2b-smithofficevoices",
            --img = 'story/sal_act4_slide_03.tex',
            txt = [[Mullifee’s eye to the big picture paid off: she climbed the ranks of the military not with family influence but with precision and planning. Strangely, when she was offered a promotion in Supplicant City, she passed.

Vix’s health never really recovered, but his spirits did. You don’t know what to make of it, but you surprised yourself one day when you actually stopped Mullifee from applying itchwort to his glove drawer.]],
        },

-- Slide 3:  The streets of Pearl-on-the-Foam. Domestic servants hide Rise pamphlets behind their backs as an Admiralty patrol wanders by, eyeing them suspiciously. 

        {
            --flag = "oolo_is_alive",
            mov = 'movies/smith_act4_slide_03.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide11",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/3-streets",
            --img = 'story/sal_act4_slide_04.tex',
            txt = [[It took a while for the pilgrims to clear out, but they soon learned there wasn’t anything especially divine about Pearl-on-the-Foam. Maybe they chased their faith elsewhere--or found they’d lost it somewhere in the chaos.]],
        },


        {
            --flag = "oolo_is_alive",
            mov = 'movies/smith_act4_slide_03.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide12",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/3-streets",
            flag = "eden_slide",
            --Text displayed if you allied with Eden against Mullifee AND Eden lives:
            txt = [[One way things didn't change was in law--Eden maintained the status quo, gifting liberties to those who paid and meting out punishment to anyone in between.]],
        },


        {
            --flag = "oolo_is_alive",
            mov = 'movies/smith_act4_slide_03.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide13",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/3-streets",
            flag = "seemli_slide",
            txt = [[Seemli’s movement puttered along in the shadows, bolstered by good news from elsewhere in Havaria. It wasn’t easy keeping the domestics on board—proximity to wealth is one hell of a drug—but whatever strange mysticism she believed in was enough to keep her going.]],
        },

-- Slide 4: The calm waters of Pearl-on-the-Foam, and mudbathers enjoying the tide pools along the beach.

        {
            --flag = "nadan_is_alive",
            mov = 'movies/smith_act4_slide_04.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide14",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/4-beach",
            --img = 'story/sal_act4_slide_05.tex',
            txt = [[There hasn’t been any sign of the Roaloch again, though every now and then a rumor bubbles up and lingers like sea foam.]],
        },

        {
            mov = 'movies/smith_act4_slide_04.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide15",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/4-beach",
            flag = "tei_slide",
            txt = [[You never saw Tei again—at least, not face-to-face. But every now and then a shadow catches the edge of your eye, and you know you’re being watched.]],
        },

-- Slide 5: Smith behind the bar at the Hideaway, arm wrestling a patron over the counter while Moreef looks on making drinks.

        {
            mov = 'movies/smith_act4_slide_05.ogv',
            vo = "event:/vo/narrator/slideshow/smith/smith_slideshow_end_slide16",
            amb = "event:/sfx/ambience/cutscene/slideshow_Smith_ending/5-bar",
            txt = [[And when you weren’t minding the family’s affairs, you found other reasons to stick around. 

Even with the rumors knocking at your ears and the unrest rumbling beneath your feet, you kept your footing. After all, if there was one thing you know best, it’s how to live in the moment.]],
        },


    }
}    

