local DebugUtil = require "debug/debug_util"
local debug_menus = require "debug/debug_menus"
require "debug/inspectors/debug_ui"
require "debug/inspectors/debug_quickswitcher"

--------------------------------------------------------------------
-- A debug source for the main map simulation

local DebugMainMenu = class( "DebugMainMenu", DebugWidget )
DebugMainMenu.REGISTERED_CLASS = Screen.MainMenu

function DebugMainMenu:init( screen )
    DebugMainMenu._base.init( self, screen )
    self.screen = screen
    self.quickswitcher = DebugQuickSwitcher()
end

function DebugMainMenu:RenderPanel( ui, panel )
	self.quickswitcher:RenderPanel( ui, panel )
end

