require "prefab"
require "components/transform"
require "components/animcontroller"
require "components/animfighter"
require "components/soundemitter"
require "components/fxcontainer"

local function fn( ent, spawn_data )
    ent:AddComponent(Transform())
    ent:AddComponent(AnimController(-FIGHT_CAM_ANGLE))
    ent.cmp.AnimController.animmodel:SetEffect( global_shaders.UI_ANIM )
    ent:AddComponent(AnimFighter())
    ent:AddComponent(SoundEmitter())
    ent:AddComponent(FXContainer())

    ent.cmp.Transform:SetLocalScale(1,1,1)
    
end


return {Prefab("fight_agent", fn)}
