require "ui/widget"
require "ui/widgets/label"
require "ui/widgets/image"
require "ui/widgets/solidbox"


local LocationButton = class("Widget.LocationButton", Widget.PanelButton)


function LocationButton:init(text, fn, w, h, text_size)
	Widget.PanelButton.init(self, text, fn, w, h, text_size)

    self:AddChildren{
        Widget.Image():SetName("IMG")
    }
    self.img = self:FindChild("IMG")
end

function LocationButton:SetImage( img )
    self.img:SetTexture(img)
    return self
end

function LocationButton:SetSize( w, h )
    LocationButton._base.SetSize( self, w, h )

    self.img:SetSize(h, h)
    self.img:SetPos(w/2 + h/2, 0)

	return self
end
